module Cldr.Locale exposing
    ( Locale
    , fromString
    , allLocales, basicLocales
    , toUnicode
    , af, af_NA
    , am
    , ar, ar_AE, ar_BH, ar_DJ, ar_DZ, ar_EG, ar_EH, ar_ER, ar_IL, ar_IQ, ar_JO, ar_KM, ar_KW, ar_LB, ar_LY, ar_MA
    , ar_MR, ar_OM, ar_PS, ar_QA, ar_SA, ar_SD, ar_SO, ar_SS, ar_SY, ar_TD, ar_TN, ar_YE
    , locale_as
    , az, az_Latn
    , be, be_TARASK
    , bg
    , bn, bn_IN
    , bs, bs_Latn
    , ca, ca_AD, ca_ES_VALENCIA, ca_FR, ca_IT
    , cs
    , cy
    , da, da_GL
    , de, de_AT, de_BE, de_CH, de_IT, de_LI, de_LU
    , el, el_CY
    , en, en_001, en_150, en_AE, en_AG, en_AI, en_AS, en_AT, en_AU, en_BB, en_BE, en_BI, en_BM, en_BS, en_BW, en_BZ
    , en_CA, en_CC, en_CH, en_CK, en_CM, en_CX, en_CY, en_DE, en_DG, en_DK, en_DM, en_ER, en_FI, en_FJ, en_FK, en_FM
    , en_GB, en_GD, en_GG, en_GH, en_GI, en_GM, en_GU, en_GY, en_HK, en_IE, en_IL, en_IM, en_IN, en_IO, en_JE, en_JM
    , en_KE, en_KI, en_KN, en_KY, en_LC, en_LR, en_LS, en_MG, en_MH, en_MO, en_MP, en_MS, en_MT, en_MU, en_MW, en_MY
    , en_NA, en_NF, en_NG, en_NL, en_NR, en_NU, en_NZ, en_PG, en_PH, en_PK, en_PN, en_PR, en_PW, en_RW, en_SB, en_SC
    , en_SD, en_SE, en_SG, en_SH, en_SI, en_SL, en_SS, en_SX, en_SZ, en_TC, en_TK, en_TO, en_TT, en_TV, en_TZ, en_UG
    , en_UM, en_VC, en_VG, en_VI, en_VU, en_WS, en_ZA, en_ZM, en_ZW
    , es, es_419, es_AR, es_BO, es_BR, es_BZ, es_CL, es_CO, es_CR, es_CU, es_DO, es_EA, es_EC, es_GQ, es_GT, es_HN
    , es_IC, es_MX, es_NI, es_PA, es_PE, es_PH, es_PR, es_PY, es_SV, es_US, es_UY, es_VE
    , et
    , eu
    , fa, fa_AF
    , fi
    , fil
    , fr, fr_BE, fr_BF, fr_BI, fr_BJ, fr_BL, fr_CA, fr_CD, fr_CF, fr_CG, fr_CH, fr_CI, fr_CM, fr_DJ, fr_DZ, fr_GA
    , fr_GF, fr_GN, fr_GP, fr_GQ, fr_HT, fr_KM, fr_LU, fr_MA, fr_MC, fr_MF, fr_MG, fr_ML, fr_MQ, fr_MR, fr_MU, fr_NC
    , fr_NE, fr_PF, fr_PM, fr_RE, fr_RW, fr_SC, fr_SN, fr_SY, fr_TD, fr_TG, fr_TN, fr_VU, fr_WF, fr_YT
    , ga, ga_GB
    , gl
    , gu
    , he
    , hi
    , hr, hr_BA
    , hu
    , hy
    , id
    , is
    , it, it_CH, it_SM, it_VA
    , ja
    , jv
    , ka
    , kk
    , km
    , kn
    , ko, ko_KP
    , ky
    , lo
    , lt
    , lv
    , mk
    , ml
    , mn
    , mr
    , ms, ms_BN, ms_ID, ms_SG
    , my
    , nb, nb_SJ
    , ne, ne_IN
    , nl, nl_AW, nl_BE, nl_BQ, nl_CW, nl_SR, nl_SX
    , nn
    , no
    , or
    , pa, pa_Guru
    , pl
    , ps, ps_PK
    , pt, pt_AO, pt_CH, pt_CV, pt_GQ, pt_GW, pt_LU, pt_MO, pt_MZ, pt_PT, pt_ST, pt_TL
    , ro, ro_MD
    , ru, ru_BY, ru_KG, ru_KZ, ru_MD, ru_UA
    , sd, sd_Arab
    , si
    , sk
    , sl
    , so, so_DJ, so_ET, so_KE
    , sq, sq_MK, sq_XK
    , sr, sr_Cyrl, sr_Cyrl_BA, sr_Cyrl_ME, sr_Cyrl_XK, sr_Latn, sr_Latn_BA, sr_Latn_ME, sr_Latn_XK
    , sv, sv_AX, sv_FI
    , sw, sw_CD, sw_KE, sw_UG
    , ta, ta_LK, ta_MY, ta_SG
    , te
    , th
    , tk
    , tr, tr_CY
    , uk
    , root
    , ur, ur_IN
    , uz, uz_Latn
    , vi
    , yue, yue_Hant
    , zh, zh_Hans, zh_Hans_HK, zh_Hans_MO, zh_Hans_SG, zh_Hant, zh_Hant_HK, zh_Hant_MO
    , zu
    )

{-|


# Locale

@docs Locale


## Create

@docs fromString

@docs allLocales, basicLocales


## Convert

@docs toUnicode


## Locales by language


### Af

@docs af, af_NA


### Am

@docs am


### Ar

@docs ar, ar_AE, ar_BH, ar_DJ, ar_DZ, ar_EG, ar_EH, ar_ER, ar_IL, ar_IQ, ar_JO, ar_KM, ar_KW, ar_LB, ar_LY, ar_MA
@docs ar_MR, ar_OM, ar_PS, ar_QA, ar_SA, ar_SD, ar_SO, ar_SS, ar_SY, ar_TD, ar_TN, ar_YE


### As

@docs locale_as


### Az

@docs az, az_Latn


### Be

@docs be, be_TARASK


### Bg

@docs bg


### Bn

@docs bn, bn_IN


### Bs

@docs bs, bs_Latn


### Ca

@docs ca, ca_AD, ca_ES_VALENCIA, ca_FR, ca_IT


### Cs

@docs cs


### Cy

@docs cy


### Da

@docs da, da_GL


### De

@docs de, de_AT, de_BE, de_CH, de_IT, de_LI, de_LU


### El

@docs el, el_CY


### En

@docs en, en_001, en_150, en_AE, en_AG, en_AI, en_AS, en_AT, en_AU, en_BB, en_BE, en_BI, en_BM, en_BS, en_BW, en_BZ
@docs en_CA, en_CC, en_CH, en_CK, en_CM, en_CX, en_CY, en_DE, en_DG, en_DK, en_DM, en_ER, en_FI, en_FJ, en_FK, en_FM
@docs en_GB, en_GD, en_GG, en_GH, en_GI, en_GM, en_GU, en_GY, en_HK, en_IE, en_IL, en_IM, en_IN, en_IO, en_JE, en_JM
@docs en_KE, en_KI, en_KN, en_KY, en_LC, en_LR, en_LS, en_MG, en_MH, en_MO, en_MP, en_MS, en_MT, en_MU, en_MW, en_MY
@docs en_NA, en_NF, en_NG, en_NL, en_NR, en_NU, en_NZ, en_PG, en_PH, en_PK, en_PN, en_PR, en_PW, en_RW, en_SB, en_SC
@docs en_SD, en_SE, en_SG, en_SH, en_SI, en_SL, en_SS, en_SX, en_SZ, en_TC, en_TK, en_TO, en_TT, en_TV, en_TZ, en_UG
@docs en_UM, en_VC, en_VG, en_VI, en_VU, en_WS, en_ZA, en_ZM, en_ZW


### Es

@docs es, es_419, es_AR, es_BO, es_BR, es_BZ, es_CL, es_CO, es_CR, es_CU, es_DO, es_EA, es_EC, es_GQ, es_GT, es_HN
@docs es_IC, es_MX, es_NI, es_PA, es_PE, es_PH, es_PR, es_PY, es_SV, es_US, es_UY, es_VE


### Et

@docs et


### Eu

@docs eu


### Fa

@docs fa, fa_AF


### Fi

@docs fi


### Fil

@docs fil


### Fr

@docs fr, fr_BE, fr_BF, fr_BI, fr_BJ, fr_BL, fr_CA, fr_CD, fr_CF, fr_CG, fr_CH, fr_CI, fr_CM, fr_DJ, fr_DZ, fr_GA
@docs fr_GF, fr_GN, fr_GP, fr_GQ, fr_HT, fr_KM, fr_LU, fr_MA, fr_MC, fr_MF, fr_MG, fr_ML, fr_MQ, fr_MR, fr_MU, fr_NC
@docs fr_NE, fr_PF, fr_PM, fr_RE, fr_RW, fr_SC, fr_SN, fr_SY, fr_TD, fr_TG, fr_TN, fr_VU, fr_WF, fr_YT


### Ga

@docs ga, ga_GB


### Gl

@docs gl


### Gu

@docs gu


### He

@docs he


### Hi

@docs hi


### Hr

@docs hr, hr_BA


### Hu

@docs hu


### Hy

@docs hy


### Id

@docs id


### Is

@docs is


### It

@docs it, it_CH, it_SM, it_VA


### Ja

@docs ja


### Jv

@docs jv


### Ka

@docs ka


### Kk

@docs kk


### Km

@docs km


### Kn

@docs kn


### Ko

@docs ko, ko_KP


### Ky

@docs ky


### Lo

@docs lo


### Lt

@docs lt


### Lv

@docs lv


### Mk

@docs mk


### Ml

@docs ml


### Mn

@docs mn


### Mr

@docs mr


### Ms

@docs ms, ms_BN, ms_ID, ms_SG


### My

@docs my


### Nb

@docs nb, nb_SJ


### Ne

@docs ne, ne_IN


### Nl

@docs nl, nl_AW, nl_BE, nl_BQ, nl_CW, nl_SR, nl_SX


### Nn

@docs nn


### No

@docs no


### Or

@docs or


### Pa

@docs pa, pa_Guru


### Pl

@docs pl


### Ps

@docs ps, ps_PK


### Pt

@docs pt, pt_AO, pt_CH, pt_CV, pt_GQ, pt_GW, pt_LU, pt_MO, pt_MZ, pt_PT, pt_ST, pt_TL


### Ro

@docs ro, ro_MD


### Ru

@docs ru, ru_BY, ru_KG, ru_KZ, ru_MD, ru_UA


### Sd

@docs sd, sd_Arab


### Si

@docs si


### Sk

@docs sk


### Sl

@docs sl


### So

@docs so, so_DJ, so_ET, so_KE


### Sq

@docs sq, sq_MK, sq_XK


### Sr

@docs sr, sr_Cyrl, sr_Cyrl_BA, sr_Cyrl_ME, sr_Cyrl_XK, sr_Latn, sr_Latn_BA, sr_Latn_ME, sr_Latn_XK


### Sv

@docs sv, sv_AX, sv_FI


### Sw

@docs sw, sw_CD, sw_KE, sw_UG


### Ta

@docs ta, ta_LK, ta_MY, ta_SG


### Te

@docs te


### Th

@docs th


### Tk

@docs tk


### Tr

@docs tr, tr_CY


### Uk

@docs uk


### Root

@docs root


### Ur

@docs ur, ur_IN


### Uz

@docs uz, uz_Latn


### Vi

@docs vi


### Yue

@docs yue, yue_Hant


### Zh

@docs zh, zh_Hans, zh_Hans_HK, zh_Hans_MO, zh_Hans_SG, zh_Hant, zh_Hant_HK, zh_Hant_MO


### Zu

@docs zu

-}

import DateFormat exposing (..)
import Internal.Locale exposing (DateTimeToken(..), Internal, LanguageId(..), TimeToken(..), normalize)
import Tagged exposing (Tagged(..))


{-| Represents the locale to use for formatting.

You can parse a value from JS like `navigator.language` or use hardcoded locales.

-}
type alias Locale =
    Internal.Locale.Locale


{-| Get the [Unicode](https://unicode.org/reports/tr35/#Identifiers) representation of a locale.

    toUnicode en_GB
    --> "en-GB"

-}
toUnicode : Locale -> String
toUnicode locale =
    Internal.Locale.toUnicode locale


{-| Parse a `Locale` from a Unicode or BCP47 identifier.

    fromString basicLocales "en"
    --> Just en

    fromString allLocales "en-GB"
    --> Just en_GB

-}
fromString : List Locale -> String -> Maybe Locale
fromString candidateLocales =
    Internal.Locale.languageIdFromString
        >> Maybe.andThen (Internal.Locale.matchNearestLocale candidateLocales)


{-| A list of every locale listed in the JSON version of the CLDR.
-}
allLocales : List Locale
allLocales =
    [ af
    , af_NA
    , am
    , ar
    , ar_AE
    , ar_BH
    , ar_DJ
    , ar_DZ
    , ar_EG
    , ar_EH
    , ar_ER
    , ar_IL
    , ar_IQ
    , ar_JO
    , ar_KM
    , ar_KW
    , ar_LB
    , ar_LY
    , ar_MA
    , ar_MR
    , ar_OM
    , ar_PS
    , ar_QA
    , ar_SA
    , ar_SD
    , ar_SO
    , ar_SS
    , ar_SY
    , ar_TD
    , ar_TN
    , ar_YE
    , locale_as
    , az
    , az_Latn
    , be
    , be_TARASK
    , bg
    , bn
    , bn_IN
    , bs
    , bs_Latn
    , ca
    , ca_AD
    , ca_ES_VALENCIA
    , ca_FR
    , ca_IT
    , cs
    , cy
    , da
    , da_GL
    , de
    , de_AT
    , de_BE
    , de_CH
    , de_IT
    , de_LI
    , de_LU
    , el
    , el_CY
    , en
    , en_001
    , en_150
    , en_AE
    , en_AG
    , en_AI
    , en_AS
    , en_AT
    , en_AU
    , en_BB
    , en_BE
    , en_BI
    , en_BM
    , en_BS
    , en_BW
    , en_BZ
    , en_CA
    , en_CC
    , en_CH
    , en_CK
    , en_CM
    , en_CX
    , en_CY
    , en_DE
    , en_DG
    , en_DK
    , en_DM
    , en_ER
    , en_FI
    , en_FJ
    , en_FK
    , en_FM
    , en_GB
    , en_GD
    , en_GG
    , en_GH
    , en_GI
    , en_GM
    , en_GU
    , en_GY
    , en_HK
    , en_IE
    , en_IL
    , en_IM
    , en_IN
    , en_IO
    , en_JE
    , en_JM
    , en_KE
    , en_KI
    , en_KN
    , en_KY
    , en_LC
    , en_LR
    , en_LS
    , en_MG
    , en_MH
    , en_MO
    , en_MP
    , en_MS
    , en_MT
    , en_MU
    , en_MW
    , en_MY
    , en_NA
    , en_NF
    , en_NG
    , en_NL
    , en_NR
    , en_NU
    , en_NZ
    , en_PG
    , en_PH
    , en_PK
    , en_PN
    , en_PR
    , en_PW
    , en_RW
    , en_SB
    , en_SC
    , en_SD
    , en_SE
    , en_SG
    , en_SH
    , en_SI
    , en_SL
    , en_SS
    , en_SX
    , en_SZ
    , en_TC
    , en_TK
    , en_TO
    , en_TT
    , en_TV
    , en_TZ
    , en_UG
    , en_UM
    , en_VC
    , en_VG
    , en_VI
    , en_VU
    , en_WS
    , en_ZA
    , en_ZM
    , en_ZW
    , es
    , es_419
    , es_AR
    , es_BO
    , es_BR
    , es_BZ
    , es_CL
    , es_CO
    , es_CR
    , es_CU
    , es_DO
    , es_EA
    , es_EC
    , es_GQ
    , es_GT
    , es_HN
    , es_IC
    , es_MX
    , es_NI
    , es_PA
    , es_PE
    , es_PH
    , es_PR
    , es_PY
    , es_SV
    , es_US
    , es_UY
    , es_VE
    , et
    , eu
    , fa
    , fa_AF
    , fi
    , fil
    , fr
    , fr_BE
    , fr_BF
    , fr_BI
    , fr_BJ
    , fr_BL
    , fr_CA
    , fr_CD
    , fr_CF
    , fr_CG
    , fr_CH
    , fr_CI
    , fr_CM
    , fr_DJ
    , fr_DZ
    , fr_GA
    , fr_GF
    , fr_GN
    , fr_GP
    , fr_GQ
    , fr_HT
    , fr_KM
    , fr_LU
    , fr_MA
    , fr_MC
    , fr_MF
    , fr_MG
    , fr_ML
    , fr_MQ
    , fr_MR
    , fr_MU
    , fr_NC
    , fr_NE
    , fr_PF
    , fr_PM
    , fr_RE
    , fr_RW
    , fr_SC
    , fr_SN
    , fr_SY
    , fr_TD
    , fr_TG
    , fr_TN
    , fr_VU
    , fr_WF
    , fr_YT
    , ga
    , ga_GB
    , gl
    , gu
    , he
    , hi
    , hr
    , hr_BA
    , hu
    , hy
    , id
    , is
    , it
    , it_CH
    , it_SM
    , it_VA
    , ja
    , jv
    , ka
    , kk
    , km
    , kn
    , ko
    , ko_KP
    , ky
    , lo
    , lt
    , lv
    , mk
    , ml
    , mn
    , mr
    , ms
    , ms_BN
    , ms_ID
    , ms_SG
    , my
    , nb
    , nb_SJ
    , ne
    , ne_IN
    , nl
    , nl_AW
    , nl_BE
    , nl_BQ
    , nl_CW
    , nl_SR
    , nl_SX
    , nn
    , no
    , or
    , pa
    , pa_Guru
    , pl
    , ps
    , ps_PK
    , pt
    , pt_AO
    , pt_CH
    , pt_CV
    , pt_GQ
    , pt_GW
    , pt_LU
    , pt_MO
    , pt_MZ
    , pt_PT
    , pt_ST
    , pt_TL
    , ro
    , ro_MD
    , ru
    , ru_BY
    , ru_KG
    , ru_KZ
    , ru_MD
    , ru_UA
    , sd
    , sd_Arab
    , si
    , sk
    , sl
    , so
    , so_DJ
    , so_ET
    , so_KE
    , sq
    , sq_MK
    , sq_XK
    , sr
    , sr_Cyrl
    , sr_Cyrl_BA
    , sr_Cyrl_ME
    , sr_Cyrl_XK
    , sr_Latn
    , sr_Latn_BA
    , sr_Latn_ME
    , sr_Latn_XK
    , sv
    , sv_AX
    , sv_FI
    , sw
    , sw_CD
    , sw_KE
    , sw_UG
    , ta
    , ta_LK
    , ta_MY
    , ta_SG
    , te
    , th
    , tk
    , tr
    , tr_CY
    , uk
    , root
    , ur
    , ur_IN
    , uz
    , uz_Latn
    , vi
    , yue
    , yue_Hant
    , zh
    , zh_Hans
    , zh_Hans_HK
    , zh_Hans_MO
    , zh_Hans_SG
    , zh_Hant
    , zh_Hant_HK
    , zh_Hant_MO
    , zu
    ]


{-| A list of every "basic" locale listed in the JSON version of the CLDR.

A "basic" locale is a locale without a region, script, or variant subtag, such as `en` or `ru`.

-}
basicLocales : List Locale
basicLocales =
    [ af
    , am
    , ar
    , locale_as
    , az
    , be
    , bg
    , bn
    , bs
    , ca
    , cs
    , cy
    , da
    , de
    , el
    , en
    , es
    , et
    , eu
    , fa
    , fi
    , fil
    , fr
    , ga
    , gl
    , gu
    , he
    , hi
    , hr
    , hu
    , hy
    , id
    , is
    , it
    , ja
    , jv
    , ka
    , kk
    , km
    , kn
    , ko
    , ky
    , lo
    , lt
    , lv
    , mk
    , ml
    , mn
    , mr
    , ms
    , my
    , nb
    , ne
    , nl
    , nn
    , no
    , or
    , pa
    , pl
    , ps
    , pt
    , ro
    , ru
    , sd
    , si
    , sk
    , sl
    , so
    , sq
    , sr
    , sv
    , sw
    , ta
    , te
    , th
    , tk
    , tr
    , uk
    , root
    , ur
    , uz
    , vi
    , yue
    , zh
    , zu
    ]


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : dd MMM y
  - Long : dd MMMM y
  - Full : EEEE dd MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
af : Locale
af =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "af") Nothing Nothing Nothing
        , amPmNames = { am = "vm.", pm = "nm." }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "dd MMM y"
            , long = "dd MMMM y"
            , full = "EEEE dd MMMM y"
            }
        , monthNames =
            { jan = "Januarie"
            , feb = "Februarie"
            , mar = "Maart"
            , apr = "April"
            , may = "Mei"
            , jun = "Junie"
            , jul = "Julie"
            , aug = "Augustus"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Desember"
            }
        , monthNamesShort =
            { jan = "Jan."
            , feb = "Feb."
            , mar = "Mrt."
            , apr = "Apr."
            , may = "Mei"
            , jun = "Jun."
            , jul = "Jul."
            , aug = "Aug."
            , sep = "Sep."
            , oct = "Okt."
            , nov = "Nov."
            , dec = "Des."
            }
        , weekdayNames =
            { sun = "Sondag"
            , mon = "Maandag"
            , tue = "Dinsdag"
            , wed = "Woensdag"
            , thu = "Donderdag"
            , fri = "Vrydag"
            , sat = "Saterdag"
            }
        , weekdayNamesShort =
            { sun = "So."
            , mon = "Ma."
            , tue = "Di."
            , wed = "Wo."
            , thu = "Do."
            , fri = "Vr."
            , sat = "Sa."
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v.C.", ad = "n.C." }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : dd MMM y
  - Long : dd MMMM y
  - Full : EEEE dd MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
af_NA : Locale
af_NA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "af") Nothing (Just (Tagged.tag "NA")) Nothing
        , amPmNames = { am = "vm.", pm = "nm." }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "dd MMM y"
            , long = "dd MMMM y"
            , full = "EEEE dd MMMM y"
            }
        , monthNames =
            { jan = "Januarie"
            , feb = "Februarie"
            , mar = "Maart"
            , apr = "April"
            , may = "Mei"
            , jun = "Junie"
            , jul = "Julie"
            , aug = "Augustus"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Desember"
            }
        , monthNamesShort =
            { jan = "Jan."
            , feb = "Feb."
            , mar = "Mrt."
            , apr = "Apr."
            , may = "Mei"
            , jun = "Jun."
            , jul = "Jul."
            , aug = "Aug."
            , sep = "Sep."
            , oct = "Okt."
            , nov = "Nov."
            , dec = "Des."
            }
        , weekdayNames =
            { sun = "Sondag"
            , mon = "Maandag"
            , tue = "Dinsdag"
            , wed = "Woensdag"
            , thu = "Donderdag"
            , fri = "Vrydag"
            , sat = "Saterdag"
            }
        , weekdayNamesShort =
            { sun = "So."
            , mon = "Ma."
            , tue = "Di."
            , wed = "Wo."
            , thu = "Do."
            , fri = "Vr."
            , sat = "Sa."
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v.C.", ad = "n.C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : y MMMM d, EEEE

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
am : Locale
am =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "am") Nothing Nothing Nothing
        , amPmNames = { am = "ጥዋት", pm = "ከሰዓት" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "y MMMM d, EEEE"
            }
        , monthNames =
            { jan = "ጃንዩወሪ"
            , feb = "ፌብሩወሪ"
            , mar = "ማርች"
            , apr = "ኤፕሪል"
            , may = "ሜይ"
            , jun = "ጁን"
            , jul = "ጁላይ"
            , aug = "ኦገስት"
            , sep = "ሴፕቴምበር"
            , oct = "ኦክቶበር"
            , nov = "ኖቬምበር"
            , dec = "ዲሴምበር"
            }
        , monthNamesShort =
            { jan = "ጃንዩ"
            , feb = "ፌብሩ"
            , mar = "ማርች"
            , apr = "ኤፕሪ"
            , may = "ሜይ"
            , jun = "ጁን"
            , jul = "ጁላይ"
            , aug = "ኦገስ"
            , sep = "ሴፕቴ"
            , oct = "ኦክቶ"
            , nov = "ኖቬም"
            , dec = "ዲሴም"
            }
        , weekdayNames =
            { sun = "እሑድ"
            , mon = "ሰኞ"
            , tue = "ማክሰኞ"
            , wed = "ረቡዕ"
            , thu = "ሐሙስ"
            , fri = "ዓርብ"
            , sat = "ቅዳሜ"
            }
        , weekdayNamesShort =
            { sun = "እሑድ"
            , mon = "ሰኞ"
            , tue = "ማክሰ"
            , wed = "ረቡዕ"
            , thu = "ሐሙስ"
            , fri = "ዓርብ"
            , sat = "ቅዳሜ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "ዓ/ዓ", ad = "ዓ/ም" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar : Locale
ar =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ar") Nothing Nothing Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_AE : Locale
ar_AE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "AE")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_BH : Locale
ar_BH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "BH")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_DJ : Locale
ar_DJ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "DJ")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_DZ : Locale
ar_DZ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "DZ")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "جانفي"
            , feb = "فيفري"
            , mar = "مارس"
            , apr = "أفريل"
            , may = "ماي"
            , jun = "جوان"
            , jul = "جويلية"
            , aug = "أوت"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "جانفي"
            , feb = "فيفري"
            , mar = "مارس"
            , apr = "أفريل"
            , may = "ماي"
            , jun = "جوان"
            , jul = "جويلية"
            , aug = "أوت"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_EG : Locale
ar_EG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "EG")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_EH : Locale
ar_EH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "EH")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_ER : Locale
ar_ER =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "ER")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss zzzz

-}
ar_IL : Locale
ar_IL =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "IL")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_IQ : Locale
ar_IQ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "IQ")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "كانون الثاني"
            , feb = "شباط"
            , mar = "آذار"
            , apr = "نيسان"
            , may = "أيار"
            , jun = "حزيران"
            , jul = "تموز"
            , aug = "آب"
            , sep = "أيلول"
            , oct = "تشرين الأول"
            , nov = "تشرين الثاني"
            , dec = "كانون الأول"
            }
        , monthNamesShort =
            { jan = "كانون الثاني"
            , feb = "شباط"
            , mar = "آذار"
            , apr = "نيسان"
            , may = "أيار"
            , jun = "حزيران"
            , jul = "تموز"
            , aug = "آب"
            , sep = "أيلول"
            , oct = "تشرين\u{00A0}الأول"
            , nov = "تشرين الثاني"
            , dec = "كانون الأول"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_JO : Locale
ar_JO =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "JO")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "كانون الثاني"
            , feb = "شباط"
            , mar = "آذار"
            , apr = "نيسان"
            , may = "أيار"
            , jun = "حزيران"
            , jul = "تموز"
            , aug = "آب"
            , sep = "أيلول"
            , oct = "تشرين الأول"
            , nov = "تشرين الثاني"
            , dec = "كانون الأول"
            }
        , monthNamesShort =
            { jan = "كانون الثاني"
            , feb = "شباط"
            , mar = "آذار"
            , apr = "نيسان"
            , may = "أيار"
            , jun = "حزيران"
            , jul = "تموز"
            , aug = "آب"
            , sep = "أيلول"
            , oct = "تشرين الأول"
            , nov = "تشرين الثاني"
            , dec = "كانون الأول"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ar_KM : Locale
ar_KM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "KM")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_KW : Locale
ar_KW =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "KW")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_LB : Locale
ar_LB =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "LB")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "كانون الثاني"
            , feb = "شباط"
            , mar = "آذار"
            , apr = "نيسان"
            , may = "أيار"
            , jun = "حزيران"
            , jul = "تموز"
            , aug = "آب"
            , sep = "أيلول"
            , oct = "تشرين الأول"
            , nov = "تشرين الثاني"
            , dec = "كانون الأول"
            }
        , monthNamesShort =
            { jan = "كانون الثاني"
            , feb = "شباط"
            , mar = "آذار"
            , apr = "نيسان"
            , may = "أيار"
            , jun = "حزيران"
            , jul = "تموز"
            , aug = "آب"
            , sep = "أيلول"
            , oct = "تشرين الأول"
            , nov = "تشرين الثاني"
            , dec = "كانون الأول"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_LY : Locale
ar_LY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "LY")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ar_MA : Locale
ar_MA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "MA")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "ماي"
            , jun = "يونيو"
            , jul = "يوليوز"
            , aug = "غشت"
            , sep = "شتنبر"
            , oct = "أكتوبر"
            , nov = "نونبر"
            , dec = "دجنبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "ماي"
            , jun = "يونيو"
            , jul = "يوليوز"
            , aug = "غشت"
            , sep = "شتنبر"
            , oct = "أكتوبر"
            , nov = "نونبر"
            , dec = "دجنبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_MR : Locale
ar_MR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "MR")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "إبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغشت"
            , sep = "شتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "دجمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "إبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغشت"
            , sep = "شتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "دجمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_OM : Locale
ar_OM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "OM")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_PS : Locale
ar_PS =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "PS")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "كانون الثاني"
            , feb = "شباط"
            , mar = "آذار"
            , apr = "نيسان"
            , may = "أيار"
            , jun = "حزيران"
            , jul = "تموز"
            , aug = "آب"
            , sep = "أيلول"
            , oct = "تشرين الأول"
            , nov = "تشرين الثاني"
            , dec = "كانون الأول"
            }
        , monthNamesShort =
            { jan = "كانون الثاني"
            , feb = "شباط"
            , mar = "آذار"
            , apr = "نيسان"
            , may = "أيار"
            , jun = "حزيران"
            , jul = "تموز"
            , aug = "آب"
            , sep = "أيلول"
            , oct = "تشرين الأول"
            , nov = "تشرين الثاني"
            , dec = "كانون الأول"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_QA : Locale
ar_QA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "QA")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_SA : Locale
ar_SA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "SA")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_SD : Locale
ar_SD =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "SD")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_SO : Locale
ar_SO =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "SO")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_SS : Locale
ar_SS =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "SS")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_SY : Locale
ar_SY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "SY")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "كانون الثاني"
            , feb = "شباط"
            , mar = "آذار"
            , apr = "نيسان"
            , may = "أيار"
            , jun = "حزيران"
            , jul = "تموز"
            , aug = "آب"
            , sep = "أيلول"
            , oct = "تشرين الأول"
            , nov = "تشرين الثاني"
            , dec = "كانون الأول"
            }
        , monthNamesShort =
            { jan = "كانون الثاني"
            , feb = "شباط"
            , mar = "آذار"
            , apr = "نيسان"
            , may = "أيار"
            , jun = "حزيران"
            , jul = "تموز"
            , aug = "آب"
            , sep = "أيلول"
            , oct = "تشرين الأول"
            , nov = "تشرين الثاني"
            , dec = "كانون الأول"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_TD : Locale
ar_TD =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "TD")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_TN : Locale
ar_TN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "TN")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "جانفي"
            , feb = "فيفري"
            , mar = "مارس"
            , apr = "أفريل"
            , may = "ماي"
            , jun = "جوان"
            , jul = "جويلية"
            , aug = "أوت"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "جانفي"
            , feb = "فيفري"
            , mar = "مارس"
            , apr = "أفريل"
            , may = "ماي"
            , jun = "جوان"
            , jul = "جويلية"
            , aug = "أوت"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d‏/M‏/y
  - Medium : dd‏/MM‏/y
  - Long : d MMMM y
  - Full : EEEE، d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ar_YE : Locale
ar_YE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ar") Nothing (Just (Tagged.tag "YE")) Nothing
        , amPmNames = { am = "ص", pm = "م" }
        , datePatterns =
            { short = "d\u{200F}/M\u{200F}/y"
            , medium = "dd\u{200F}/MM\u{200F}/y"
            , long = "d MMMM y"
            , full = "EEEE، d MMMM y"
            }
        , monthNames =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , monthNamesShort =
            { jan = "يناير"
            , feb = "فبراير"
            , mar = "مارس"
            , apr = "أبريل"
            , may = "مايو"
            , jun = "يونيو"
            , jul = "يوليو"
            , aug = "أغسطس"
            , sep = "سبتمبر"
            , oct = "أكتوبر"
            , nov = "نوفمبر"
            , dec = "ديسمبر"
            }
        , weekdayNames =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , weekdayNamesShort =
            { sun = "الأحد"
            , mon = "الاثنين"
            , tue = "الثلاثاء"
            , wed = "الأربعاء"
            , thu = "الخميس"
            , fri = "الجمعة"
            , sat = "السبت"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "\u{200F}/")
                , DF monthNumber
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "\u{200F}/")
                , DF monthFixed
                , DF (text "\u{200F}/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " في ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " في ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م", ad = "م" }
        }


{-| Date format strings:

  - Short : d-M-y
  - Medium : dd-MM-y
  - Long : d MMMM, y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : a h.mm
  - Medium : a h.mm.ss
  - Long : a h.mm.ss z
  - Full : a h.mm.ss zzzz

-}
locale_as : Locale
locale_as =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "as") Nothing Nothing Nothing
        , amPmNames = { am = "পূৰ্বাহ্ন", pm = "অপৰাহ্ন" }
        , datePatterns =
            { short = "d-M-y"
            , medium = "dd-MM-y"
            , long = "d MMMM, y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "জানুৱাৰী"
            , feb = "ফেব্ৰুৱাৰী"
            , mar = "মাৰ্চ"
            , apr = "এপ্ৰিল"
            , may = "মে’"
            , jun = "জুন"
            , jul = "জুলাই"
            , aug = "আগষ্ট"
            , sep = "ছেপ্তেম্বৰ"
            , oct = "অক্টোবৰ"
            , nov = "নৱেম্বৰ"
            , dec = "ডিচেম্বৰ"
            }
        , monthNamesShort =
            { jan = "জানু"
            , feb = "ফেব্ৰু"
            , mar = "মাৰ্চ"
            , apr = "এপ্ৰিল"
            , may = "মে’"
            , jun = "জুন"
            , jul = "জুলাই"
            , aug = "আগ"
            , sep = "ছেপ্তে"
            , oct = "অক্টো"
            , nov = "নৱে"
            , dec = "ডিচে"
            }
        , weekdayNames =
            { sun = "দেওবাৰ"
            , mon = "সোমবাৰ"
            , tue = "মঙ্গলবাৰ"
            , wed = "বুধবাৰ"
            , thu = "বৃহস্পতিবাৰ"
            , fri = "শুক্ৰবাৰ"
            , sat = "শনিবাৰ"
            }
        , weekdayNamesShort =
            { sun = "দেও"
            , mon = "সোম"
            , tue = "মঙ্গল"
            , wed = "বুধ"
            , thu = "বৃহ"
            , fri = "শুক্ৰ"
            , sat = "শনি"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "-")
                , DF monthNumber
                , DF (text "-")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ".")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                ]
            , long =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "খ্ৰীঃ পূঃ", ad = "খ্ৰীঃ" }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : d MMMM y, EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
az : Locale
az =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "az") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "d MMMM y, EEEE"
            }
        , monthNames =
            { jan = "yanvar"
            , feb = "fevral"
            , mar = "mart"
            , apr = "aprel"
            , may = "may"
            , jun = "iyun"
            , jul = "iyul"
            , aug = "avqust"
            , sep = "sentyabr"
            , oct = "oktyabr"
            , nov = "noyabr"
            , dec = "dekabr"
            }
        , monthNamesShort =
            { jan = "yan"
            , feb = "fev"
            , mar = "mar"
            , apr = "apr"
            , may = "may"
            , jun = "iyn"
            , jul = "iyl"
            , aug = "avq"
            , sep = "sen"
            , oct = "okt"
            , nov = "noy"
            , dec = "dek"
            }
        , weekdayNames =
            { sun = "bazar"
            , mon = "bazar ertəsi"
            , tue = "çərşənbə axşamı"
            , wed = "çərşənbə"
            , thu = "cümə axşamı"
            , fri = "cümə"
            , sat = "şənbə"
            }
        , weekdayNamesShort =
            { sun = "B."
            , mon = "B.e."
            , tue = "Ç.a."
            , wed = "Ç."
            , thu = "C.a."
            , fri = "C."
            , sat = "Ş."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "e.ə.", ad = "y.e." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : d MMMM y, EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
az_Latn : Locale
az_Latn =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "az") (Just (Tagged.tag "Latn")) Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "d MMMM y, EEEE"
            }
        , monthNames =
            { jan = "yanvar"
            , feb = "fevral"
            , mar = "mart"
            , apr = "aprel"
            , may = "may"
            , jun = "iyun"
            , jul = "iyul"
            , aug = "avqust"
            , sep = "sentyabr"
            , oct = "oktyabr"
            , nov = "noyabr"
            , dec = "dekabr"
            }
        , monthNamesShort =
            { jan = "yan"
            , feb = "fev"
            , mar = "mar"
            , apr = "apr"
            , may = "may"
            , jun = "iyn"
            , jul = "iyl"
            , aug = "avq"
            , sep = "sen"
            , oct = "okt"
            , nov = "noy"
            , dec = "dek"
            }
        , weekdayNames =
            { sun = "bazar"
            , mon = "bazar ertəsi"
            , tue = "çərşənbə axşamı"
            , wed = "çərşənbə"
            , thu = "cümə axşamı"
            , fri = "cümə"
            , sat = "şənbə"
            }
        , weekdayNamesShort =
            { sun = "B."
            , mon = "B.e."
            , tue = "Ç.a."
            , wed = "Ç."
            , thu = "C.a."
            , fri = "C."
            , sat = "Ş."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "e.ə.", ad = "y.e." }
        }


{-| Date format strings:

  - Short : d.MM.yy
  - Medium : d MMM y 'г'.
  - Long : d MMMM y 'г'.
  - Full : EEEE, d MMMM y 'г'.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss, zzzz

-}
be : Locale
be =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "be") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d.MM.yy"
            , medium = "d MMM y 'г'."
            , long = "d MMMM y 'г'."
            , full = "EEEE, d MMMM y 'г'."
            }
        , monthNames =
            { jan = "студзеня"
            , feb = "лютага"
            , mar = "сакавіка"
            , apr = "красавіка"
            , may = "мая"
            , jun = "чэрвеня"
            , jul = "ліпеня"
            , aug = "жніўня"
            , sep = "верасня"
            , oct = "кастрычніка"
            , nov = "лістапада"
            , dec = "снежня"
            }
        , monthNamesShort =
            { jan = "сту"
            , feb = "лют"
            , mar = "сак"
            , apr = "кра"
            , may = "мая"
            , jun = "чэр"
            , jul = "ліп"
            , aug = "жні"
            , sep = "вер"
            , oct = "кас"
            , nov = "ліс"
            , dec = "сне"
            }
        , weekdayNames =
            { sun = "нядзеля"
            , mon = "панядзелак"
            , tue = "аўторак"
            , wed = "серада"
            , thu = "чацвер"
            , fri = "пятніца"
            , sat = "субота"
            }
        , weekdayNamesShort =
            { sun = "нд"
            , mon = "пн"
            , tue = "аў"
            , wed = "ср"
            , thu = "чц"
            , fri = "пт"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text ", ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "у", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "у", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "да н.э.", ad = "н.э." }
        }


{-| Date format strings:

  - Short : d.MM.yy
  - Medium : d MMM y 'г'.
  - Long : d MMMM y 'г'.
  - Full : EEEE, d MMMM y 'г'.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss, zzzz

-}
be_TARASK : Locale
be_TARASK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "be") Nothing Nothing (Just (Tagged.tag "TARASK"))
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d.MM.yy"
            , medium = "d MMM y 'г'."
            , long = "d MMMM y 'г'."
            , full = "EEEE, d MMMM y 'г'."
            }
        , monthNames =
            { jan = "студзеня"
            , feb = "лютага"
            , mar = "сакавіка"
            , apr = "красавіка"
            , may = "мая"
            , jun = "чэрвеня"
            , jul = "ліпеня"
            , aug = "жніўня"
            , sep = "верасня"
            , oct = "кастрычніка"
            , nov = "лістапада"
            , dec = "снежня"
            }
        , monthNamesShort =
            { jan = "сту"
            , feb = "лют"
            , mar = "сак"
            , apr = "кра"
            , may = "мая"
            , jun = "чэр"
            , jul = "ліп"
            , aug = "жні"
            , sep = "вер"
            , oct = "кас"
            , nov = "ліс"
            , dec = "сне"
            }
        , weekdayNames =
            { sun = "нядзеля"
            , mon = "панядзелак"
            , tue = "аўторак"
            , wed = "серада"
            , thu = "чацвер"
            , fri = "пятніца"
            , sat = "субота"
            }
        , weekdayNamesShort =
            { sun = "нд"
            , mon = "пн"
            , tue = "аў"
            , wed = "ср"
            , thu = "чц"
            , fri = "пт"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text ", ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "у", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "у", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "да н.э.", ad = "н.э." }
        }


{-| Date format strings:

  - Short : d.MM.yy 'г'.
  - Medium : d.MM.y 'г'.
  - Long : d MMMM y 'г'.
  - Full : EEEE, d MMMM y 'г'.

Time format strings:

  - Short : H:mm 'ч'.
  - Medium : H:mm:ss 'ч'.
  - Long : H:mm:ss 'ч'. z
  - Full : H:mm:ss 'ч'. zzzz

-}
bg : Locale
bg =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "bg") Nothing Nothing Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "d.MM.yy 'г'."
            , medium = "d.MM.y 'г'."
            , long = "d MMMM y 'г'."
            , full = "EEEE, d MMMM y 'г'."
            }
        , monthNames =
            { jan = "януари"
            , feb = "февруари"
            , mar = "март"
            , apr = "април"
            , may = "май"
            , jun = "юни"
            , jul = "юли"
            , aug = "август"
            , sep = "септември"
            , oct = "октомври"
            , nov = "ноември"
            , dec = "декември"
            }
        , monthNamesShort =
            { jan = "яну"
            , feb = "фев"
            , mar = "март"
            , apr = "апр"
            , may = "май"
            , jun = "юни"
            , jul = "юли"
            , aug = "авг"
            , sep = "сеп"
            , oct = "окт"
            , nov = "ное"
            , dec = "дек"
            }
        , weekdayNames =
            { sun = "неделя"
            , mon = "понеделник"
            , tue = "вторник"
            , wed = "сряда"
            , thu = "четвъртък"
            , fri = "петък"
            , sat = "събота"
            }
        , weekdayNamesShort =
            { sun = "нд"
            , mon = "пн"
            , tue = "вт"
            , wed = "ср"
            , thu = "чт"
            , fri = "пт"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF (text "ч")
                , DF (text ".")
                ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF (text "ч")
                , DF (text ".")
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF (text "ч")
                , DF (text ". ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF (text "ч")
                , DF (text ". ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "пр.Хр.", ad = "сл.Хр." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM, y
  - Long : d MMMM, y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
bn : Locale
bn =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "bn") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM, y"
            , long = "d MMMM, y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "জানুয়ারী"
            , feb = "ফেব্রুয়ারী"
            , mar = "মার্চ"
            , apr = "এপ্রিল"
            , may = "মে"
            , jun = "জুন"
            , jul = "জুলাই"
            , aug = "আগস্ট"
            , sep = "সেপ্টেম্বর"
            , oct = "অক্টোবর"
            , nov = "নভেম্বর"
            , dec = "ডিসেম্বর"
            }
        , monthNamesShort =
            { jan = "জানু"
            , feb = "ফেব"
            , mar = "মার্চ"
            , apr = "এপ্রিল"
            , may = "মে"
            , jun = "জুন"
            , jul = "জুলাই"
            , aug = "আগস্ট"
            , sep = "সেপ্টেম্বর"
            , oct = "অক্টোবর"
            , nov = "নভেম্বর"
            , dec = "ডিসেম্বর"
            }
        , weekdayNames =
            { sun = "রবিবার"
            , mon = "সোমবার"
            , tue = "মঙ্গলবার"
            , wed = "বুধবার"
            , thu = "বৃহস্পতিবার"
            , fri = "শুক্রবার"
            , sat = "শনিবার"
            }
        , weekdayNamesShort =
            { sun = "রবি"
            , mon = "সোম"
            , tue = "মঙ্গল"
            , wed = "বুধ"
            , thu = "বৃহস্পতি"
            , fri = "শুক্র"
            , sat = "শনি"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "খ্রিস্টপূর্ব", ad = "খৃষ্টাব্দ" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM, y
  - Long : d MMMM, y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
bn_IN : Locale
bn_IN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "bn") Nothing (Just (Tagged.tag "IN")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM, y"
            , long = "d MMMM, y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "জানুয়ারী"
            , feb = "ফেব্রুয়ারী"
            , mar = "মার্চ"
            , apr = "এপ্রিল"
            , may = "মে"
            , jun = "জুন"
            , jul = "জুলাই"
            , aug = "আগস্ট"
            , sep = "সেপ্টেম্বর"
            , oct = "অক্টোবর"
            , nov = "নভেম্বর"
            , dec = "ডিসেম্বর"
            }
        , monthNamesShort =
            { jan = "জানু"
            , feb = "ফেব"
            , mar = "মার্চ"
            , apr = "এপ্রিল"
            , may = "মে"
            , jun = "জুন"
            , jul = "জুলাই"
            , aug = "আগস্ট"
            , sep = "সেপ্টেম্বর"
            , oct = "অক্টোবর"
            , nov = "নভেম্বর"
            , dec = "ডিসেম্বর"
            }
        , weekdayNames =
            { sun = "রবিবার"
            , mon = "সোমবার"
            , tue = "মঙ্গলবার"
            , wed = "বুধবার"
            , thu = "বৃহস্পতিবার"
            , fri = "শুক্রবার"
            , sat = "শনিবার"
            }
        , weekdayNamesShort =
            { sun = "রবি"
            , mon = "সোম"
            , tue = "মঙ্গল"
            , wed = "বুধ"
            , thu = "বৃহস্পতি"
            , fri = "শুক্র"
            , sat = "শনি"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "খ্রিস্টপূর্ব", ad = "খৃষ্টাব্দ" }
        }


{-| Date format strings:

  - Short : d. M. y.
  - Medium : d. MMM y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
bs : Locale
bs =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "bs") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d. M. y."
            , medium = "d. MMM y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "mart"
            , apr = "april"
            , may = "maj"
            , jun = "juni"
            , jul = "juli"
            , aug = "august"
            , sep = "septembar"
            , oct = "oktobar"
            , nov = "novembar"
            , dec = "decembar"
            }
        , monthNamesShort =
            { jan = "jan"
            , feb = "feb"
            , mar = "mar"
            , apr = "apr"
            , may = "maj"
            , jun = "jun"
            , jul = "jul"
            , aug = "aug"
            , sep = "sep"
            , oct = "okt"
            , nov = "nov"
            , dec = "dec"
            }
        , weekdayNames =
            { sun = "nedjelja"
            , mon = "ponedjeljak"
            , tue = "utorak"
            , wed = "srijeda"
            , thu = "četvrtak"
            , fri = "petak"
            , sat = "subota"
            }
        , weekdayNamesShort =
            { sun = "ned"
            , mon = "pon"
            , tue = "uto"
            , wed = "sri"
            , thu = "čet"
            , fri = "pet"
            , sat = "sub"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "u", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "u", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p. n. e.", ad = "n. e." }
        }


{-| Date format strings:

  - Short : d. M. y.
  - Medium : d. MMM y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
bs_Latn : Locale
bs_Latn =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "bs") (Just (Tagged.tag "Latn")) Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d. M. y."
            , medium = "d. MMM y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "mart"
            , apr = "april"
            , may = "maj"
            , jun = "juni"
            , jul = "juli"
            , aug = "august"
            , sep = "septembar"
            , oct = "oktobar"
            , nov = "novembar"
            , dec = "decembar"
            }
        , monthNamesShort =
            { jan = "jan"
            , feb = "feb"
            , mar = "mar"
            , apr = "apr"
            , may = "maj"
            , jun = "jun"
            , jul = "jul"
            , aug = "aug"
            , sep = "sep"
            , oct = "okt"
            , nov = "nov"
            , dec = "dec"
            }
        , weekdayNames =
            { sun = "nedjelja"
            , mon = "ponedjeljak"
            , tue = "utorak"
            , wed = "srijeda"
            , thu = "četvrtak"
            , fri = "petak"
            , sat = "subota"
            }
        , weekdayNamesShort =
            { sun = "ned"
            , mon = "pon"
            , tue = "uto"
            , wed = "sri"
            , thu = "čet"
            , fri = "pet"
            , sat = "sub"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "u", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "u", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p. n. e.", ad = "n. e." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM 'de' y
  - Full : EEEE, d MMMM 'de' y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss (zzzz)

-}
ca : Locale
ca =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ca") Nothing Nothing Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM 'de' y"
            , full = "EEEE, d MMMM 'de' y"
            }
        , monthNames =
            { jan = "de gener"
            , feb = "de febrer"
            , mar = "de març"
            , apr = "d’abril"
            , may = "de maig"
            , jun = "de juny"
            , jul = "de juliol"
            , aug = "d’agost"
            , sep = "de setembre"
            , oct = "d’octubre"
            , nov = "de novembre"
            , dec = "de desembre"
            }
        , monthNamesShort =
            { jan = "de gen."
            , feb = "de febr."
            , mar = "de març"
            , apr = "d’abr."
            , may = "de maig"
            , jun = "de juny"
            , jul = "de jul."
            , aug = "d’ag."
            , sep = "de set."
            , oct = "d’oct."
            , nov = "de nov."
            , dec = "de des."
            }
        , weekdayNames =
            { sun = "diumenge"
            , mon = "dilluns"
            , tue = "dimarts"
            , wed = "dimecres"
            , thu = "dijous"
            , fri = "divendres"
            , sat = "dissabte"
            }
        , weekdayNamesShort =
            { sun = "dg."
            , mon = "dl."
            , tue = "dt."
            , wed = "dc."
            , thu = "dj."
            , fri = "dv."
            , sat = "ds."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere
                , Text ", "
                , Text "a"
                , Text " "
                , Text "les"
                , Text " "
                , TimeGoesHere
                ]
            , full =
                [ DateGoesHere
                , Text ", "
                , Text "a"
                , Text " "
                , Text "les"
                , Text " "
                , TimeGoesHere
                ]
            }
        , eraNames = { bc = "aC", ad = "dC" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM 'de' y
  - Full : EEEE, d MMMM 'de' y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss (zzzz)

-}
ca_AD : Locale
ca_AD =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ca") Nothing (Just (Tagged.tag "AD")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM 'de' y"
            , full = "EEEE, d MMMM 'de' y"
            }
        , monthNames =
            { jan = "de gener"
            , feb = "de febrer"
            , mar = "de març"
            , apr = "d’abril"
            , may = "de maig"
            , jun = "de juny"
            , jul = "de juliol"
            , aug = "d’agost"
            , sep = "de setembre"
            , oct = "d’octubre"
            , nov = "de novembre"
            , dec = "de desembre"
            }
        , monthNamesShort =
            { jan = "de gen."
            , feb = "de febr."
            , mar = "de març"
            , apr = "d’abr."
            , may = "de maig"
            , jun = "de juny"
            , jul = "de jul."
            , aug = "d’ag."
            , sep = "de set."
            , oct = "d’oct."
            , nov = "de nov."
            , dec = "de des."
            }
        , weekdayNames =
            { sun = "diumenge"
            , mon = "dilluns"
            , tue = "dimarts"
            , wed = "dimecres"
            , thu = "dijous"
            , fri = "divendres"
            , sat = "dissabte"
            }
        , weekdayNamesShort =
            { sun = "dg."
            , mon = "dl."
            , tue = "dt."
            , wed = "dc."
            , thu = "dj."
            , fri = "dv."
            , sat = "ds."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere
                , Text ", "
                , Text "a"
                , Text " "
                , Text "les"
                , Text " "
                , TimeGoesHere
                ]
            , full =
                [ DateGoesHere
                , Text ", "
                , Text "a"
                , Text " "
                , Text "les"
                , Text " "
                , TimeGoesHere
                ]
            }
        , eraNames = { bc = "aC", ad = "dC" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM 'de' y
  - Full : EEEE, d MMMM 'de' y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss (zzzz)

-}
ca_ES_VALENCIA : Locale
ca_ES_VALENCIA =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "ca")
                Nothing
                (Just (Tagged.tag "ES"))
                (Just (Tagged.tag "VALENCIA"))
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM 'de' y"
            , full = "EEEE, d MMMM 'de' y"
            }
        , monthNames =
            { jan = "de gener"
            , feb = "de febrer"
            , mar = "de març"
            , apr = "d’abril"
            , may = "de maig"
            , jun = "de juny"
            , jul = "de juliol"
            , aug = "d’agost"
            , sep = "de setembre"
            , oct = "d’octubre"
            , nov = "de novembre"
            , dec = "de desembre"
            }
        , monthNamesShort =
            { jan = "de gen."
            , feb = "de febr."
            , mar = "de març"
            , apr = "d’abr."
            , may = "de maig"
            , jun = "de juny"
            , jul = "de jul."
            , aug = "d’ag."
            , sep = "de set."
            , oct = "d’oct."
            , nov = "de nov."
            , dec = "de des."
            }
        , weekdayNames =
            { sun = "diumenge"
            , mon = "dilluns"
            , tue = "dimarts"
            , wed = "dimecres"
            , thu = "dijous"
            , fri = "divendres"
            , sat = "dissabte"
            }
        , weekdayNamesShort =
            { sun = "dg."
            , mon = "dl."
            , tue = "dt."
            , wed = "dc."
            , thu = "dj."
            , fri = "dv."
            , sat = "ds."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere
                , Text ", "
                , Text "a"
                , Text " "
                , Text "les"
                , Text " "
                , TimeGoesHere
                ]
            , full =
                [ DateGoesHere
                , Text ", "
                , Text "a"
                , Text " "
                , Text "les"
                , Text " "
                , TimeGoesHere
                ]
            }
        , eraNames = { bc = "aC", ad = "dC" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM 'de' y
  - Full : EEEE, d MMMM 'de' y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss (zzzz)

-}
ca_FR : Locale
ca_FR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ca") Nothing (Just (Tagged.tag "FR")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM 'de' y"
            , full = "EEEE, d MMMM 'de' y"
            }
        , monthNames =
            { jan = "de gener"
            , feb = "de febrer"
            , mar = "de març"
            , apr = "d’abril"
            , may = "de maig"
            , jun = "de juny"
            , jul = "de juliol"
            , aug = "d’agost"
            , sep = "de setembre"
            , oct = "d’octubre"
            , nov = "de novembre"
            , dec = "de desembre"
            }
        , monthNamesShort =
            { jan = "de gen."
            , feb = "de febr."
            , mar = "de març"
            , apr = "d’abr."
            , may = "de maig"
            , jun = "de juny"
            , jul = "de jul."
            , aug = "d’ag."
            , sep = "de set."
            , oct = "d’oct."
            , nov = "de nov."
            , dec = "de des."
            }
        , weekdayNames =
            { sun = "diumenge"
            , mon = "dilluns"
            , tue = "dimarts"
            , wed = "dimecres"
            , thu = "dijous"
            , fri = "divendres"
            , sat = "dissabte"
            }
        , weekdayNamesShort =
            { sun = "dg."
            , mon = "dl."
            , tue = "dt."
            , wed = "dc."
            , thu = "dj."
            , fri = "dv."
            , sat = "ds."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere
                , Text ", "
                , Text "a"
                , Text " "
                , Text "les"
                , Text " "
                , TimeGoesHere
                ]
            , full =
                [ DateGoesHere
                , Text ", "
                , Text "a"
                , Text " "
                , Text "les"
                , Text " "
                , TimeGoesHere
                ]
            }
        , eraNames = { bc = "aC", ad = "dC" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM 'de' y
  - Full : EEEE, d MMMM 'de' y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss (zzzz)

-}
ca_IT : Locale
ca_IT =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ca") Nothing (Just (Tagged.tag "IT")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM 'de' y"
            , full = "EEEE, d MMMM 'de' y"
            }
        , monthNames =
            { jan = "de gener"
            , feb = "de febrer"
            , mar = "de març"
            , apr = "d’abril"
            , may = "de maig"
            , jun = "de juny"
            , jul = "de juliol"
            , aug = "d’agost"
            , sep = "de setembre"
            , oct = "d’octubre"
            , nov = "de novembre"
            , dec = "de desembre"
            }
        , monthNamesShort =
            { jan = "de gen."
            , feb = "de febr."
            , mar = "de març"
            , apr = "d’abr."
            , may = "de maig"
            , jun = "de juny"
            , jul = "de jul."
            , aug = "d’ag."
            , sep = "de set."
            , oct = "d’oct."
            , nov = "de nov."
            , dec = "de des."
            }
        , weekdayNames =
            { sun = "diumenge"
            , mon = "dilluns"
            , tue = "dimarts"
            , wed = "dimecres"
            , thu = "dijous"
            , fri = "divendres"
            , sat = "dissabte"
            }
        , weekdayNamesShort =
            { sun = "dg."
            , mon = "dl."
            , tue = "dt."
            , wed = "dc."
            , thu = "dj."
            , fri = "dv."
            , sat = "ds."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere
                , Text ", "
                , Text "a"
                , Text " "
                , Text "les"
                , Text " "
                , TimeGoesHere
                ]
            , full =
                [ DateGoesHere
                , Text ", "
                , Text "a"
                , Text " "
                , Text "les"
                , Text " "
                , TimeGoesHere
                ]
            }
        , eraNames = { bc = "aC", ad = "dC" }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : d. M. y
  - Long : d. MMMM y
  - Full : EEEE d. MMMM y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss zzzz

-}
cs : Locale
cs =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "cs") Nothing Nothing Nothing
        , amPmNames = { am = "dop.", pm = "odp." }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "d. M. y"
            , long = "d. MMMM y"
            , full = "EEEE d. MMMM y"
            }
        , monthNames =
            { jan = "ledna"
            , feb = "února"
            , mar = "března"
            , apr = "dubna"
            , may = "května"
            , jun = "června"
            , jul = "července"
            , aug = "srpna"
            , sep = "září"
            , oct = "října"
            , nov = "listopadu"
            , dec = "prosince"
            }
        , monthNamesShort =
            { jan = "led"
            , feb = "úno"
            , mar = "bře"
            , apr = "dub"
            , may = "kvě"
            , jun = "čvn"
            , jul = "čvc"
            , aug = "srp"
            , sep = "zář"
            , oct = "říj"
            , nov = "lis"
            , dec = "pro"
            }
        , weekdayNames =
            { sun = "neděle"
            , mon = "pondělí"
            , tue = "úterý"
            , wed = "středa"
            , thu = "čtvrtek"
            , fri = "pátek"
            , sat = "sobota"
            }
        , weekdayNamesShort =
            { sun = "ne"
            , mon = "po"
            , tue = "út"
            , wed = "st"
            , thu = "čt"
            , fri = "pá"
            , sat = "so"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "př. n. l.", ad = "n. l." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
cy : Locale
cy =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "cy") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "Ionawr"
            , feb = "Chwefror"
            , mar = "Mawrth"
            , apr = "Ebrill"
            , may = "Mai"
            , jun = "Mehefin"
            , jul = "Gorffennaf"
            , aug = "Awst"
            , sep = "Medi"
            , oct = "Hydref"
            , nov = "Tachwedd"
            , dec = "Rhagfyr"
            }
        , monthNamesShort =
            { jan = "Ion"
            , feb = "Chwef"
            , mar = "Maw"
            , apr = "Ebr"
            , may = "Mai"
            , jun = "Meh"
            , jul = "Gorff"
            , aug = "Awst"
            , sep = "Medi"
            , oct = "Hyd"
            , nov = "Tach"
            , dec = "Rhag"
            }
        , weekdayNames =
            { sun = "Dydd Sul"
            , mon = "Dydd Llun"
            , tue = "Dydd Mawrth"
            , wed = "Dydd Mercher"
            , thu = "Dydd Iau"
            , fri = "Dydd Gwener"
            , sat = "Dydd Sadwrn"
            }
        , weekdayNamesShort =
            { sun = "Sul"
            , mon = "Llun"
            , tue = "Maw"
            , wed = "Mer"
            , thu = "Iau"
            , fri = "Gwen"
            , sat = "Sad"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "am", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "am", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "CC", ad = "OC" }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d. MMM y
  - Long : d. MMMM y
  - Full : EEEE 'den' d. MMMM y

Time format strings:

  - Short : HH.mm
  - Medium : HH.mm.ss
  - Long : HH.mm.ss z
  - Full : HH.mm.ss zzzz

-}
da : Locale
da =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "da") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d. MMM y"
            , long = "d. MMMM y"
            , full = "EEEE 'den' d. MMMM y"
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "marts"
            , apr = "april"
            , may = "maj"
            , jun = "juni"
            , jul = "juli"
            , aug = "august"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mar."
            , apr = "apr."
            , may = "maj"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "søndag"
            , mon = "mandag"
            , tue = "tirsdag"
            , wed = "onsdag"
            , thu = "torsdag"
            , fri = "fredag"
            , sat = "lørdag"
            }
        , weekdayNamesShort =
            { sun = "søn."
            , mon = "man."
            , tue = "tir."
            , wed = "ons."
            , thu = "tor."
            , fri = "fre."
            , sat = "lør."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF (text "den")
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text "."), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            }
        , eraNames = { bc = "f.Kr.", ad = "e.Kr." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d. MMM y
  - Long : d. MMMM y
  - Full : EEEE 'den' d. MMMM y

Time format strings:

  - Short : HH.mm
  - Medium : HH.mm.ss
  - Long : HH.mm.ss z
  - Full : HH.mm.ss zzzz

-}
da_GL : Locale
da_GL =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "da") Nothing (Just (Tagged.tag "GL")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d. MMM y"
            , long = "d. MMMM y"
            , full = "EEEE 'den' d. MMMM y"
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "marts"
            , apr = "april"
            , may = "maj"
            , jun = "juni"
            , jul = "juli"
            , aug = "august"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mar."
            , apr = "apr."
            , may = "maj"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "søndag"
            , mon = "mandag"
            , tue = "tirsdag"
            , wed = "onsdag"
            , thu = "torsdag"
            , fri = "fredag"
            , sat = "lørdag"
            }
        , weekdayNamesShort =
            { sun = "søn."
            , mon = "man."
            , tue = "tir."
            , wed = "ons."
            , thu = "tor."
            , fri = "fre."
            , sat = "lør."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF (text "den")
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text "."), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            }
        , eraNames = { bc = "f.Kr.", ad = "e.Kr." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : dd.MM.y
  - Long : d. MMMM y
  - Full : EEEE, d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
de : Locale
de =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "de") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "dd.MM.y"
            , long = "d. MMMM y"
            , full = "EEEE, d. MMMM y"
            }
        , monthNames =
            { jan = "Januar"
            , feb = "Februar"
            , mar = "März"
            , apr = "April"
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "August"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Dezember"
            }
        , monthNamesShort =
            { jan = "Jan."
            , feb = "Feb."
            , mar = "März"
            , apr = "Apr."
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "Aug."
            , sep = "Sept."
            , oct = "Okt."
            , nov = "Nov."
            , dec = "Dez."
            }
        , weekdayNames =
            { sun = "Sonntag"
            , mon = "Montag"
            , tue = "Dienstag"
            , wed = "Mittwoch"
            , thu = "Donnerstag"
            , fri = "Freitag"
            , sat = "Samstag"
            }
        , weekdayNamesShort =
            { sun = "So."
            , mon = "Mo."
            , tue = "Di."
            , wed = "Mi."
            , thu = "Do."
            , fri = "Fr."
            , sat = "Sa."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v. Chr.", ad = "n. Chr." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : dd.MM.y
  - Long : d. MMMM y
  - Full : EEEE, d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
de_AT : Locale
de_AT =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "de") Nothing (Just (Tagged.tag "AT")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "dd.MM.y"
            , long = "d. MMMM y"
            , full = "EEEE, d. MMMM y"
            }
        , monthNames =
            { jan = "Jänner"
            , feb = "Februar"
            , mar = "März"
            , apr = "April"
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "August"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Dezember"
            }
        , monthNamesShort =
            { jan = "Jän."
            , feb = "Feb."
            , mar = "März"
            , apr = "Apr."
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "Aug."
            , sep = "Sep."
            , oct = "Okt."
            , nov = "Nov."
            , dec = "Dez."
            }
        , weekdayNames =
            { sun = "Sonntag"
            , mon = "Montag"
            , tue = "Dienstag"
            , wed = "Mittwoch"
            , thu = "Donnerstag"
            , fri = "Freitag"
            , sat = "Samstag"
            }
        , weekdayNamesShort =
            { sun = "So."
            , mon = "Mo."
            , tue = "Di."
            , wed = "Mi."
            , thu = "Do."
            , fri = "Fr."
            , sat = "Sa."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v. Chr.", ad = "n. Chr." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : dd.MM.y
  - Long : d. MMMM y
  - Full : EEEE, d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
de_BE : Locale
de_BE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "de") Nothing (Just (Tagged.tag "BE")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "dd.MM.y"
            , long = "d. MMMM y"
            , full = "EEEE, d. MMMM y"
            }
        , monthNames =
            { jan = "Januar"
            , feb = "Februar"
            , mar = "März"
            , apr = "April"
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "August"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Dezember"
            }
        , monthNamesShort =
            { jan = "Jan."
            , feb = "Feb."
            , mar = "März"
            , apr = "Apr."
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "Aug."
            , sep = "Sept."
            , oct = "Okt."
            , nov = "Nov."
            , dec = "Dez."
            }
        , weekdayNames =
            { sun = "Sonntag"
            , mon = "Montag"
            , tue = "Dienstag"
            , wed = "Mittwoch"
            , thu = "Donnerstag"
            , fri = "Freitag"
            , sat = "Samstag"
            }
        , weekdayNamesShort =
            { sun = "So."
            , mon = "Mo."
            , tue = "Di."
            , wed = "Mi."
            , thu = "Do."
            , fri = "Fr."
            , sat = "Sa."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v. Chr.", ad = "n. Chr." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : dd.MM.y
  - Long : d. MMMM y
  - Full : EEEE, d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
de_CH : Locale
de_CH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "de") Nothing (Just (Tagged.tag "CH")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "dd.MM.y"
            , long = "d. MMMM y"
            , full = "EEEE, d. MMMM y"
            }
        , monthNames =
            { jan = "Januar"
            , feb = "Februar"
            , mar = "März"
            , apr = "April"
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "August"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Dezember"
            }
        , monthNamesShort =
            { jan = "Jan."
            , feb = "Feb."
            , mar = "März"
            , apr = "Apr."
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "Aug."
            , sep = "Sept."
            , oct = "Okt."
            , nov = "Nov."
            , dec = "Dez."
            }
        , weekdayNames =
            { sun = "Sonntag"
            , mon = "Montag"
            , tue = "Dienstag"
            , wed = "Mittwoch"
            , thu = "Donnerstag"
            , fri = "Freitag"
            , sat = "Samstag"
            }
        , weekdayNamesShort =
            { sun = "So."
            , mon = "Mo."
            , tue = "Di."
            , wed = "Mi."
            , thu = "Do."
            , fri = "Fr."
            , sat = "Sa."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v. Chr.", ad = "n. Chr." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : dd.MM.y
  - Long : d. MMMM y
  - Full : EEEE, d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
de_IT : Locale
de_IT =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "de") Nothing (Just (Tagged.tag "IT")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "dd.MM.y"
            , long = "d. MMMM y"
            , full = "EEEE, d. MMMM y"
            }
        , monthNames =
            { jan = "Jänner"
            , feb = "Februar"
            , mar = "März"
            , apr = "April"
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "August"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Dezember"
            }
        , monthNamesShort =
            { jan = "Jän."
            , feb = "Feb."
            , mar = "März"
            , apr = "Apr."
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "Aug."
            , sep = "Sep."
            , oct = "Okt."
            , nov = "Nov."
            , dec = "Dez."
            }
        , weekdayNames =
            { sun = "Sonntag"
            , mon = "Montag"
            , tue = "Dienstag"
            , wed = "Mittwoch"
            , thu = "Donnerstag"
            , fri = "Freitag"
            , sat = "Samstag"
            }
        , weekdayNamesShort =
            { sun = "So."
            , mon = "Mo."
            , tue = "Di."
            , wed = "Mi."
            , thu = "Do."
            , fri = "Fr."
            , sat = "Sa."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v. Chr.", ad = "n. Chr." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : dd.MM.y
  - Long : d. MMMM y
  - Full : EEEE, d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
de_LI : Locale
de_LI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "de") Nothing (Just (Tagged.tag "LI")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "dd.MM.y"
            , long = "d. MMMM y"
            , full = "EEEE, d. MMMM y"
            }
        , monthNames =
            { jan = "Januar"
            , feb = "Februar"
            , mar = "März"
            , apr = "April"
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "August"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Dezember"
            }
        , monthNamesShort =
            { jan = "Jan."
            , feb = "Feb."
            , mar = "März"
            , apr = "Apr."
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "Aug."
            , sep = "Sept."
            , oct = "Okt."
            , nov = "Nov."
            , dec = "Dez."
            }
        , weekdayNames =
            { sun = "Sonntag"
            , mon = "Montag"
            , tue = "Dienstag"
            , wed = "Mittwoch"
            , thu = "Donnerstag"
            , fri = "Freitag"
            , sat = "Samstag"
            }
        , weekdayNamesShort =
            { sun = "So."
            , mon = "Mo."
            , tue = "Di."
            , wed = "Mi."
            , thu = "Do."
            , fri = "Fr."
            , sat = "Sa."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v. Chr.", ad = "n. Chr." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : dd.MM.y
  - Long : d. MMMM y
  - Full : EEEE, d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
de_LU : Locale
de_LU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "de") Nothing (Just (Tagged.tag "LU")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "dd.MM.y"
            , long = "d. MMMM y"
            , full = "EEEE, d. MMMM y"
            }
        , monthNames =
            { jan = "Januar"
            , feb = "Februar"
            , mar = "März"
            , apr = "April"
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "August"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Dezember"
            }
        , monthNamesShort =
            { jan = "Jan."
            , feb = "Feb."
            , mar = "März"
            , apr = "Apr."
            , may = "Mai"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "Aug."
            , sep = "Sept."
            , oct = "Okt."
            , nov = "Nov."
            , dec = "Dez."
            }
        , weekdayNames =
            { sun = "Sonntag"
            , mon = "Montag"
            , tue = "Dienstag"
            , wed = "Mittwoch"
            , thu = "Donnerstag"
            , fri = "Freitag"
            , sat = "Samstag"
            }
        , weekdayNamesShort =
            { sun = "So."
            , mon = "Mo."
            , tue = "Di."
            , wed = "Mi."
            , thu = "Do."
            , fri = "Fr."
            , sat = "Sa."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "um", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v. Chr.", ad = "n. Chr." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
el : Locale
el =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "el") Nothing Nothing Nothing
        , amPmNames = { am = "π.μ.", pm = "μ.μ." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "Ιανουαρίου"
            , feb = "Φεβρουαρίου"
            , mar = "Μαρτίου"
            , apr = "Απριλίου"
            , may = "Μαΐου"
            , jun = "Ιουνίου"
            , jul = "Ιουλίου"
            , aug = "Αυγούστου"
            , sep = "Σεπτεμβρίου"
            , oct = "Οκτωβρίου"
            , nov = "Νοεμβρίου"
            , dec = "Δεκεμβρίου"
            }
        , monthNamesShort =
            { jan = "Ιαν"
            , feb = "Φεβ"
            , mar = "Μαρ"
            , apr = "Απρ"
            , may = "Μαΐ"
            , jun = "Ιουν"
            , jul = "Ιουλ"
            , aug = "Αυγ"
            , sep = "Σεπ"
            , oct = "Οκτ"
            , nov = "Νοε"
            , dec = "Δεκ"
            }
        , weekdayNames =
            { sun = "Κυριακή"
            , mon = "Δευτέρα"
            , tue = "Τρίτη"
            , wed = "Τετάρτη"
            , thu = "Πέμπτη"
            , fri = "Παρασκευή"
            , sat = "Σάββατο"
            }
        , weekdayNamesShort =
            { sun = "Κυρ"
            , mon = "Δευ"
            , tue = "Τρί"
            , wed = "Τετ"
            , thu = "Πέμ"
            , fri = "Παρ"
            , sat = "Σάβ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " - ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " - ", TimeGoesHere ]
            }
        , eraNames = { bc = "π.Χ.", ad = "μ.Χ." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
el_CY : Locale
el_CY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "el") Nothing (Just (Tagged.tag "CY")) Nothing
        , amPmNames = { am = "π.μ.", pm = "μ.μ." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "Ιανουαρίου"
            , feb = "Φεβρουαρίου"
            , mar = "Μαρτίου"
            , apr = "Απριλίου"
            , may = "Μαΐου"
            , jun = "Ιουνίου"
            , jul = "Ιουλίου"
            , aug = "Αυγούστου"
            , sep = "Σεπτεμβρίου"
            , oct = "Οκτωβρίου"
            , nov = "Νοεμβρίου"
            , dec = "Δεκεμβρίου"
            }
        , monthNamesShort =
            { jan = "Ιαν"
            , feb = "Φεβ"
            , mar = "Μαρ"
            , apr = "Απρ"
            , may = "Μαΐ"
            , jun = "Ιουν"
            , jul = "Ιουλ"
            , aug = "Αυγ"
            , sep = "Σεπ"
            , oct = "Οκτ"
            , nov = "Νοε"
            , dec = "Δεκ"
            }
        , weekdayNames =
            { sun = "Κυριακή"
            , mon = "Δευτέρα"
            , tue = "Τρίτη"
            , wed = "Τετάρτη"
            , thu = "Πέμπτη"
            , fri = "Παρασκευή"
            , sat = "Σάββατο"
            }
        , weekdayNamesShort =
            { sun = "Κυρ"
            , mon = "Δευ"
            , tue = "Τρί"
            , wed = "Τετ"
            , thu = "Πέμ"
            , fri = "Παρ"
            , sat = "Σάβ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " - ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " - ", TimeGoesHere ]
            }
        , eraNames = { bc = "π.Χ.", ad = "μ.Χ." }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en : Locale
en =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "en") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_001 : Locale
en_001 =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "001")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_150 : Locale
en_150 =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "150")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_AE : Locale
en_AE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "AE")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_AG : Locale
en_AG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "AG")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_AI : Locale
en_AI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "AI")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_AS : Locale
en_AS =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "AS")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_AT : Locale
en_AT =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "AT")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_AU : Locale
en_AU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "AU")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_BB : Locale
en_BB =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "BB")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_BE : Locale
en_BE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "BE")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_BI : Locale
en_BI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "BI")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_BM : Locale
en_BM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "BM")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_BS : Locale
en_BS =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "BS")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd MMM y
  - Long : dd MMMM y
  - Full : EEEE, dd MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_BW : Locale
en_BW =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "BW")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd MMM y"
            , long = "dd MMMM y"
            , full = "EEEE, dd MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd-MMM-y
  - Long : dd MMMM y
  - Full : EEEE, dd MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_BZ : Locale
en_BZ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "BZ")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd-MMM-y"
            , long = "dd MMMM y"
            , full = "EEEE, dd MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthNameAbbreviated
                , DF (text "-")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_CA : Locale
en_CA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "CA")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_CC : Locale
en_CC =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "CC")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_CH : Locale
en_CH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "CH")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_CK : Locale
en_CK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "CK")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_CM : Locale
en_CM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "CM")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_CX : Locale
en_CX =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "CX")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_CY : Locale
en_CY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "CY")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_DE : Locale
en_DE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "DE")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_DG : Locale
en_DG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "DG")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH.mm
  - Medium : HH.mm.ss
  - Long : HH.mm.ss z
  - Full : HH.mm.ss zzzz

-}
en_DK : Locale
en_DK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "DK")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text "."), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_DM : Locale
en_DM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "DM")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_ER : Locale
en_ER =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "ER")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : H.mm
  - Medium : H.mm.ss
  - Long : H.mm.ss z
  - Full : H.mm.ss zzzz

-}
en_FI : Locale
en_FI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "FI")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text "."), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_FJ : Locale
en_FJ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "FJ")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_FK : Locale
en_FK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "FK")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_FM : Locale
en_FM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "FM")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_GB : Locale
en_GB =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "GB")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_GD : Locale
en_GD =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "GD")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_GG : Locale
en_GG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "GG")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_GH : Locale
en_GH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "GH")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_GI : Locale
en_GI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "GI")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_GM : Locale
en_GM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "GM")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_GU : Locale
en_GU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "GU")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_GY : Locale
en_GY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "GY")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : d/M/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_HK : Locale
en_HK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "HK")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "d/M/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_IE : Locale
en_IE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "IE")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss zzzz

-}
en_IL : Locale
en_IL =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "IL")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_IM : Locale
en_IM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "IM")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd-MMM-y
  - Long : d MMMM y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_IN : Locale
en_IN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "IN")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd-MMM-y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthNameAbbreviated
                , DF (text "-")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_IO : Locale
en_IO =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "IO")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_JE : Locale
en_JE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "JE")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_JM : Locale
en_JM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "JM")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_KE : Locale
en_KE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "KE")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_KI : Locale
en_KI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "KI")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_KN : Locale
en_KN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "KN")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_KY : Locale
en_KY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "KY")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_LC : Locale
en_LC =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "LC")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_LR : Locale
en_LR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "LR")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_LS : Locale
en_LS =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "LS")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_MG : Locale
en_MG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "MG")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_MH : Locale
en_MH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "MH")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_MO : Locale
en_MO =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "MO")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_MP : Locale
en_MP =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "MP")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_MS : Locale
en_MS =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "MS")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : dd MMM y
  - Long : dd MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_MT : Locale
en_MT =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "MT")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "dd MMM y"
            , long = "dd MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_MU : Locale
en_MU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "MU")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_MW : Locale
en_MW =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "MW")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_MY : Locale
en_MY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "MY")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_NA : Locale
en_NA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "NA")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_NF : Locale
en_NF =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "NF")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_NG : Locale
en_NG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "NG")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_NL : Locale
en_NL =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "NL")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_NR : Locale
en_NR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "NR")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_NU : Locale
en_NU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "NU")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : d/MM/yy
  - Medium : d/MM/y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_NZ : Locale
en_NZ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "NZ")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "d/MM/yy"
            , medium = "d/MM/y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_PG : Locale
en_PG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "PG")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_PH : Locale
en_PH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "PH")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : dd-MMM-y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_PK : Locale
en_PK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "PK")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "dd-MMM-y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthNameAbbreviated
                , DF (text "-")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_PN : Locale
en_PN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "PN")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_PR : Locale
en_PR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "PR")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_PW : Locale
en_PW =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "PW")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_RW : Locale
en_RW =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "RW")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SB : Locale
en_SB =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SB")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_SC : Locale
en_SC =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SC")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SD : Locale
en_SD =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SD")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_SE : Locale
en_SE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SE")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SG : Locale
en_SG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SG")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_SH : Locale
en_SH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SH")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_SI : Locale
en_SI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SI")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SL : Locale
en_SL =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SL")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SS : Locale
en_SS =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SS")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_SX : Locale
en_SX =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SX")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SZ : Locale
en_SZ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "SZ")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_TC : Locale
en_TC =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "TC")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_TK : Locale
en_TK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "TK")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_TO : Locale
en_TO =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "TO")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_TT : Locale
en_TT =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "TT")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_TV : Locale
en_TV =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "TV")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_TZ : Locale
en_TZ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "TZ")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_UG : Locale
en_UG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "UG")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_UM : Locale
en_UM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "UM")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_VC : Locale
en_VC =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "VC")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_VG : Locale
en_VG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "VG")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_VI : Locale
en_VI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "VI")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sep"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_VU : Locale
en_VU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "VU")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_WS : Locale
en_WS =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "WS")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : y/MM/dd
  - Medium : dd MMM y
  - Long : dd MMMM y
  - Full : EEEE, dd MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_ZA : Locale
en_ZA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "ZA")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "y/MM/dd"
            , medium = "dd MMM y"
            , long = "dd MMMM y"
            , full = "EEEE, dd MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_ZM : Locale
en_ZM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "ZM")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : d/M/y
  - Medium : dd MMM,y
  - Long : dd MMMM y
  - Full : EEEE, dd MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_ZW : Locale
en_ZW =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "en") Nothing (Just (Tagged.tag "ZW")) Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "d/M/y"
            , medium = "dd MMM,y"
            , long = "dd MMMM y"
            , full = "EEEE, dd MMMM y"
            }
        , monthNames =
            { jan = "January"
            , feb = "February"
            , mar = "March"
            , apr = "April"
            , may = "May"
            , jun = "June"
            , jul = "July"
            , aug = "August"
            , sep = "September"
            , oct = "October"
            , nov = "November"
            , dec = "December"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "May"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aug"
            , sep = "Sept"
            , oct = "Oct"
            , nov = "Nov"
            , dec = "Dec"
            }
        , weekdayNames =
            { sun = "Sunday"
            , mon = "Monday"
            , tue = "Tuesday"
            , wed = "Wednesday"
            , thu = "Thursday"
            , fri = "Friday"
            , sat = "Saturday"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ",")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "at", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss (zzzz)

-}
es : Locale
es =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "es") Nothing Nothing Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_419 : Locale
es_419 =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "419")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_AR : Locale
es_AR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "AR")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM 'de' y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_BO : Locale
es_BO =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "BO")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM 'de' y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_BR : Locale
es_BR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "BR")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_BZ : Locale
es_BZ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "BZ")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : dd-MM-yy
  - Medium : dd-MM-y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_CL : Locale
es_CL =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "CL")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "dd-MM-yy"
            , medium = "dd-MM-y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/MM/yy
  - Medium : d/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
es_CO : Locale
es_CO =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "CO")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/MM/yy"
            , medium = "d/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_CR : Locale
es_CR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "CR")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_CU : Locale
es_CU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "CU")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
es_DO : Locale
es_DO =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "DO")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss (zzzz)

-}
es_EA : Locale
es_EA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "EA")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_EC : Locale
es_EC =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "EC")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss (zzzz)

-}
es_GQ : Locale
es_GQ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "GQ")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/MM/yy
  - Medium : d/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_GT : Locale
es_GT =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "GT")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/MM/yy"
            , medium = "d/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : dd 'de' MMMM 'de' y
  - Full : EEEE dd 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_HN : Locale
es_HN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "HN")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "dd 'de' MMMM 'de' y"
            , full = "EEEE dd 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss (zzzz)

-}
es_IC : Locale
es_IC =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "IC")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_MX : Locale
es_MX =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "MX")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_NI : Locale
es_NI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "NI")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : MM/dd/yy
  - Medium : MM/dd/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
es_PA : Locale
es_PA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "PA")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "MM/dd/yy"
            , medium = "MM/dd/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF monthFixed
                , DF (text "/")
                , DF dayOfMonthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthFixed
                , DF (text "/")
                , DF dayOfMonthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/MM/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_PE : Locale
es_PE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "PE")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/MM/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "setiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene."
            , feb = "feb."
            , mar = "mar."
            , apr = "abr."
            , may = "may."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "oct."
            , nov = "nov."
            , dec = "dic."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
es_PH : Locale
es_PH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "PH")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : MM/dd/yy
  - Medium : MM/dd/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
es_PR : Locale
es_PR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "PR")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "MM/dd/yy"
            , medium = "MM/dd/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF monthFixed
                , DF (text "/")
                , DF dayOfMonthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthFixed
                , DF (text "/")
                , DF dayOfMonthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_PY : Locale
es_PY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "PY")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene."
            , feb = "feb."
            , mar = "mar."
            , apr = "abr."
            , may = "may."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "dic."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_SV : Locale
es_SV =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "SV")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/y
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
es_US : Locale
es_US =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "US")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/y"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene"
            , feb = "feb"
            , mar = "mar"
            , apr = "abr"
            , may = "may"
            , jun = "jun"
            , jul = "jul"
            , aug = "ago"
            , sep = "sept"
            , oct = "oct"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
es_UY : Locale
es_UY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "UY")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "setiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene."
            , feb = "feb."
            , mar = "mar."
            , apr = "abr."
            , may = "may."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "oct."
            , nov = "nov."
            , dec = "dic."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
es_VE : Locale
es_VE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "es") Nothing (Just (Tagged.tag "VE")) Nothing
        , amPmNames = { am = "a.\u{00A0}m.", pm = "p.\u{00A0}m." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "enero"
            , feb = "febrero"
            , mar = "marzo"
            , apr = "abril"
            , may = "mayo"
            , jun = "junio"
            , jul = "julio"
            , aug = "agosto"
            , sep = "septiembre"
            , oct = "octubre"
            , nov = "noviembre"
            , dec = "diciembre"
            }
        , monthNamesShort =
            { jan = "ene."
            , feb = "feb."
            , mar = "mar."
            , apr = "abr."
            , may = "may."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "dic."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "lunes"
            , tue = "martes"
            , wed = "miércoles"
            , thu = "jueves"
            , fri = "viernes"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mié"
            , thu = "jue"
            , fri = "vie"
            , sat = "sáb"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "a. C.", ad = "d. C." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : d. MMM y
  - Long : d. MMMM y
  - Full : EEEE, d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
et : Locale
et =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "et") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "d. MMM y"
            , long = "d. MMMM y"
            , full = "EEEE, d. MMMM y"
            }
        , monthNames =
            { jan = "jaanuar"
            , feb = "veebruar"
            , mar = "märts"
            , apr = "aprill"
            , may = "mai"
            , jun = "juuni"
            , jul = "juuli"
            , aug = "august"
            , sep = "september"
            , oct = "oktoober"
            , nov = "november"
            , dec = "detsember"
            }
        , monthNamesShort =
            { jan = "jaan"
            , feb = "veebr"
            , mar = "märts"
            , apr = "apr"
            , may = "mai"
            , jun = "juuni"
            , jul = "juuli"
            , aug = "aug"
            , sep = "sept"
            , oct = "okt"
            , nov = "nov"
            , dec = "dets"
            }
        , weekdayNames =
            { sun = "Pühapäev"
            , mon = "Esmaspäev"
            , tue = "Teisipäev"
            , wed = "Kolmapäev"
            , thu = "Neljapäev"
            , fri = "Reede"
            , sat = "Laupäev"
            }
        , weekdayNamesShort =
            { sun = "P"
            , mon = "E"
            , tue = "T"
            , wed = "K"
            , thu = "N"
            , fri = "R"
            , sat = "L"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "eKr", ad = "pKr" }
        }


{-| Date format strings:

  - Short : yy/M/d
  - Medium : y('e')'ko' MMM d('a')
  - Long : y('e')'ko' MMMM'ren' d('a')
  - Full : y('e')'ko' MMMM'ren' d('a'), EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss (z)
  - Full : HH:mm:ss (zzzz)

-}
eu : Locale
eu =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "eu") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "yy/M/d"
            , medium = "y('e')'ko' MMM d('a')"
            , long = "y('e')'ko' MMMM'ren' d('a')"
            , full = "y('e')'ko' MMMM'ren' d('a'), EEEE"
            }
        , monthNames =
            { jan = "urtarrilak"
            , feb = "otsailak"
            , mar = "martxoak"
            , apr = "apirilak"
            , may = "maiatzak"
            , jun = "ekainak"
            , jul = "uztailak"
            , aug = "abuztuak"
            , sep = "irailak"
            , oct = "urriak"
            , nov = "azaroak"
            , dec = "abenduak"
            }
        , monthNamesShort =
            { jan = "urt."
            , feb = "ots."
            , mar = "mar."
            , apr = "api."
            , may = "mai."
            , jun = "eka."
            , jul = "uzt."
            , aug = "abu."
            , sep = "ira."
            , oct = "urr."
            , nov = "aza."
            , dec = "abe."
            }
        , weekdayNames =
            { sun = "igandea"
            , mon = "astelehena"
            , tue = "asteartea"
            , wed = "asteazkena"
            , thu = "osteguna"
            , fri = "ostirala"
            , sat = "larunbata"
            }
        , weekdayNamesShort =
            { sun = "ig."
            , mon = "al."
            , tue = "ar."
            , wed = "az."
            , thu = "og."
            , fri = "or."
            , sat = "lr."
            }
        , dateTokens =
            { short =
                [ DF yearNumberLastTwo
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text "(")
                , DF (text "e")
                , DF (text ")")
                , DF (text "ko")
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text "(")
                , DF (text "a")
                , DF (text ")")
                ]
            , long =
                [ DF yearNumber
                , DF (text "(")
                , DF (text "e")
                , DF (text ")")
                , DF (text "ko")
                , DF (text " ")
                , DF monthNameFull
                , DF (text "ren")
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text "(")
                , DF (text "a")
                , DF (text ")")
                ]
            , full =
                [ DF yearNumber
                , DF (text "(")
                , DF (text "e")
                , DF (text ")")
                , DF (text "ko")
                , DF (text " ")
                , DF monthNameFull
                , DF (text "ren")
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text "(")
                , DF (text "a")
                , DF (text "), ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneShort
                , DF (text ")")
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "K.a.", ad = "K.o." }
        }


{-| Date format strings:

  - Short : y/M/d
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss (z)
  - Full : H:mm:ss (zzzz)

-}
fa : Locale
fa =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "fa") Nothing Nothing Nothing
        , amPmNames = { am = "ق.ظ.", pm = "ب.ظ." }
        , datePatterns =
            { short = "y/M/d"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "ژانویهٔ"
            , feb = "فوریهٔ"
            , mar = "مارس"
            , apr = "آوریل"
            , may = "مهٔ"
            , jun = "ژوئن"
            , jul = "ژوئیهٔ"
            , aug = "اوت"
            , sep = "سپتامبر"
            , oct = "اکتبر"
            , nov = "نوامبر"
            , dec = "دسامبر"
            }
        , monthNamesShort =
            { jan = "ژانویه"
            , feb = "فوریه"
            , mar = "مارس"
            , apr = "آوریل"
            , may = "مه"
            , jun = "ژوئن"
            , jul = "ژوئیه"
            , aug = "اوت"
            , sep = "سپتامبر"
            , oct = "اکتبر"
            , nov = "نوامبر"
            , dec = "دسامبر"
            }
        , weekdayNames =
            { sun = "یکشنبه"
            , mon = "دوشنبه"
            , tue = "سه\u{200C}شنبه"
            , wed = "چهارشنبه"
            , thu = "پنجشنبه"
            , fri = "جمعه"
            , sat = "شنبه"
            }
        , weekdayNamesShort =
            { sun = "یکشنبه"
            , mon = "دوشنبه"
            , tue = "سه\u{200C}شنبه"
            , wed = "چهارشنبه"
            , thu = "پنجشنبه"
            , fri = "جمعه"
            , sat = "شنبه"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneShort
                , DF (text ")")
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text "،\u{200F} ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text "،\u{200F} ", TimeGoesHere ]
            , long = [ DateGoesHere, Text "، ساعت ", TimeGoesHere ]
            , full = [ DateGoesHere, Text "، ساعت ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م.", ad = "م." }
        }


{-| Date format strings:

  - Short : y/M/d
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss (z)
  - Full : H:mm:ss (zzzz)

-}
fa_AF : Locale
fa_AF =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fa") Nothing (Just (Tagged.tag "AF")) Nothing
        , amPmNames = { am = "ق.ظ.", pm = "ب.ظ." }
        , datePatterns =
            { short = "y/M/d"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "جنوری"
            , feb = "فبروری"
            , mar = "مارچ"
            , apr = "اپریل"
            , may = "می"
            , jun = "جون"
            , jul = "جولای"
            , aug = "اگست"
            , sep = "سپتمبر"
            , oct = "اکتوبر"
            , nov = "نومبر"
            , dec = "دسمبر"
            }
        , monthNamesShort =
            { jan = "جنو"
            , feb = "فبروری"
            , mar = "مارچ"
            , apr = "اپریل"
            , may = "می"
            , jun = "جون"
            , jul = "جول"
            , aug = "اگست"
            , sep = "سپتمبر"
            , oct = "اکتوبر"
            , nov = "نومبر"
            , dec = "دسم"
            }
        , weekdayNames =
            { sun = "یکشنبه"
            , mon = "دوشنبه"
            , tue = "سه\u{200C}شنبه"
            , wed = "چهارشنبه"
            , thu = "پنجشنبه"
            , fri = "جمعه"
            , sat = "شنبه"
            }
        , weekdayNamesShort =
            { sun = "یکشنبه"
            , mon = "دوشنبه"
            , tue = "سه\u{200C}شنبه"
            , wed = "چهارشنبه"
            , thu = "پنجشنبه"
            , fri = "جمعه"
            , sat = "شنبه"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneShort
                , DF (text ")")
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text "،\u{200F} ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text "،\u{200F} ", TimeGoesHere ]
            , long = [ DateGoesHere, Text "، ساعت ", TimeGoesHere ]
            , full = [ DateGoesHere, Text "، ساعت ", TimeGoesHere ]
            }
        , eraNames = { bc = "ق.م.", ad = "م." }
        }


{-| Date format strings:

  - Short : d.M.y
  - Medium : d.M.y
  - Long : d. MMMM y
  - Full : cccc d. MMMM y

Time format strings:

  - Short : H.mm
  - Medium : H.mm.ss
  - Long : H.mm.ss z
  - Full : H.mm.ss zzzz

-}
fi : Locale
fi =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "fi") Nothing Nothing Nothing
        , amPmNames = { am = "ap.", pm = "ip." }
        , datePatterns =
            { short = "d.M.y"
            , medium = "d.M.y"
            , long = "d. MMMM y"
            , full = "cccc d. MMMM y"
            }
        , monthNames =
            { jan = "tammikuuta"
            , feb = "helmikuuta"
            , mar = "maaliskuuta"
            , apr = "huhtikuuta"
            , may = "toukokuuta"
            , jun = "kesäkuuta"
            , jul = "heinäkuuta"
            , aug = "elokuuta"
            , sep = "syyskuuta"
            , oct = "lokakuuta"
            , nov = "marraskuuta"
            , dec = "joulukuuta"
            }
        , monthNamesShort =
            { jan = "tammik."
            , feb = "helmik."
            , mar = "maalisk."
            , apr = "huhtik."
            , may = "toukok."
            , jun = "kesäk."
            , jul = "heinäk."
            , aug = "elok."
            , sep = "syysk."
            , oct = "lokak."
            , nov = "marrask."
            , dec = "jouluk."
            }
        , weekdayNames =
            { sun = "sunnuntaina"
            , mon = "maanantaina"
            , tue = "tiistaina"
            , wed = "keskiviikkona"
            , thu = "torstaina"
            , fri = "perjantaina"
            , sat = "lauantaina"
            }
        , weekdayNamesShort =
            { sun = "su"
            , mon = "ma"
            , tue = "ti"
            , wed = "ke"
            , thu = "to"
            , fri = "pe"
            , sat = "la"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text "."), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium =
                [ DateGoesHere, Text " ", Text "klo", Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "klo", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "klo", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "eKr.", ad = "jKr." }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
fil : Locale
fil =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "fil") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "Enero"
            , feb = "Pebrero"
            , mar = "Marso"
            , apr = "Abril"
            , may = "Mayo"
            , jun = "Hunyo"
            , jul = "Hulyo"
            , aug = "Agosto"
            , sep = "Setyembre"
            , oct = "Oktubre"
            , nov = "Nobyembre"
            , dec = "Disyembre"
            }
        , monthNamesShort =
            { jan = "Ene"
            , feb = "Peb"
            , mar = "Mar"
            , apr = "Abr"
            , may = "May"
            , jun = "Hun"
            , jul = "Hul"
            , aug = "Ago"
            , sep = "Set"
            , oct = "Okt"
            , nov = "Nob"
            , dec = "Dis"
            }
        , weekdayNames =
            { sun = "Linggo"
            , mon = "Lunes"
            , tue = "Martes"
            , wed = "Miyerkules"
            , thu = "Huwebes"
            , fri = "Biyernes"
            , sat = "Sabado"
            }
        , weekdayNamesShort =
            { sun = "Lin"
            , mon = "Lun"
            , tue = "Mar"
            , wed = "Miy"
            , thu = "Huw"
            , fri = "Biy"
            , sat = "Sab"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "nang", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "nang", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr : Locale
fr =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "fr") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : d/MM/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : H 'h' mm 'min' ss 's' zzzz

-}
fr_BE : Locale
fr_BE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "BE")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d/MM/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text " ")
                , DF (text "h")
                , DF (text " ")
                , DF minuteFixed
                , DF (text " ")
                , DF (text "min")
                , DF (text " ")
                , DF secondFixed
                , DF (text " ")
                , DF (text "s")
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_BF : Locale
fr_BF =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "BF")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_BI : Locale
fr_BI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "BI")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_BJ : Locale
fr_BJ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "BJ")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_BL : Locale
fr_BL =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "BL")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH 'h' mm
  - Medium : HH 'h' mm 'min' ss 's'
  - Long : HH 'h' mm 'min' ss 's' z
  - Full : HH 'h' mm 'min' ss 's' zzzz

-}
fr_CA : Locale
fr_CA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "CA")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juill."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourMilitaryFixed
                , DF (text " ")
                , DF (text "h")
                , DF (text " ")
                , DF minuteFixed
                ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text " ")
                , DF (text "h")
                , DF (text " ")
                , DF minuteFixed
                , DF (text " ")
                , DF (text "min")
                , DF (text " ")
                , DF secondFixed
                , DF (text " ")
                , DF (text "s")
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text " ")
                , DF (text "h")
                , DF (text " ")
                , DF minuteFixed
                , DF (text " ")
                , DF (text "min")
                , DF (text " ")
                , DF secondFixed
                , DF (text " ")
                , DF (text "s")
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text " ")
                , DF (text "h")
                , DF (text " ")
                , DF minuteFixed
                , DF (text " ")
                , DF (text "min")
                , DF (text " ")
                , DF secondFixed
                , DF (text " ")
                , DF (text "s")
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_CD : Locale
fr_CD =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "CD")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_CF : Locale
fr_CF =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "CF")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_CG : Locale
fr_CG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "CG")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH.mm:ss 'h' zzzz

-}
fr_CH : Locale
fr_CH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "CH")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF (text "h")
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_CI : Locale
fr_CI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "CI")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_CM : Locale
fr_CM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "CM")) Nothing
        , amPmNames = { am = "mat.", pm = "soir" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
fr_DJ : Locale
fr_DJ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "DJ")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
fr_DZ : Locale
fr_DZ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "DZ")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_GA : Locale
fr_GA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "GA")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_GF : Locale
fr_GF =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "GF")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_GN : Locale
fr_GN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "GN")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_GP : Locale
fr_GP =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "GP")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_GQ : Locale
fr_GQ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "GQ")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_HT : Locale
fr_HT =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "HT")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_KM : Locale
fr_KM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "KM")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_LU : Locale
fr_LU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "LU")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_MA : Locale
fr_MA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "MA")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fév."
            , mar = "mar."
            , apr = "avr."
            , may = "mai"
            , jun = "jui."
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_MC : Locale
fr_MC =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "MC")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_MF : Locale
fr_MF =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "MF")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_MG : Locale
fr_MG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "MG")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_ML : Locale
fr_ML =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "ML")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_MQ : Locale
fr_MQ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "MQ")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
fr_MR : Locale
fr_MR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "MR")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_MU : Locale
fr_MU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "MU")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_NC : Locale
fr_NC =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "NC")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_NE : Locale
fr_NE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "NE")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_PF : Locale
fr_PF =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "PF")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_PM : Locale
fr_PM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "PM")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_RE : Locale
fr_RE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "RE")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_RW : Locale
fr_RW =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "RW")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_SC : Locale
fr_SC =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "SC")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_SN : Locale
fr_SN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "SN")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
fr_SY : Locale
fr_SY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "SY")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
fr_TD : Locale
fr_TD =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "TD")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_TG : Locale
fr_TG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "TG")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
fr_TN : Locale
fr_TN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "TN")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
fr_VU : Locale
fr_VU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "VU")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_WF : Locale
fr_WF =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "WF")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
fr_YT : Locale
fr_YT =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "fr") Nothing (Just (Tagged.tag "YT")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "janvier"
            , feb = "février"
            , mar = "mars"
            , apr = "avril"
            , may = "mai"
            , jun = "juin"
            , jul = "juillet"
            , aug = "août"
            , sep = "septembre"
            , oct = "octobre"
            , nov = "novembre"
            , dec = "décembre"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "févr."
            , mar = "mars"
            , apr = "avr."
            , may = "mai"
            , jun = "juin"
            , jul = "juil."
            , aug = "août"
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "déc."
            }
        , weekdayNames =
            { sun = "dimanche"
            , mon = "lundi"
            , tue = "mardi"
            , wed = "mercredi"
            , thu = "jeudi"
            , fri = "vendredi"
            , sat = "samedi"
            }
        , weekdayNamesShort =
            { sun = "dim."
            , mon = "lun."
            , tue = "mar."
            , wed = "mer."
            , thu = "jeu."
            , fri = "ven."
            , sat = "sam."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "à", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "av. J.-C.", ad = "ap. J.-C." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ga : Locale
ga =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ga") Nothing Nothing Nothing
        , amPmNames = { am = "r.n.", pm = "i.n." }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "Eanáir"
            , feb = "Feabhra"
            , mar = "Márta"
            , apr = "Aibreán"
            , may = "Bealtaine"
            , jun = "Meitheamh"
            , jul = "Iúil"
            , aug = "Lúnasa"
            , sep = "Meán Fómhair"
            , oct = "Deireadh Fómhair"
            , nov = "Samhain"
            , dec = "Nollaig"
            }
        , monthNamesShort =
            { jan = "Ean"
            , feb = "Feabh"
            , mar = "Márta"
            , apr = "Aib"
            , may = "Beal"
            , jun = "Meith"
            , jul = "Iúil"
            , aug = "Lún"
            , sep = "MFómh"
            , oct = "DFómh"
            , nov = "Samh"
            , dec = "Noll"
            }
        , weekdayNames =
            { sun = "Dé Domhnaigh"
            , mon = "Dé Luain"
            , tue = "Dé Máirt"
            , wed = "Dé Céadaoin"
            , thu = "Déardaoin"
            , fri = "Dé hAoine"
            , sat = "Dé Sathairn"
            }
        , weekdayNamesShort =
            { sun = "Domh"
            , mon = "Luan"
            , tue = "Máirt"
            , wed = "Céad"
            , thu = "Déar"
            , fri = "Aoine"
            , sat = "Sath"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "RC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ga_GB : Locale
ga_GB =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ga") Nothing (Just (Tagged.tag "GB")) Nothing
        , amPmNames = { am = "r.n.", pm = "i.n." }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "Eanáir"
            , feb = "Feabhra"
            , mar = "Márta"
            , apr = "Aibreán"
            , may = "Bealtaine"
            , jun = "Meitheamh"
            , jul = "Iúil"
            , aug = "Lúnasa"
            , sep = "Meán Fómhair"
            , oct = "Deireadh Fómhair"
            , nov = "Samhain"
            , dec = "Nollaig"
            }
        , monthNamesShort =
            { jan = "Ean"
            , feb = "Feabh"
            , mar = "Márta"
            , apr = "Aib"
            , may = "Beal"
            , jun = "Meith"
            , jul = "Iúil"
            , aug = "Lún"
            , sep = "MFómh"
            , oct = "DFómh"
            , nov = "Samh"
            , dec = "Noll"
            }
        , weekdayNames =
            { sun = "Dé Domhnaigh"
            , mon = "Dé Luain"
            , tue = "Dé Máirt"
            , wed = "Dé Céadaoin"
            , thu = "Déardaoin"
            , fri = "Dé hAoine"
            , sat = "Dé Sathairn"
            }
        , weekdayNamesShort =
            { sun = "Domh"
            , mon = "Luan"
            , tue = "Máirt"
            , wed = "Céad"
            , thu = "Déar"
            , fri = "Aoine"
            , sat = "Sath"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "RC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : d 'de' MMM 'de' y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
gl : Locale
gl =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "gl") Nothing Nothing Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "d 'de' MMM 'de' y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "xaneiro"
            , feb = "febreiro"
            , mar = "marzo"
            , apr = "abril"
            , may = "maio"
            , jun = "xuño"
            , jul = "xullo"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "decembro"
            }
        , monthNamesShort =
            { jan = "xan."
            , feb = "feb."
            , mar = "mar."
            , apr = "abr."
            , may = "maio"
            , jun = "xuño"
            , jul = "xul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "luns"
            , tue = "martes"
            , wed = "mércores"
            , thu = "xoves"
            , fri = "venres"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom."
            , mon = "luns"
            , tue = "mar."
            , wed = "mér."
            , thu = "xov."
            , fri = "ven."
            , sat = "sáb."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ TimeGoesHere, Text ", ", DateGoesHere ]
            , medium = [ TimeGoesHere, Text ", ", DateGoesHere ]
            , long =
                [ TimeGoesHere, Text " ", Text "do", Text " ", DateGoesHere ]
            , full =
                [ TimeGoesHere, Text " ", Text "do", Text " ", DateGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM, y
  - Long : d MMMM, y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : hh:mm a
  - Medium : hh:mm:ss a
  - Long : hh:mm:ss a z
  - Full : hh:mm:ss a zzzz

-}
gu : Locale
gu =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "gu") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM, y"
            , long = "d MMMM, y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "જાન્યુઆરી"
            , feb = "ફેબ્રુઆરી"
            , mar = "માર્ચ"
            , apr = "એપ્રિલ"
            , may = "મે"
            , jun = "જૂન"
            , jul = "જુલાઈ"
            , aug = "ઑગસ્ટ"
            , sep = "સપ્ટેમ્બર"
            , oct = "ઑક્ટોબર"
            , nov = "નવેમ્બર"
            , dec = "ડિસેમ્બર"
            }
        , monthNamesShort =
            { jan = "જાન્યુ"
            , feb = "ફેબ્રુ"
            , mar = "માર્ચ"
            , apr = "એપ્રિલ"
            , may = "મે"
            , jun = "જૂન"
            , jul = "જુલાઈ"
            , aug = "ઑગસ્ટ"
            , sep = "સપ્ટે"
            , oct = "ઑક્ટો"
            , nov = "નવે"
            , dec = "ડિસે"
            }
        , weekdayNames =
            { sun = "રવિવાર"
            , mon = "સોમવાર"
            , tue = "મંગળવાર"
            , wed = "બુધવાર"
            , thu = "ગુરુવાર"
            , fri = "શુક્રવાર"
            , sat = "શનિવાર"
            }
        , weekdayNamesShort =
            { sun = "રવિ"
            , mon = "સોમ"
            , tue = "મંગળ"
            , wed = "બુધ"
            , thu = "ગુરુ"
            , fri = "શુક્ર"
            , sat = "શનિ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " એ ", TimeGoesHere, Text " વાગ્યે" ]
            , full = [ DateGoesHere, Text " એ ", TimeGoesHere, Text " વાગ્યે" ]
            }
        , eraNames = { bc = "ઈ.સ.પૂર્વે", ad = "ઈ.સ." }
        }


{-| Date format strings:

  - Short : d.M.y
  - Medium : d בMMM y
  - Long : d בMMMM y
  - Full : EEEE, d בMMMM y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss zzzz

-}
he : Locale
he =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "he") Nothing Nothing Nothing
        , amPmNames = { am = "לפנה״צ", pm = "אחה״צ" }
        , datePatterns =
            { short = "d.M.y"
            , medium = "d בMMM y"
            , long = "d בMMMM y"
            , full = "EEEE, d בMMMM y"
            }
        , monthNames =
            { jan = "ינואר"
            , feb = "פברואר"
            , mar = "מרץ"
            , apr = "אפריל"
            , may = "מאי"
            , jun = "יוני"
            , jul = "יולי"
            , aug = "אוגוסט"
            , sep = "ספטמבר"
            , oct = "אוקטובר"
            , nov = "נובמבר"
            , dec = "דצמבר"
            }
        , monthNamesShort =
            { jan = "ינו׳"
            , feb = "פבר׳"
            , mar = "מרץ"
            , apr = "אפר׳"
            , may = "מאי"
            , jun = "יוני"
            , jul = "יולי"
            , aug = "אוג׳"
            , sep = "ספט׳"
            , oct = "אוק׳"
            , nov = "נוב׳"
            , dec = "דצמ׳"
            }
        , weekdayNames =
            { sun = "יום ראשון"
            , mon = "יום שני"
            , tue = "יום שלישי"
            , wed = "יום רביעי"
            , thu = "יום חמישי"
            , fri = "יום שישי"
            , sat = "יום שבת"
            }
        , weekdayNamesShort =
            { sun = "יום א׳"
            , mon = "יום ב׳"
            , tue = "יום ג׳"
            , wed = "יום ד׳"
            , thu = "יום ה׳"
            , fri = "יום ו׳"
            , sat = "שבת"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ב")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ב")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ב")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " בשעה ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " בשעה ", TimeGoesHere ]
            }
        , eraNames = { bc = "לפנה״ס", ad = "לספירה" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
hi : Locale
hi =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "hi") Nothing Nothing Nothing
        , amPmNames = { am = "am", pm = "pm" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "जनवरी"
            , feb = "फ़रवरी"
            , mar = "मार्च"
            , apr = "अप्रैल"
            , may = "मई"
            , jun = "जून"
            , jul = "जुलाई"
            , aug = "अगस्त"
            , sep = "सितंबर"
            , oct = "अक्तूबर"
            , nov = "नवंबर"
            , dec = "दिसंबर"
            }
        , monthNamesShort =
            { jan = "जन॰"
            , feb = "फ़र॰"
            , mar = "मार्च"
            , apr = "अप्रैल"
            , may = "मई"
            , jun = "जून"
            , jul = "जुल॰"
            , aug = "अग॰"
            , sep = "सित॰"
            , oct = "अक्तू॰"
            , nov = "नव॰"
            , dec = "दिस॰"
            }
        , weekdayNames =
            { sun = "रविवार"
            , mon = "सोमवार"
            , tue = "मंगलवार"
            , wed = "बुधवार"
            , thu = "गुरुवार"
            , fri = "शुक्रवार"
            , sat = "शनिवार"
            }
        , weekdayNamesShort =
            { sun = "रवि"
            , mon = "सोम"
            , tue = "मंगल"
            , wed = "बुध"
            , thu = "गुरु"
            , fri = "शुक्र"
            , sat = "शनि"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " को ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " को ", TimeGoesHere ]
            }
        , eraNames = { bc = "ईसा-पूर्व", ad = "ईस्वी" }
        }


{-| Date format strings:

  - Short : dd. MM. y.
  - Medium : d. MMM y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss (zzzz)

-}
hr : Locale
hr =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "hr") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd. MM. y."
            , medium = "d. MMM y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "siječnja"
            , feb = "veljače"
            , mar = "ožujka"
            , apr = "travnja"
            , may = "svibnja"
            , jun = "lipnja"
            , jul = "srpnja"
            , aug = "kolovoza"
            , sep = "rujna"
            , oct = "listopada"
            , nov = "studenoga"
            , dec = "prosinca"
            }
        , monthNamesShort =
            { jan = "sij"
            , feb = "velj"
            , mar = "ožu"
            , apr = "tra"
            , may = "svi"
            , jun = "lip"
            , jul = "srp"
            , aug = "kol"
            , sep = "ruj"
            , oct = "lis"
            , nov = "stu"
            , dec = "pro"
            }
        , weekdayNames =
            { sun = "nedjelja"
            , mon = "ponedjeljak"
            , tue = "utorak"
            , wed = "srijeda"
            , thu = "četvrtak"
            , fri = "petak"
            , sat = "subota"
            }
        , weekdayNamesShort =
            { sun = "ned"
            , mon = "pon"
            , tue = "uto"
            , wed = "sri"
            , thu = "čet"
            , fri = "pet"
            , sat = "sub"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ". ")
                , DF monthFixed
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "u", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "u", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "pr. Kr.", ad = "po. Kr." }
        }


{-| Date format strings:

  - Short : d. M. yy.
  - Medium : d. MMM y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss (zzzz)

-}
hr_BA : Locale
hr_BA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "hr") Nothing (Just (Tagged.tag "BA")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d. M. yy."
            , medium = "d. MMM y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "siječnja"
            , feb = "veljače"
            , mar = "ožujka"
            , apr = "travnja"
            , may = "svibnja"
            , jun = "lipnja"
            , jul = "srpnja"
            , aug = "kolovoza"
            , sep = "rujna"
            , oct = "listopada"
            , nov = "studenoga"
            , dec = "prosinca"
            }
        , monthNamesShort =
            { jan = "sij"
            , feb = "velj"
            , mar = "ožu"
            , apr = "tra"
            , may = "svi"
            , jun = "lip"
            , jul = "srp"
            , aug = "kol"
            , sep = "ruj"
            , oct = "lis"
            , nov = "stu"
            , dec = "pro"
            }
        , weekdayNames =
            { sun = "nedjelja"
            , mon = "ponedjeljak"
            , tue = "utorak"
            , wed = "srijeda"
            , thu = "četvrtak"
            , fri = "petak"
            , sat = "subota"
            }
        , weekdayNamesShort =
            { sun = "ned"
            , mon = "pon"
            , tue = "uto"
            , wed = "sri"
            , thu = "čet"
            , fri = "pet"
            , sat = "sub"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumberLastTwo
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "u", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "u", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "pr. Kr.", ad = "po. Kr." }
        }


{-| Date format strings:

  - Short : y. MM. dd.
  - Medium : y. MMM d.
  - Long : y. MMMM d.
  - Full : y. MMMM d., EEEE

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss zzzz

-}
hu : Locale
hu =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "hu") Nothing Nothing Nothing
        , amPmNames = { am = "de.", pm = "du." }
        , datePatterns =
            { short = "y. MM. dd."
            , medium = "y. MMM d."
            , long = "y. MMMM d."
            , full = "y. MMMM d., EEEE"
            }
        , monthNames =
            { jan = "január"
            , feb = "február"
            , mar = "március"
            , apr = "április"
            , may = "május"
            , jun = "június"
            , jul = "július"
            , aug = "augusztus"
            , sep = "szeptember"
            , oct = "október"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "febr."
            , mar = "márc."
            , apr = "ápr."
            , may = "máj."
            , jun = "jún."
            , jul = "júl."
            , aug = "aug."
            , sep = "szept."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "vasárnap"
            , mon = "hétfő"
            , tue = "kedd"
            , wed = "szerda"
            , thu = "csütörtök"
            , fri = "péntek"
            , sat = "szombat"
            }
        , weekdayNamesShort =
            { sun = "V"
            , mon = "H"
            , tue = "K"
            , wed = "Sze"
            , thu = "Cs"
            , fri = "P"
            , sat = "Szo"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text ". ")
                , DF monthFixed
                , DF (text ". ")
                , DF dayOfMonthFixed
                , DF (text ".")
                ]
            , medium =
                [ DF yearNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ".")
                ]
            , long =
                [ DF yearNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ".")
                ]
            , full =
                [ DF yearNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text "., ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "i. e.", ad = "i. sz." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : dd MMM, y թ.
  - Long : dd MMMM, y թ.
  - Full : y թ. MMMM d, EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
hy : Locale
hy =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "hy") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "dd MMM, y թ."
            , long = "dd MMMM, y թ."
            , full = "y թ. MMMM d, EEEE"
            }
        , monthNames =
            { jan = "հունվարի"
            , feb = "փետրվարի"
            , mar = "մարտի"
            , apr = "ապրիլի"
            , may = "մայիսի"
            , jun = "հունիսի"
            , jul = "հուլիսի"
            , aug = "օգոստոսի"
            , sep = "սեպտեմբերի"
            , oct = "հոկտեմբերի"
            , nov = "նոյեմբերի"
            , dec = "դեկտեմբերի"
            }
        , monthNamesShort =
            { jan = "հնվ"
            , feb = "փտվ"
            , mar = "մրտ"
            , apr = "ապր"
            , may = "մյս"
            , jun = "հնս"
            , jul = "հլս"
            , aug = "օգս"
            , sep = "սեպ"
            , oct = "հոկ"
            , nov = "նոյ"
            , dec = "դեկ"
            }
        , weekdayNames =
            { sun = "կիրակի"
            , mon = "երկուշաբթի"
            , tue = "երեքշաբթի"
            , wed = "չորեքշաբթի"
            , thu = "հինգշաբթի"
            , fri = "ուրբաթ"
            , sat = "շաբաթ"
            }
        , weekdayNamesShort =
            { sun = "կիր"
            , mon = "երկ"
            , tue = "երք"
            , wed = "չրք"
            , thu = "հնգ"
            , fri = "ուր"
            , sat = "շբթ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                , DF (text " թ.")
                ]
            , long =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                , DF (text " թ.")
                ]
            , full =
                [ DF yearNumber
                , DF (text " թ. ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "մ.թ.ա.", ad = "մ.թ." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, dd MMMM y

Time format strings:

  - Short : HH.mm
  - Medium : HH.mm.ss
  - Long : HH.mm.ss z
  - Full : HH.mm.ss zzzz

-}
id : Locale
id =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "id") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, dd MMMM y"
            }
        , monthNames =
            { jan = "Januari"
            , feb = "Februari"
            , mar = "Maret"
            , apr = "April"
            , may = "Mei"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "Agustus"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Desember"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Agu"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Des"
            }
        , weekdayNames =
            { sun = "Minggu"
            , mon = "Senin"
            , tue = "Selasa"
            , wed = "Rabu"
            , thu = "Kamis"
            , fri = "Jumat"
            , sat = "Sabtu"
            }
        , weekdayNamesShort =
            { sun = "Min"
            , mon = "Sen"
            , tue = "Sel"
            , wed = "Rab"
            , thu = "Kam"
            , fri = "Jum"
            , sat = "Sab"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text "."), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "SM", ad = "M" }
        }


{-| Date format strings:

  - Short : d.M.y
  - Medium : d. MMM y
  - Long : d. MMMM y
  - Full : EEEE, d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
is : Locale
is =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "is") Nothing Nothing Nothing
        , amPmNames = { am = "f.h.", pm = "e.h." }
        , datePatterns =
            { short = "d.M.y"
            , medium = "d. MMM y"
            , long = "d. MMMM y"
            , full = "EEEE, d. MMMM y"
            }
        , monthNames =
            { jan = "janúar"
            , feb = "febrúar"
            , mar = "mars"
            , apr = "apríl"
            , may = "maí"
            , jun = "júní"
            , jul = "júlí"
            , aug = "ágúst"
            , sep = "september"
            , oct = "október"
            , nov = "nóvember"
            , dec = "desember"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mar."
            , apr = "apr."
            , may = "maí"
            , jun = "jún."
            , jul = "júl."
            , aug = "ágú."
            , sep = "sep."
            , oct = "okt."
            , nov = "nóv."
            , dec = "des."
            }
        , weekdayNames =
            { sun = "sunnudagur"
            , mon = "mánudagur"
            , tue = "þriðjudagur"
            , wed = "miðvikudagur"
            , thu = "fimmtudagur"
            , fri = "föstudagur"
            , sat = "laugardagur"
            }
        , weekdayNamesShort =
            { sun = "sun."
            , mon = "mán."
            , tue = "þri."
            , wed = "mið."
            , thu = "fim."
            , fri = "fös."
            , sat = "lau."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            }
        , eraNames = { bc = "f.Kr.", ad = "e.Kr." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
it : Locale
it =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "it") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "gennaio"
            , feb = "febbraio"
            , mar = "marzo"
            , apr = "aprile"
            , may = "maggio"
            , jun = "giugno"
            , jul = "luglio"
            , aug = "agosto"
            , sep = "settembre"
            , oct = "ottobre"
            , nov = "novembre"
            , dec = "dicembre"
            }
        , monthNamesShort =
            { jan = "gen"
            , feb = "feb"
            , mar = "mar"
            , apr = "apr"
            , may = "mag"
            , jun = "giu"
            , jul = "lug"
            , aug = "ago"
            , sep = "set"
            , oct = "ott"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domenica"
            , mon = "lunedì"
            , tue = "martedì"
            , wed = "mercoledì"
            , thu = "giovedì"
            , fri = "venerdì"
            , sat = "sabato"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mer"
            , thu = "gio"
            , fri = "ven"
            , sat = "sab"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
it_CH : Locale
it_CH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "it") Nothing (Just (Tagged.tag "CH")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "gennaio"
            , feb = "febbraio"
            , mar = "marzo"
            , apr = "aprile"
            , may = "maggio"
            , jun = "giugno"
            , jul = "luglio"
            , aug = "agosto"
            , sep = "settembre"
            , oct = "ottobre"
            , nov = "novembre"
            , dec = "dicembre"
            }
        , monthNamesShort =
            { jan = "gen"
            , feb = "feb"
            , mar = "mar"
            , apr = "apr"
            , may = "mag"
            , jun = "giu"
            , jul = "lug"
            , aug = "ago"
            , sep = "set"
            , oct = "ott"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domenica"
            , mon = "lunedì"
            , tue = "martedì"
            , wed = "mercoledì"
            , thu = "giovedì"
            , fri = "venerdì"
            , sat = "sabato"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mer"
            , thu = "gio"
            , fri = "ven"
            , sat = "sab"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
it_SM : Locale
it_SM =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "it") Nothing (Just (Tagged.tag "SM")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "gennaio"
            , feb = "febbraio"
            , mar = "marzo"
            , apr = "aprile"
            , may = "maggio"
            , jun = "giugno"
            , jul = "luglio"
            , aug = "agosto"
            , sep = "settembre"
            , oct = "ottobre"
            , nov = "novembre"
            , dec = "dicembre"
            }
        , monthNamesShort =
            { jan = "gen"
            , feb = "feb"
            , mar = "mar"
            , apr = "apr"
            , may = "mag"
            , jun = "giu"
            , jul = "lug"
            , aug = "ago"
            , sep = "set"
            , oct = "ott"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domenica"
            , mon = "lunedì"
            , tue = "martedì"
            , wed = "mercoledì"
            , thu = "giovedì"
            , fri = "venerdì"
            , sat = "sabato"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mer"
            , thu = "gio"
            , fri = "ven"
            , sat = "sab"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
it_VA : Locale
it_VA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "it") Nothing (Just (Tagged.tag "VA")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "gennaio"
            , feb = "febbraio"
            , mar = "marzo"
            , apr = "aprile"
            , may = "maggio"
            , jun = "giugno"
            , jul = "luglio"
            , aug = "agosto"
            , sep = "settembre"
            , oct = "ottobre"
            , nov = "novembre"
            , dec = "dicembre"
            }
        , monthNamesShort =
            { jan = "gen"
            , feb = "feb"
            , mar = "mar"
            , apr = "apr"
            , may = "mag"
            , jun = "giu"
            , jul = "lug"
            , aug = "ago"
            , sep = "set"
            , oct = "ott"
            , nov = "nov"
            , dec = "dic"
            }
        , weekdayNames =
            { sun = "domenica"
            , mon = "lunedì"
            , tue = "martedì"
            , wed = "mercoledì"
            , thu = "giovedì"
            , fri = "venerdì"
            , sat = "sabato"
            }
        , weekdayNamesShort =
            { sun = "dom"
            , mon = "lun"
            , tue = "mar"
            , wed = "mer"
            , thu = "gio"
            , fri = "ven"
            , sat = "sab"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : y/MM/dd
  - Medium : y/MM/dd
  - Long : y年M月d日
  - Full : y年M月d日EEEE

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H時mm分ss秒 zzzz

-}
ja : Locale
ja =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ja") Nothing Nothing Nothing
        , amPmNames = { am = "午前", pm = "午後" }
        , datePatterns =
            { short = "y/MM/dd"
            , medium = "y/MM/dd"
            , long = "y年M月d日"
            , full = "y年M月d日EEEE"
            }
        , monthNames =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "日曜日"
            , mon = "月曜日"
            , tue = "火曜日"
            , wed = "水曜日"
            , thu = "木曜日"
            , fri = "金曜日"
            , sat = "土曜日"
            }
        , weekdayNamesShort =
            { sun = "日"
            , mon = "月"
            , tue = "火"
            , wed = "水"
            , thu = "木"
            , fri = "金"
            , sat = "土"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF yearNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF dayOfMonthFixed
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text "時")
                , DF minuteFixed
                , DF (text "分")
                , DF secondFixed
                , DF (text "秒 ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "紀元前", ad = "西暦" }
        }


{-| Date format strings:

  - Short : dd-MM-y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
jv : Locale
jv =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "jv") Nothing Nothing Nothing
        , amPmNames = { am = "Isuk", pm = "Wengi" }
        , datePatterns =
            { short = "dd-MM-y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "Januari"
            , feb = "Februari"
            , mar = "Maret"
            , apr = "April"
            , may = "Mei"
            , jun = "Juni"
            , jul = "Juli"
            , aug = "Agustus"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Desember"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Apr"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Agt"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Des"
            }
        , weekdayNames =
            { sun = "Ahad"
            , mon = "Senin"
            , tue = "Selasa"
            , wed = "Rabu"
            , thu = "Kamis"
            , fri = "Jumat"
            , sat = "Sabtu"
            }
        , weekdayNamesShort =
            { sun = "Ahad"
            , mon = "Sen"
            , tue = "Sel"
            , wed = "Rab"
            , thu = "Kam"
            , fri = "Jum"
            , sat = "Sab"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "SM", ad = "M" }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : d MMM. y
  - Long : d MMMM, y
  - Full : EEEE, dd MMMM, y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ka : Locale
ka =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ka") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "d MMM. y"
            , long = "d MMMM, y"
            , full = "EEEE, dd MMMM, y"
            }
        , monthNames =
            { jan = "იანვარი"
            , feb = "თებერვალი"
            , mar = "მარტი"
            , apr = "აპრილი"
            , may = "მაისი"
            , jun = "ივნისი"
            , jul = "ივლისი"
            , aug = "აგვისტო"
            , sep = "სექტემბერი"
            , oct = "ოქტომბერი"
            , nov = "ნოემბერი"
            , dec = "დეკემბერი"
            }
        , monthNamesShort =
            { jan = "იან"
            , feb = "თებ"
            , mar = "მარ"
            , apr = "აპრ"
            , may = "მაი"
            , jun = "ივნ"
            , jul = "ივლ"
            , aug = "აგვ"
            , sep = "სექ"
            , oct = "ოქტ"
            , nov = "ნოე"
            , dec = "დეკ"
            }
        , weekdayNames =
            { sun = "კვირა"
            , mon = "ორშაბათი"
            , tue = "სამშაბათი"
            , wed = "ოთხშაბათი"
            , thu = "ხუთშაბათი"
            , fri = "პარასკევი"
            , sat = "შაბათი"
            }
        , weekdayNamesShort =
            { sun = "კვი"
            , mon = "ორშ"
            , tue = "სამ"
            , wed = "ოთხ"
            , thu = "ხუთ"
            , fri = "პარ"
            , sat = "შაბ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ". ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "ძვ. წ.", ad = "ახ. წ." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : y 'ж'. dd MMM
  - Long : y 'ж'. d MMMM
  - Full : y 'ж'. d MMMM, EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
kk : Locale
kk =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "kk") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "y 'ж'. dd MMM"
            , long = "y 'ж'. d MMMM"
            , full = "y 'ж'. d MMMM, EEEE"
            }
        , monthNames =
            { jan = "қаңтар"
            , feb = "ақпан"
            , mar = "наурыз"
            , apr = "сәуір"
            , may = "мамыр"
            , jun = "маусым"
            , jul = "шілде"
            , aug = "тамыз"
            , sep = "қыркүйек"
            , oct = "қазан"
            , nov = "қараша"
            , dec = "желтоқсан"
            }
        , monthNamesShort =
            { jan = "қаң."
            , feb = "ақп."
            , mar = "нау."
            , apr = "сәу."
            , may = "мам."
            , jun = "мау."
            , jul = "шіл."
            , aug = "там."
            , sep = "қыр."
            , oct = "қаз."
            , nov = "қар."
            , dec = "жел."
            }
        , weekdayNames =
            { sun = "жексенбі"
            , mon = "дүйсенбі"
            , tue = "сейсенбі"
            , wed = "сәрсенбі"
            , thu = "бейсенбі"
            , fri = "жұма"
            , sat = "сенбі"
            }
        , weekdayNamesShort =
            { sun = "жс"
            , mon = "дс"
            , tue = "сс"
            , wed = "ср"
            , thu = "бс"
            , fri = "жм"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF yearNumber
                , DF (text " ")
                , DF (text "ж")
                , DF (text ". ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameAbbreviated
                ]
            , long =
                [ DF yearNumber
                , DF (text " ")
                , DF (text "ж")
                , DF (text ". ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                ]
            , full =
                [ DF yearNumber
                , DF (text " ")
                , DF (text "ж")
                , DF (text ". ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "б.з.д.", ad = "б.з." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
km : Locale
km =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "km") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "មករា"
            , feb = "កុម្ភៈ"
            , mar = "មីនា"
            , apr = "មេសា"
            , may = "ឧសភា"
            , jun = "មិថុនា"
            , jul = "កក្កដា"
            , aug = "សីហា"
            , sep = "កញ្ញា"
            , oct = "តុលា"
            , nov = "វិច្ឆិកា"
            , dec = "ធ្នូ"
            }
        , monthNamesShort =
            { jan = "មករា"
            , feb = "កុម្ភៈ"
            , mar = "មីនា"
            , apr = "មេសា"
            , may = "ឧសភា"
            , jun = "មិថុនា"
            , jul = "កក្កដា"
            , aug = "សីហា"
            , sep = "កញ្ញា"
            , oct = "តុលា"
            , nov = "វិច្ឆិកា"
            , dec = "ធ្នូ"
            }
        , weekdayNames =
            { sun = "អាទិត្យ"
            , mon = "ច័ន្ទ"
            , tue = "អង្គារ"
            , wed = "ពុធ"
            , thu = "ព្រហស្បតិ៍"
            , fri = "សុក្រ"
            , sat = "សៅរ៍"
            }
        , weekdayNamesShort =
            { sun = "អាទិត្យ"
            , mon = "ចន្ទ"
            , tue = "អង្គារ"
            , wed = "ពុធ"
            , thu = "ព្រហ"
            , fri = "សុក្រ"
            , sat = "សៅរ៍"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " នៅ\u{200B}ម៉ោង ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " នៅ\u{200B}ម៉ោង ", TimeGoesHere ]
            }
        , eraNames = { bc = "មុន គ.ស.", ad = "គ.ស." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : hh:mm a
  - Medium : hh:mm:ss a
  - Long : hh:mm:ss a z
  - Full : hh:mm:ss a zzzz

-}
kn : Locale
kn =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "kn") Nothing Nothing Nothing
        , amPmNames = { am = "ಪೂರ್ವಾಹ್ನ", pm = "ಅಪರಾಹ್ನ" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "ಜನವರಿ"
            , feb = "ಫೆಬ್ರವರಿ"
            , mar = "ಮಾರ್ಚ್"
            , apr = "ಏಪ್ರಿಲ್"
            , may = "ಮೇ"
            , jun = "ಜೂನ್"
            , jul = "ಜುಲೈ"
            , aug = "ಆಗಸ್ಟ್"
            , sep = "ಸೆಪ್ಟೆಂಬರ್"
            , oct = "ಅಕ್ಟೋಬರ್"
            , nov = "ನವೆಂಬರ್"
            , dec = "ಡಿಸೆಂಬರ್"
            }
        , monthNamesShort =
            { jan = "ಜನವರಿ"
            , feb = "ಫೆಬ್ರವರಿ"
            , mar = "ಮಾರ್ಚ್"
            , apr = "ಏಪ್ರಿ"
            , may = "ಮೇ"
            , jun = "ಜೂನ್"
            , jul = "ಜುಲೈ"
            , aug = "ಆಗ"
            , sep = "ಸೆಪ್ಟೆಂ"
            , oct = "ಅಕ್ಟೋ"
            , nov = "ನವೆಂ"
            , dec = "ಡಿಸೆಂ"
            }
        , weekdayNames =
            { sun = "ಭಾನುವಾರ"
            , mon = "ಸೋಮವಾರ"
            , tue = "ಮಂಗಳವಾರ"
            , wed = "ಬುಧವಾರ"
            , thu = "ಗುರುವಾರ"
            , fri = "ಶುಕ್ರವಾರ"
            , sat = "ಶನಿವಾರ"
            }
        , weekdayNamesShort =
            { sun = "ಭಾನು"
            , mon = "ಸೋಮ"
            , tue = "ಮಂಗಳ"
            , wed = "ಬುಧ"
            , thu = "ಗುರು"
            , fri = "ಶುಕ್ರ"
            , sat = "ಶನಿ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "ಕ್ರಿ.ಪೂ", ad = "ಕ್ರಿ.ಶ" }
        }


{-| Date format strings:

  - Short : yy. M. d.
  - Medium : y. M. d.
  - Long : y년 M월 d일
  - Full : y년 M월 d일 EEEE

Time format strings:

  - Short : a h:mm
  - Medium : a h:mm:ss
  - Long : a h시 m분 s초 z
  - Full : a h시 m분 s초 zzzz

-}
ko : Locale
ko =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ko") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "yy. M. d."
            , medium = "y. M. d."
            , long = "y년 M월 d일"
            , full = "y년 M월 d일 EEEE"
            }
        , monthNames =
            { jan = "1월"
            , feb = "2월"
            , mar = "3월"
            , apr = "4월"
            , may = "5월"
            , jun = "6월"
            , jul = "7월"
            , aug = "8월"
            , sep = "9월"
            , oct = "10월"
            , nov = "11월"
            , dec = "12월"
            }
        , monthNamesShort =
            { jan = "1월"
            , feb = "2월"
            , mar = "3월"
            , apr = "4월"
            , may = "5월"
            , jun = "6월"
            , jul = "7월"
            , aug = "8월"
            , sep = "9월"
            , oct = "10월"
            , nov = "11월"
            , dec = "12월"
            }
        , weekdayNames =
            { sun = "일요일"
            , mon = "월요일"
            , tue = "화요일"
            , wed = "수요일"
            , thu = "목요일"
            , fri = "금요일"
            , sat = "토요일"
            }
        , weekdayNamesShort =
            { sun = "일"
            , mon = "월"
            , tue = "화"
            , wed = "수"
            , thu = "목"
            , fri = "금"
            , sat = "토"
            }
        , dateTokens =
            { short =
                [ DF yearNumberLastTwo
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF dayOfMonthNumber
                , DF (text ".")
                ]
            , medium =
                [ DF yearNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF dayOfMonthNumber
                , DF (text ".")
                ]
            , long =
                [ DF yearNumber
                , DF (text "년 ")
                , DF monthNumber
                , DF (text "월 ")
                , DF dayOfMonthNumber
                , DF (text "일")
                ]
            , full =
                [ DF yearNumber
                , DF (text "년 ")
                , DF monthNumber
                , DF (text "월 ")
                , DF dayOfMonthNumber
                , DF (text "일 ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text "시 ")
                , DF minuteNumber
                , DF (text "분 ")
                , DF secondNumber
                , DF (text "초 ")
                , TimeZoneShort
                ]
            , full =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text "시 ")
                , DF minuteNumber
                , DF (text "분 ")
                , DF secondNumber
                , DF (text "초 ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : yy. M. d.
  - Medium : y. M. d.
  - Long : y년 M월 d일
  - Full : y년 M월 d일 EEEE

Time format strings:

  - Short : a h:mm
  - Medium : a h:mm:ss
  - Long : a h시 m분 s초 z
  - Full : a h시 m분 s초 zzzz

-}
ko_KP : Locale
ko_KP =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ko") Nothing (Just (Tagged.tag "KP")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "yy. M. d."
            , medium = "y. M. d."
            , long = "y년 M월 d일"
            , full = "y년 M월 d일 EEEE"
            }
        , monthNames =
            { jan = "1월"
            , feb = "2월"
            , mar = "3월"
            , apr = "4월"
            , may = "5월"
            , jun = "6월"
            , jul = "7월"
            , aug = "8월"
            , sep = "9월"
            , oct = "10월"
            , nov = "11월"
            , dec = "12월"
            }
        , monthNamesShort =
            { jan = "1월"
            , feb = "2월"
            , mar = "3월"
            , apr = "4월"
            , may = "5월"
            , jun = "6월"
            , jul = "7월"
            , aug = "8월"
            , sep = "9월"
            , oct = "10월"
            , nov = "11월"
            , dec = "12월"
            }
        , weekdayNames =
            { sun = "일요일"
            , mon = "월요일"
            , tue = "화요일"
            , wed = "수요일"
            , thu = "목요일"
            , fri = "금요일"
            , sat = "토요일"
            }
        , weekdayNamesShort =
            { sun = "일"
            , mon = "월"
            , tue = "화"
            , wed = "수"
            , thu = "목"
            , fri = "금"
            , sat = "토"
            }
        , dateTokens =
            { short =
                [ DF yearNumberLastTwo
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF dayOfMonthNumber
                , DF (text ".")
                ]
            , medium =
                [ DF yearNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF dayOfMonthNumber
                , DF (text ".")
                ]
            , long =
                [ DF yearNumber
                , DF (text "년 ")
                , DF monthNumber
                , DF (text "월 ")
                , DF dayOfMonthNumber
                , DF (text "일")
                ]
            , full =
                [ DF yearNumber
                , DF (text "년 ")
                , DF monthNumber
                , DF (text "월 ")
                , DF dayOfMonthNumber
                , DF (text "일 ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text "시 ")
                , DF minuteNumber
                , DF (text "분 ")
                , DF secondNumber
                , DF (text "초 ")
                , TimeZoneShort
                ]
            , full =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text "시 ")
                , DF minuteNumber
                , DF (text "분 ")
                , DF secondNumber
                , DF (text "초 ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : y-'ж'., d-MMM
  - Long : y-'ж'., d-MMMM
  - Full : y-'ж'., d-MMMM, EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ky : Locale
ky =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ky") Nothing Nothing Nothing
        , amPmNames = { am = "тң", pm = "тк" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "y-'ж'., d-MMM"
            , long = "y-'ж'., d-MMMM"
            , full = "y-'ж'., d-MMMM, EEEE"
            }
        , monthNames =
            { jan = "январь"
            , feb = "февраль"
            , mar = "март"
            , apr = "апрель"
            , may = "май"
            , jun = "июнь"
            , jul = "июль"
            , aug = "август"
            , sep = "сентябрь"
            , oct = "октябрь"
            , nov = "ноябрь"
            , dec = "декабрь"
            }
        , monthNamesShort =
            { jan = "янв."
            , feb = "фев."
            , mar = "мар."
            , apr = "апр."
            , may = "май"
            , jun = "июн."
            , jul = "июл."
            , aug = "авг."
            , sep = "сен."
            , oct = "окт."
            , nov = "ноя."
            , dec = "дек."
            }
        , weekdayNames =
            { sun = "жекшемби"
            , mon = "дүйшөмбү"
            , tue = "шейшемби"
            , wed = "шаршемби"
            , thu = "бейшемби"
            , fri = "жума"
            , sat = "ишемби"
            }
        , weekdayNamesShort =
            { sun = "жек."
            , mon = "дүй."
            , tue = "шейш."
            , wed = "шарш."
            , thu = "бейш."
            , fri = "жума"
            , sat = "ишм."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF yearNumber
                , DF (text "-")
                , DF (text "ж")
                , DF (text "., ")
                , DF dayOfMonthNumber
                , DF (text "-")
                , DF monthNameAbbreviated
                ]
            , long =
                [ DF yearNumber
                , DF (text "-")
                , DF (text "ж")
                , DF (text "., ")
                , DF dayOfMonthNumber
                , DF (text "-")
                , DF monthNameFull
                ]
            , full =
                [ DF yearNumber
                , DF (text "-")
                , DF (text "ж")
                , DF (text "., ")
                , DF dayOfMonthNumber
                , DF (text "-")
                , DF monthNameFull
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "б.з.ч.", ad = "б.з." }
        }


{-| Date format strings:

  - Short : d/M/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE ທີ d MMMM G y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H ໂມງ m ນາທີ ss ວິນາທີ z
  - Full : H ໂມງ m ນາທີ ss ວິນາທີ zzzz

-}
lo : Locale
lo =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "lo") Nothing Nothing Nothing
        , amPmNames = { am = "ກ່ອນທ່ຽງ", pm = "ຫຼັງທ່ຽງ" }
        , datePatterns =
            { short = "d/M/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE ທີ d MMMM G y"
            }
        , monthNames =
            { jan = "ມັງກອນ"
            , feb = "ກຸມພາ"
            , mar = "ມີນາ"
            , apr = "ເມສາ"
            , may = "ພຶດສະພາ"
            , jun = "ມິຖຸນາ"
            , jul = "ກໍລະກົດ"
            , aug = "ສິງຫາ"
            , sep = "ກັນຍາ"
            , oct = "ຕຸລາ"
            , nov = "ພະຈິກ"
            , dec = "ທັນວາ"
            }
        , monthNamesShort =
            { jan = "ມ.ກ."
            , feb = "ກ.ພ."
            , mar = "ມ.ນ."
            , apr = "ມ.ສ."
            , may = "ພ.ພ."
            , jun = "ມິ.ຖ."
            , jul = "ກ.ລ."
            , aug = "ສ.ຫ."
            , sep = "ກ.ຍ."
            , oct = "ຕ.ລ."
            , nov = "ພ.ຈ."
            , dec = "ທ.ວ."
            }
        , weekdayNames =
            { sun = "ວັນອາທິດ"
            , mon = "ວັນຈັນ"
            , tue = "ວັນອັງຄານ"
            , wed = "ວັນພຸດ"
            , thu = "ວັນພະຫັດ"
            , fri = "ວັນສຸກ"
            , sat = "ວັນເສົາ"
            }
        , weekdayNamesShort =
            { sun = "ອາທິດ"
            , mon = "ຈັນ"
            , tue = "ອັງຄານ"
            , wed = "ພຸດ"
            , thu = "ພະຫັດ"
            , fri = "ສຸກ"
            , sat = "ເສົາ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ທີ ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , EraAbbr
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text " ໂມງ ")
                , DF minuteNumber
                , DF (text " ນາທີ ")
                , DF secondFixed
                , DF (text " ວິນາທີ ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text " ໂມງ ")
                , DF minuteNumber
                , DF (text " ນາທີ ")
                , DF secondFixed
                , DF (text " ວິນາທີ ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "ກ່ອນ ຄ.ສ.", ad = "ຄ.ສ." }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : y-MM-dd
  - Long : y 'm'. MMMM d 'd'.
  - Full : y 'm'. MMMM d 'd'., EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
lt : Locale
lt =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "lt") Nothing Nothing Nothing
        , amPmNames = { am = "priešpiet", pm = "popiet" }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "y-MM-dd"
            , long = "y 'm'. MMMM d 'd'."
            , full = "y 'm'. MMMM d 'd'., EEEE"
            }
        , monthNames =
            { jan = "sausio"
            , feb = "vasario"
            , mar = "kovo"
            , apr = "balandžio"
            , may = "gegužės"
            , jun = "birželio"
            , jul = "liepos"
            , aug = "rugpjūčio"
            , sep = "rugsėjo"
            , oct = "spalio"
            , nov = "lapkričio"
            , dec = "gruodžio"
            }
        , monthNamesShort =
            { jan = "saus."
            , feb = "vas."
            , mar = "kov."
            , apr = "bal."
            , may = "geg."
            , jun = "birž."
            , jul = "liep."
            , aug = "rugp."
            , sep = "rugs."
            , oct = "spal."
            , nov = "lapkr."
            , dec = "gruod."
            }
        , weekdayNames =
            { sun = "sekmadienis"
            , mon = "pirmadienis"
            , tue = "antradienis"
            , wed = "trečiadienis"
            , thu = "ketvirtadienis"
            , fri = "penktadienis"
            , sat = "šeštadienis"
            }
        , weekdayNamesShort =
            { sun = "sk"
            , mon = "pr"
            , tue = "an"
            , wed = "tr"
            , thu = "kt"
            , fri = "pn"
            , sat = "št"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , long =
                [ DF yearNumber
                , DF (text " ")
                , DF (text "m")
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "d")
                , DF (text ".")
                ]
            , full =
                [ DF yearNumber
                , DF (text " ")
                , DF (text "m")
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "d")
                , DF (text "., ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "pr. Kr.", ad = "po Kr." }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : y. 'gada' d. MMM
  - Long : y. 'gada' d. MMMM
  - Full : EEEE, y. 'gada' d. MMMM

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
lv : Locale
lv =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "lv") Nothing Nothing Nothing
        , amPmNames = { am = "priekšp.", pm = "pēcp." }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "y. 'gada' d. MMM"
            , long = "y. 'gada' d. MMMM"
            , full = "EEEE, y. 'gada' d. MMMM"
            }
        , monthNames =
            { jan = "janvāris"
            , feb = "februāris"
            , mar = "marts"
            , apr = "aprīlis"
            , may = "maijs"
            , jun = "jūnijs"
            , jul = "jūlijs"
            , aug = "augusts"
            , sep = "septembris"
            , oct = "oktobris"
            , nov = "novembris"
            , dec = "decembris"
            }
        , monthNamesShort =
            { jan = "janv."
            , feb = "febr."
            , mar = "marts"
            , apr = "apr."
            , may = "maijs"
            , jun = "jūn."
            , jul = "jūl."
            , aug = "aug."
            , sep = "sept."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "svētdiena"
            , mon = "pirmdiena"
            , tue = "otrdiena"
            , wed = "trešdiena"
            , thu = "ceturtdiena"
            , fri = "piektdiena"
            , sat = "sestdiena"
            }
        , weekdayNamesShort =
            { sun = "svētd."
            , mon = "pirmd."
            , tue = "otrd."
            , wed = "trešd."
            , thu = "ceturtd."
            , fri = "piektd."
            , sat = "sestd."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF yearNumber
                , DF (text ". ")
                , DF (text "gada")
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                ]
            , long =
                [ DF yearNumber
                , DF (text ". ")
                , DF (text "gada")
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF yearNumber
                , DF (text ". ")
                , DF (text "gada")
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p.m.ē.", ad = "m.ē." }
        }


{-| Date format strings:

  - Short : d.M.yy
  - Medium : d.M.y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
mk : Locale
mk =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "mk") Nothing Nothing Nothing
        , amPmNames = { am = "претпл.", pm = "попл." }
        , datePatterns =
            { short = "d.M.yy"
            , medium = "d.M.y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "јануари"
            , feb = "февруари"
            , mar = "март"
            , apr = "април"
            , may = "мај"
            , jun = "јуни"
            , jul = "јули"
            , aug = "август"
            , sep = "септември"
            , oct = "октомври"
            , nov = "ноември"
            , dec = "декември"
            }
        , monthNamesShort =
            { jan = "јан."
            , feb = "фев."
            , mar = "мар."
            , apr = "апр."
            , may = "мај"
            , jun = "јун."
            , jul = "јул."
            , aug = "авг."
            , sep = "септ."
            , oct = "окт."
            , nov = "ноем."
            , dec = "дек."
            }
        , weekdayNames =
            { sun = "недела"
            , mon = "понеделник"
            , tue = "вторник"
            , wed = "среда"
            , thu = "четврток"
            , fri = "петок"
            , sat = "сабота"
            }
        , weekdayNamesShort =
            { sun = "нед."
            , mon = "пон."
            , tue = "вто."
            , wed = "сре."
            , thu = "чет."
            , fri = "пет."
            , sat = "саб."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short =
                [ DateGoesHere, Text ", ", Text "во", Text " ", TimeGoesHere ]
            , medium =
                [ DateGoesHere, Text ", ", Text "во", Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text ", ", Text "во", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text ", ", Text "во", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "п.н.е.", ad = "н.е." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : y, MMM d
  - Long : y, MMMM d
  - Full : y, MMMM d, EEEE

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ml : Locale
ml =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ml") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "y, MMM d"
            , long = "y, MMMM d"
            , full = "y, MMMM d, EEEE"
            }
        , monthNames =
            { jan = "ജനുവരി"
            , feb = "ഫെബ്രുവരി"
            , mar = "മാർച്ച്"
            , apr = "ഏപ്രിൽ"
            , may = "മേയ്"
            , jun = "ജൂൺ"
            , jul = "ജൂലൈ"
            , aug = "ഓഗസ്റ്റ്"
            , sep = "സെപ്റ്റംബർ"
            , oct = "ഒക്\u{200C}ടോബർ"
            , nov = "നവംബർ"
            , dec = "ഡിസംബർ"
            }
        , monthNamesShort =
            { jan = "ജനു"
            , feb = "ഫെബ്രു"
            , mar = "മാർ"
            , apr = "ഏപ്രി"
            , may = "മേയ്"
            , jun = "ജൂൺ"
            , jul = "ജൂലൈ"
            , aug = "ഓഗ"
            , sep = "സെപ്റ്റം"
            , oct = "ഒക്ടോ"
            , nov = "നവം"
            , dec = "ഡിസം"
            }
        , weekdayNames =
            { sun = "ഞായറാഴ്\u{200C}ച"
            , mon = "തിങ്കളാഴ്\u{200C}ച"
            , tue = "ചൊവ്വാഴ്ച"
            , wed = "ബുധനാഴ്\u{200C}ച"
            , thu = "വ്യാഴാഴ്\u{200C}ച"
            , fri = "വെള്ളിയാഴ്\u{200C}ച"
            , sat = "ശനിയാഴ്\u{200C}ച"
            }
        , weekdayNamesShort =
            { sun = "ഞായർ"
            , mon = "തിങ്കൾ"
            , tue = "ചൊവ്വ"
            , wed = "ബുധൻ"
            , thu = "വ്യാഴം"
            , fri = "വെള്ളി"
            , sat = "ശനി"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF yearNumber
                , DF (text ", ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF yearNumber
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF yearNumber
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "ക്രി.മു.", ad = "എഡി" }
        }


{-| Date format strings:

  - Short : y.MM.dd
  - Medium : y 'оны' MMM'ын' d
  - Long : y 'оны' MMMM'ын' d
  - Full : y 'оны' MMMM'ын' d, EEEE 'гараг'

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss (z)
  - Full : HH:mm:ss (zzzz)

-}
mn : Locale
mn =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "mn") Nothing Nothing Nothing
        , amPmNames = { am = "ү.ө.", pm = "ү.х." }
        , datePatterns =
            { short = "y.MM.dd"
            , medium = "y 'оны' MMM'ын' d"
            , long = "y 'оны' MMMM'ын' d"
            , full = "y 'оны' MMMM'ын' d, EEEE 'гараг'"
            }
        , monthNames =
            { jan = "нэгдүгээр сар"
            , feb = "хоёрдугаар сар"
            , mar = "гуравдугаар сар"
            , apr = "дөрөвдүгээр сар"
            , may = "тавдугаар сар"
            , jun = "зургаадугаар сар"
            , jul = "долоодугаар сар"
            , aug = "наймдугаар сар"
            , sep = "есдүгээр сар"
            , oct = "аравдугаар сар"
            , nov = "арван нэгдүгээр сар"
            , dec = "арван хоёрдугаар сар"
            }
        , monthNamesShort =
            { jan = "1-р сар"
            , feb = "2-р сар"
            , mar = "3-р сар"
            , apr = "4-р сар"
            , may = "5-р сар"
            , jun = "6-р сар"
            , jul = "7-р сар"
            , aug = "8-р сар"
            , sep = "9-р сар"
            , oct = "10-р сар"
            , nov = "11-р сар"
            , dec = "12-р сар"
            }
        , weekdayNames =
            { sun = "ням"
            , mon = "даваа"
            , tue = "мягмар"
            , wed = "лхагва"
            , thu = "пүрэв"
            , fri = "баасан"
            , sat = "бямба"
            }
        , weekdayNamesShort =
            { sun = "Ня"
            , mon = "Да"
            , tue = "Мя"
            , wed = "Лх"
            , thu = "Пү"
            , fri = "Ба"
            , sat = "Бя"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF yearNumber
                , DF (text " ")
                , DF (text "оны")
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text "ын")
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF yearNumber
                , DF (text " ")
                , DF (text "оны")
                , DF (text " ")
                , DF monthNameFull
                , DF (text "ын")
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF yearNumber
                , DF (text " ")
                , DF (text "оны")
                , DF (text " ")
                , DF monthNameFull
                , DF (text "ын")
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                , DF (text " ")
                , DF (text "гараг")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneShort
                , DF (text ")")
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "МЭӨ", ad = "МЭ" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM, y
  - Long : d MMMM, y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
mr : Locale
mr =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "mr") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM, y"
            , long = "d MMMM, y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "जानेवारी"
            , feb = "फेब्रुवारी"
            , mar = "मार्च"
            , apr = "एप्रिल"
            , may = "मे"
            , jun = "जून"
            , jul = "जुलै"
            , aug = "ऑगस्ट"
            , sep = "सप्टेंबर"
            , oct = "ऑक्टोबर"
            , nov = "नोव्हेंबर"
            , dec = "डिसेंबर"
            }
        , monthNamesShort =
            { jan = "जाने"
            , feb = "फेब्रु"
            , mar = "मार्च"
            , apr = "एप्रि"
            , may = "मे"
            , jun = "जून"
            , jul = "जुलै"
            , aug = "ऑग"
            , sep = "सप्टें"
            , oct = "ऑक्टो"
            , nov = "नोव्हें"
            , dec = "डिसें"
            }
        , weekdayNames =
            { sun = "रविवार"
            , mon = "सोमवार"
            , tue = "मंगळवार"
            , wed = "बुधवार"
            , thu = "गुरुवार"
            , fri = "शुक्रवार"
            , sat = "शनिवार"
            }
        , weekdayNamesShort =
            { sun = "रवि"
            , mon = "सोम"
            , tue = "मंगळ"
            , wed = "बुध"
            , thu = "गुरु"
            , fri = "शुक्र"
            , sat = "शनि"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " रोजी ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " रोजी ", TimeGoesHere ]
            }
        , eraNames = { bc = "इ. स. पू.", ad = "इ. स." }
        }


{-| Date format strings:

  - Short : d/MM/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ms : Locale
ms =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ms") Nothing Nothing Nothing
        , amPmNames = { am = "PG", pm = "PTG" }
        , datePatterns =
            { short = "d/MM/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "Januari"
            , feb = "Februari"
            , mar = "Mac"
            , apr = "April"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Julai"
            , aug = "Ogos"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Disember"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mac"
            , apr = "Apr"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Ogo"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Dis"
            }
        , weekdayNames =
            { sun = "Ahad"
            , mon = "Isnin"
            , tue = "Selasa"
            , wed = "Rabu"
            , thu = "Khamis"
            , fri = "Jumaat"
            , sat = "Sabtu"
            }
        , weekdayNamesShort =
            { sun = "Ahd"
            , mon = "Isn"
            , tue = "Sel"
            , wed = "Rab"
            , thu = "Kha"
            , fri = "Jum"
            , sat = "Sab"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "S.M.", ad = "TM" }
        }


{-| Date format strings:

  - Short : d/MM/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : dd MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ms_BN : Locale
ms_BN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ms") Nothing (Just (Tagged.tag "BN")) Nothing
        , amPmNames = { am = "PG", pm = "PTG" }
        , datePatterns =
            { short = "d/MM/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "dd MMMM y"
            }
        , monthNames =
            { jan = "Januari"
            , feb = "Februari"
            , mar = "Mac"
            , apr = "April"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Julai"
            , aug = "Ogos"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Disember"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mac"
            , apr = "Apr"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Ogo"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Dis"
            }
        , weekdayNames =
            { sun = "Ahad"
            , mon = "Isnin"
            , tue = "Selasa"
            , wed = "Rabu"
            , thu = "Khamis"
            , fri = "Jumaat"
            , sat = "Sabtu"
            }
        , weekdayNamesShort =
            { sun = "Ahd"
            , mon = "Isn"
            , tue = "Sel"
            , wed = "Rab"
            , thu = "Kha"
            , fri = "Jum"
            , sat = "Sab"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "S.M.", ad = "TM" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, dd MMMM y

Time format strings:

  - Short : HH.mm
  - Medium : HH.mm.ss
  - Long : HH.mm.ss z
  - Full : HH.mm.ss zzzz

-}
ms_ID : Locale
ms_ID =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ms") Nothing (Just (Tagged.tag "ID")) Nothing
        , amPmNames = { am = "PG", pm = "PTG" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, dd MMMM y"
            }
        , monthNames =
            { jan = "Januari"
            , feb = "Februari"
            , mar = "Mac"
            , apr = "April"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Julai"
            , aug = "Ogos"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Disember"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mac"
            , apr = "Apr"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Ogo"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Dis"
            }
        , weekdayNames =
            { sun = "Ahad"
            , mon = "Isnin"
            , tue = "Selasa"
            , wed = "Rabu"
            , thu = "Khamis"
            , fri = "Jumaat"
            , sat = "Sabtu"
            }
        , weekdayNamesShort =
            { sun = "Ahd"
            , mon = "Isn"
            , tue = "Sel"
            , wed = "Rab"
            , thu = "Kha"
            , fri = "Jum"
            , sat = "Sab"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthFixed
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text "."), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "S.M.", ad = "TM" }
        }


{-| Date format strings:

  - Short : d/MM/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ms_SG : Locale
ms_SG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ms") Nothing (Just (Tagged.tag "SG")) Nothing
        , amPmNames = { am = "PG", pm = "PTG" }
        , datePatterns =
            { short = "d/MM/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "Januari"
            , feb = "Februari"
            , mar = "Mac"
            , apr = "April"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Julai"
            , aug = "Ogos"
            , sep = "September"
            , oct = "Oktober"
            , nov = "November"
            , dec = "Disember"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mac"
            , apr = "Apr"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Ogo"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Dis"
            }
        , weekdayNames =
            { sun = "Ahad"
            , mon = "Isnin"
            , tue = "Selasa"
            , wed = "Rabu"
            , thu = "Khamis"
            , fri = "Jumaat"
            , sat = "Sabtu"
            }
        , weekdayNamesShort =
            { sun = "Ahd"
            , mon = "Isn"
            , tue = "Sel"
            , wed = "Rab"
            , thu = "Kha"
            , fri = "Jum"
            , sat = "Sab"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "S.M.", ad = "TM" }
        }


{-| Date format strings:

  - Short : dd-MM-yy
  - Medium : y- MMM d
  - Long : y- MMMM d
  - Full : y- MMMM d- EEEE

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : z HH:mm:ss
  - Full : zzzz HH:mm:ss

-}
my : Locale
my =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "my") Nothing Nothing Nothing
        , amPmNames = { am = "နံနက်", pm = "ညနေ" }
        , datePatterns =
            { short = "dd-MM-yy"
            , medium = "y- MMM d"
            , long = "y- MMMM d"
            , full = "y- MMMM d- EEEE"
            }
        , monthNames =
            { jan = "ဇန်နဝါရီ"
            , feb = "ဖေဖော်ဝါရီ"
            , mar = "မတ်"
            , apr = "ဧပြီ"
            , may = "မေ"
            , jun = "ဇွန်"
            , jul = "ဇူလိုင်"
            , aug = "ဩဂုတ်"
            , sep = "စက်တင်ဘာ"
            , oct = "အောက်တိုဘာ"
            , nov = "နိုဝင်ဘာ"
            , dec = "ဒီဇင်ဘာ"
            }
        , monthNamesShort =
            { jan = "ဇန်"
            , feb = "ဖေ"
            , mar = "မတ်"
            , apr = "ဧ"
            , may = "မေ"
            , jun = "ဇွန်"
            , jul = "ဇူ"
            , aug = "ဩ"
            , sep = "စက်"
            , oct = "အောက်"
            , nov = "နို"
            , dec = "ဒီ"
            }
        , weekdayNames =
            { sun = "တနင်္ဂနွေ"
            , mon = "တနင်္လာ"
            , tue = "အင်္ဂါ"
            , wed = "ဗုဒ္ဓဟူး"
            , thu = "ကြာသပတေး"
            , fri = "သောကြာ"
            , sat = "စနေ"
            }
        , weekdayNamesShort =
            { sun = "တနင်္ဂနွေ"
            , mon = "တနင်္လာ"
            , tue = "အင်္ဂါ"
            , wed = "ဗုဒ္ဓဟူး"
            , thu = "ကြာသပတေး"
            , fri = "သောကြာ"
            , sat = "စနေ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF yearNumber
                , DF (text "- ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF yearNumber
                , DF (text "- ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF yearNumber
                , DF (text "- ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text "- ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ TimeZoneShort
                , DF (text " ")
                , DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , full =
                [ TimeZoneFull
                , DF (text " ")
                , DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "ဘီစီ", ad = "အဒေီ" }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d. MMM y
  - Long : d. MMMM y
  - Full : EEEE d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
nb : Locale
nb =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "nb") Nothing Nothing Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d. MMM y"
            , long = "d. MMMM y"
            , full = "EEEE d. MMMM y"
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "mars"
            , apr = "april"
            , may = "mai"
            , jun = "juni"
            , jul = "juli"
            , aug = "august"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "desember"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mar."
            , apr = "apr."
            , may = "mai"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "des."
            }
        , weekdayNames =
            { sun = "søndag"
            , mon = "mandag"
            , tue = "tirsdag"
            , wed = "onsdag"
            , thu = "torsdag"
            , fri = "fredag"
            , sat = "lørdag"
            }
        , weekdayNamesShort =
            { sun = "søn."
            , mon = "man."
            , tue = "tir."
            , wed = "ons."
            , thu = "tor."
            , fri = "fre."
            , sat = "lør."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            }
        , eraNames = { bc = "f.Kr.", ad = "e.Kr." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d. MMM y
  - Long : d. MMMM y
  - Full : EEEE d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
nb_SJ : Locale
nb_SJ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "nb") Nothing (Just (Tagged.tag "SJ")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d. MMM y"
            , long = "d. MMMM y"
            , full = "EEEE d. MMMM y"
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "mars"
            , apr = "april"
            , may = "mai"
            , jun = "juni"
            , jul = "juli"
            , aug = "august"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "desember"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mar."
            , apr = "apr."
            , may = "mai"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "des."
            }
        , weekdayNames =
            { sun = "søndag"
            , mon = "mandag"
            , tue = "tirsdag"
            , wed = "onsdag"
            , thu = "torsdag"
            , fri = "fredag"
            , sat = "lørdag"
            }
        , weekdayNamesShort =
            { sun = "søn."
            , mon = "man."
            , tue = "tir."
            , wed = "ons."
            , thu = "tor."
            , fri = "fre."
            , sat = "lør."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            }
        , eraNames = { bc = "f.Kr.", ad = "e.Kr." }
        }


{-| Date format strings:

  - Short : yy/M/d
  - Medium : y MMM d
  - Long : y MMMM d
  - Full : y MMMM d, EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ne : Locale
ne =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ne") Nothing Nothing Nothing
        , amPmNames = { am = "पूर्वाह्न", pm = "अपराह्न" }
        , datePatterns =
            { short = "yy/M/d"
            , medium = "y MMM d"
            , long = "y MMMM d"
            , full = "y MMMM d, EEEE"
            }
        , monthNames =
            { jan = "जनवरी"
            , feb = "फेब्रुअरी"
            , mar = "मार्च"
            , apr = "अप्रिल"
            , may = "मे"
            , jun = "जुन"
            , jul = "जुलाई"
            , aug = "अगस्ट"
            , sep = "सेप्टेम्बर"
            , oct = "अक्टोबर"
            , nov = "नोभेम्बर"
            , dec = "डिसेम्बर"
            }
        , monthNamesShort =
            { jan = "जनवरी"
            , feb = "फेब्रुअरी"
            , mar = "मार्च"
            , apr = "अप्रिल"
            , may = "मे"
            , jun = "जुन"
            , jul = "जुलाई"
            , aug = "अगस्ट"
            , sep = "सेप्टेम्बर"
            , oct = "अक्टोबर"
            , nov = "नोभेम्बर"
            , dec = "डिसेम्बर"
            }
        , weekdayNames =
            { sun = "आइतबार"
            , mon = "सोमबार"
            , tue = "मङ्गलबार"
            , wed = "बुधबार"
            , thu = "बिहिबार"
            , fri = "शुक्रबार"
            , sat = "शनिबार"
            }
        , weekdayNamesShort =
            { sun = "आइत"
            , mon = "सोम"
            , tue = "मङ्गल"
            , wed = "बुध"
            , thu = "बिहि"
            , fri = "शुक्र"
            , sat = "शनि"
            }
        , dateTokens =
            { short =
                [ DF yearNumberLastTwo
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "ईसा पूर्व", ad = "सन्" }
        }


{-| Date format strings:

  - Short : yy/M/d
  - Medium : y MMM d
  - Long : y MMMM d
  - Full : y MMMM d, EEEE

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ne_IN : Locale
ne_IN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ne") Nothing (Just (Tagged.tag "IN")) Nothing
        , amPmNames = { am = "पूर्वाह्न", pm = "अपराह्न" }
        , datePatterns =
            { short = "yy/M/d"
            , medium = "y MMM d"
            , long = "y MMMM d"
            , full = "y MMMM d, EEEE"
            }
        , monthNames =
            { jan = "जनवरी"
            , feb = "फेब्रुअरी"
            , mar = "मार्च"
            , apr = "अप्रिल"
            , may = "मे"
            , jun = "जुन"
            , jul = "जुलाई"
            , aug = "अगस्ट"
            , sep = "सेप्टेम्बर"
            , oct = "अक्टोबर"
            , nov = "नोभेम्बर"
            , dec = "डिसेम्बर"
            }
        , monthNamesShort =
            { jan = "जनवरी"
            , feb = "फेब्रुअरी"
            , mar = "मार्च"
            , apr = "अप्रिल"
            , may = "मे"
            , jun = "जुन"
            , jul = "जुलाई"
            , aug = "अगस्ट"
            , sep = "सेप्टेम्बर"
            , oct = "अक्टोबर"
            , nov = "नोभेम्बर"
            , dec = "डिसेम्बर"
            }
        , weekdayNames =
            { sun = "आइतबार"
            , mon = "सोमबार"
            , tue = "मङ्गलबार"
            , wed = "बुधबार"
            , thu = "बिहिबार"
            , fri = "शुक्रबार"
            , sat = "शनिबार"
            }
        , weekdayNamesShort =
            { sun = "आइत"
            , mon = "सोम"
            , tue = "मङ्गल"
            , wed = "बुध"
            , thu = "बिहि"
            , fri = "शुक्र"
            , sat = "शनि"
            }
        , dateTokens =
            { short =
                [ DF yearNumberLastTwo
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "ईसा पूर्व", ad = "सन्" }
        }


{-| Date format strings:

  - Short : dd-MM-y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
nl : Locale
nl =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "nl") Nothing Nothing Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd-MM-y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "januari"
            , feb = "februari"
            , mar = "maart"
            , apr = "april"
            , may = "mei"
            , jun = "juni"
            , jul = "juli"
            , aug = "augustus"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mrt."
            , apr = "apr."
            , may = "mei"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "zondag"
            , mon = "maandag"
            , tue = "dinsdag"
            , wed = "woensdag"
            , thu = "donderdag"
            , fri = "vrijdag"
            , sat = "zaterdag"
            }
        , weekdayNamesShort =
            { sun = "zo"
            , mon = "ma"
            , tue = "di"
            , wed = "wo"
            , thu = "do"
            , fri = "vr"
            , sat = "za"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v.Chr.", ad = "n.Chr." }
        }


{-| Date format strings:

  - Short : dd-MM-y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
nl_AW : Locale
nl_AW =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "nl") Nothing (Just (Tagged.tag "AW")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd-MM-y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "januari"
            , feb = "februari"
            , mar = "maart"
            , apr = "april"
            , may = "mei"
            , jun = "juni"
            , jul = "juli"
            , aug = "augustus"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mrt."
            , apr = "apr."
            , may = "mei"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "zondag"
            , mon = "maandag"
            , tue = "dinsdag"
            , wed = "woensdag"
            , thu = "donderdag"
            , fri = "vrijdag"
            , sat = "zaterdag"
            }
        , weekdayNamesShort =
            { sun = "zo"
            , mon = "ma"
            , tue = "di"
            , wed = "wo"
            , thu = "do"
            , fri = "vr"
            , sat = "za"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v.Chr.", ad = "n.Chr." }
        }


{-| Date format strings:

  - Short : d/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
nl_BE : Locale
nl_BE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "nl") Nothing (Just (Tagged.tag "BE")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "d/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "januari"
            , feb = "februari"
            , mar = "maart"
            , apr = "april"
            , may = "mei"
            , jun = "juni"
            , jul = "juli"
            , aug = "augustus"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mrt."
            , apr = "apr."
            , may = "mei"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "zondag"
            , mon = "maandag"
            , tue = "dinsdag"
            , wed = "woensdag"
            , thu = "donderdag"
            , fri = "vrijdag"
            , sat = "zaterdag"
            }
        , weekdayNamesShort =
            { sun = "zo"
            , mon = "ma"
            , tue = "di"
            , wed = "wo"
            , thu = "do"
            , fri = "vr"
            , sat = "za"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v.Chr.", ad = "n.Chr." }
        }


{-| Date format strings:

  - Short : dd-MM-y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
nl_BQ : Locale
nl_BQ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "nl") Nothing (Just (Tagged.tag "BQ")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd-MM-y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "januari"
            , feb = "februari"
            , mar = "maart"
            , apr = "april"
            , may = "mei"
            , jun = "juni"
            , jul = "juli"
            , aug = "augustus"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mrt."
            , apr = "apr."
            , may = "mei"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "zondag"
            , mon = "maandag"
            , tue = "dinsdag"
            , wed = "woensdag"
            , thu = "donderdag"
            , fri = "vrijdag"
            , sat = "zaterdag"
            }
        , weekdayNamesShort =
            { sun = "zo"
            , mon = "ma"
            , tue = "di"
            , wed = "wo"
            , thu = "do"
            , fri = "vr"
            , sat = "za"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v.Chr.", ad = "n.Chr." }
        }


{-| Date format strings:

  - Short : dd-MM-y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
nl_CW : Locale
nl_CW =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "nl") Nothing (Just (Tagged.tag "CW")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd-MM-y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "januari"
            , feb = "februari"
            , mar = "maart"
            , apr = "april"
            , may = "mei"
            , jun = "juni"
            , jul = "juli"
            , aug = "augustus"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mrt."
            , apr = "apr."
            , may = "mei"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "zondag"
            , mon = "maandag"
            , tue = "dinsdag"
            , wed = "woensdag"
            , thu = "donderdag"
            , fri = "vrijdag"
            , sat = "zaterdag"
            }
        , weekdayNamesShort =
            { sun = "zo"
            , mon = "ma"
            , tue = "di"
            , wed = "wo"
            , thu = "do"
            , fri = "vr"
            , sat = "za"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v.Chr.", ad = "n.Chr." }
        }


{-| Date format strings:

  - Short : dd-MM-y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
nl_SR : Locale
nl_SR =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "nl") Nothing (Just (Tagged.tag "SR")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd-MM-y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "januari"
            , feb = "februari"
            , mar = "maart"
            , apr = "april"
            , may = "mei"
            , jun = "juni"
            , jul = "juli"
            , aug = "augustus"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mrt."
            , apr = "apr."
            , may = "mei"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "zondag"
            , mon = "maandag"
            , tue = "dinsdag"
            , wed = "woensdag"
            , thu = "donderdag"
            , fri = "vrijdag"
            , sat = "zaterdag"
            }
        , weekdayNamesShort =
            { sun = "zo"
            , mon = "ma"
            , tue = "di"
            , wed = "wo"
            , thu = "do"
            , fri = "vr"
            , sat = "za"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v.Chr.", ad = "n.Chr." }
        }


{-| Date format strings:

  - Short : dd-MM-y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
nl_SX : Locale
nl_SX =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "nl") Nothing (Just (Tagged.tag "SX")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd-MM-y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "januari"
            , feb = "februari"
            , mar = "maart"
            , apr = "april"
            , may = "mei"
            , jun = "juni"
            , jul = "juli"
            , aug = "augustus"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mrt."
            , apr = "apr."
            , may = "mei"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "zondag"
            , mon = "maandag"
            , tue = "dinsdag"
            , wed = "woensdag"
            , thu = "donderdag"
            , fri = "vrijdag"
            , sat = "zaterdag"
            }
        , weekdayNamesShort =
            { sun = "zo"
            , mon = "ma"
            , tue = "di"
            , wed = "wo"
            , thu = "do"
            , fri = "vr"
            , sat = "za"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "om", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "v.Chr.", ad = "n.Chr." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d. MMM y
  - Long : d. MMMM y
  - Full : EEEE d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : 'kl'. HH:mm:ss zzzz

-}
nn : Locale
nn =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "nn") Nothing Nothing Nothing
        , amPmNames = { am = "f.m.", pm = "e.m." }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d. MMM y"
            , long = "d. MMMM y"
            , full = "EEEE d. MMMM y"
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "mars"
            , apr = "april"
            , may = "mai"
            , jun = "juni"
            , jul = "juli"
            , aug = "august"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "desember"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mars"
            , apr = "apr."
            , may = "mai"
            , jun = "juni"
            , jul = "juli"
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "des."
            }
        , weekdayNames =
            { sun = "søndag"
            , mon = "måndag"
            , tue = "tysdag"
            , wed = "onsdag"
            , thu = "torsdag"
            , fri = "fredag"
            , sat = "laurdag"
            }
        , weekdayNamesShort =
            { sun = "sø."
            , mon = "må."
            , tue = "ty."
            , wed = "on."
            , thu = "to."
            , fri = "fr."
            , sat = "la."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF (text "kl")
                , DF (text ". ")
                , DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "f.Kr.", ad = "e.Kr." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d. MMM y
  - Long : d. MMMM y
  - Full : EEEE d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
no : Locale
no =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "no") Nothing Nothing Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d. MMM y"
            , long = "d. MMMM y"
            , full = "EEEE d. MMMM y"
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "mars"
            , apr = "april"
            , may = "mai"
            , jun = "juni"
            , jul = "juli"
            , aug = "august"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "desember"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mar."
            , apr = "apr."
            , may = "mai"
            , jun = "jun."
            , jul = "jul."
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "des."
            }
        , weekdayNames =
            { sun = "søndag"
            , mon = "mandag"
            , tue = "tirsdag"
            , wed = "onsdag"
            , thu = "torsdag"
            , fri = "fredag"
            , sat = "lørdag"
            }
        , weekdayNamesShort =
            { sun = "søn."
            , mon = "man."
            , tue = "tir."
            , wed = "ons."
            , thu = "tor."
            , fri = "fre."
            , sat = "lør."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "kl", Text ". ", TimeGoesHere ]
            }
        , eraNames = { bc = "f.Kr.", ad = "e.Kr." }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
or : Locale
or =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "or") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "ଜାନୁଆରୀ"
            , feb = "ଫେବୃଆରୀ"
            , mar = "ମାର୍ଚ୍ଚ"
            , apr = "ଅପ୍ରେଲ"
            , may = "ମଇ"
            , jun = "ଜୁନ"
            , jul = "ଜୁଲାଇ"
            , aug = "ଅଗଷ୍ଟ"
            , sep = "ସେପ୍ଟେମ୍ବର"
            , oct = "ଅକ୍ଟୋବର"
            , nov = "ନଭେମ୍ବର"
            , dec = "ଡିସେମ୍ବର"
            }
        , monthNamesShort =
            { jan = "ଜାନୁଆରୀ"
            , feb = "ଫେବୃଆରୀ"
            , mar = "ମାର୍ଚ୍ଚ"
            , apr = "ଅପ୍ରେଲ"
            , may = "ମଇ"
            , jun = "ଜୁନ"
            , jul = "ଜୁଲାଇ"
            , aug = "ଅଗଷ୍ଟ"
            , sep = "ସେପ୍ଟେମ୍ବର"
            , oct = "ଅକ୍ଟୋବର"
            , nov = "ନଭେମ୍ବର"
            , dec = "ଡିସେମ୍ବର"
            }
        , weekdayNames =
            { sun = "ରବିବାର"
            , mon = "ସୋମବାର"
            , tue = "ମଙ୍ଗଳବାର"
            , wed = "ବୁଧବାର"
            , thu = "ଗୁରୁବାର"
            , fri = "ଶୁକ୍ରବାର"
            , sat = "ଶନିବାର"
            }
        , weekdayNamesShort =
            { sun = "ରବି"
            , mon = "ସୋମ"
            , tue = "ମଙ୍ଗଳ"
            , wed = "ବୁଧ"
            , thu = "ଗୁରୁ"
            , fri = "ଶୁକ୍ର"
            , sat = "ଶନି"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ TimeGoesHere, Text " ଠାରେ ", DateGoesHere ]
            , full = [ TimeGoesHere, Text " ଠାରେ ", DateGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
pa : Locale
pa =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "pa") Nothing Nothing Nothing
        , amPmNames = { am = "ਪੂ.ਦੁ.", pm = "ਬਾ.ਦੁ." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "ਜਨਵਰੀ"
            , feb = "ਫ਼ਰਵਰੀ"
            , mar = "ਮਾਰਚ"
            , apr = "ਅਪ੍ਰੈਲ"
            , may = "ਮਈ"
            , jun = "ਜੂਨ"
            , jul = "ਜੁਲਾਈ"
            , aug = "ਅਗਸਤ"
            , sep = "ਸਤੰਬਰ"
            , oct = "ਅਕਤੂਬਰ"
            , nov = "ਨਵੰਬਰ"
            , dec = "ਦਸੰਬਰ"
            }
        , monthNamesShort =
            { jan = "ਜਨ"
            , feb = "ਫ਼ਰ"
            , mar = "ਮਾਰਚ"
            , apr = "ਅਪ੍ਰੈ"
            , may = "ਮਈ"
            , jun = "ਜੂਨ"
            , jul = "ਜੁਲਾ"
            , aug = "ਅਗ"
            , sep = "ਸਤੰ"
            , oct = "ਅਕਤੂ"
            , nov = "ਨਵੰ"
            , dec = "ਦਸੰ"
            }
        , weekdayNames =
            { sun = "ਐਤਵਾਰ"
            , mon = "ਸੋਮਵਾਰ"
            , tue = "ਮੰਗਲਵਾਰ"
            , wed = "ਬੁੱਧਵਾਰ"
            , thu = "ਵੀਰਵਾਰ"
            , fri = "ਸ਼ੁੱਕਰਵਾਰ"
            , sat = "ਸ਼ਨਿੱਚਰਵਾਰ"
            }
        , weekdayNamesShort =
            { sun = "ਐਤ"
            , mon = "ਸੋਮ"
            , tue = "ਮੰਗਲ"
            , wed = "ਬੁੱਧ"
            , thu = "ਵੀਰ"
            , fri = "ਸ਼ੁੱਕਰ"
            , sat = "ਸ਼ਨਿੱਚਰ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "ਈ. ਪੂ.", ad = "ਸੰਨ" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
pa_Guru : Locale
pa_Guru =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pa") (Just (Tagged.tag "Guru")) Nothing Nothing
        , amPmNames = { am = "ਪੂ.ਦੁ.", pm = "ਬਾ.ਦੁ." }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "ਜਨਵਰੀ"
            , feb = "ਫ਼ਰਵਰੀ"
            , mar = "ਮਾਰਚ"
            , apr = "ਅਪ੍ਰੈਲ"
            , may = "ਮਈ"
            , jun = "ਜੂਨ"
            , jul = "ਜੁਲਾਈ"
            , aug = "ਅਗਸਤ"
            , sep = "ਸਤੰਬਰ"
            , oct = "ਅਕਤੂਬਰ"
            , nov = "ਨਵੰਬਰ"
            , dec = "ਦਸੰਬਰ"
            }
        , monthNamesShort =
            { jan = "ਜਨ"
            , feb = "ਫ਼ਰ"
            , mar = "ਮਾਰਚ"
            , apr = "ਅਪ੍ਰੈ"
            , may = "ਮਈ"
            , jun = "ਜੂਨ"
            , jul = "ਜੁਲਾ"
            , aug = "ਅਗ"
            , sep = "ਸਤੰ"
            , oct = "ਅਕਤੂ"
            , nov = "ਨਵੰ"
            , dec = "ਦਸੰ"
            }
        , weekdayNames =
            { sun = "ਐਤਵਾਰ"
            , mon = "ਸੋਮਵਾਰ"
            , tue = "ਮੰਗਲਵਾਰ"
            , wed = "ਬੁੱਧਵਾਰ"
            , thu = "ਵੀਰਵਾਰ"
            , fri = "ਸ਼ੁੱਕਰਵਾਰ"
            , sat = "ਸ਼ਨਿੱਚਰਵਾਰ"
            }
        , weekdayNamesShort =
            { sun = "ਐਤ"
            , mon = "ਸੋਮ"
            , tue = "ਮੰਗਲ"
            , wed = "ਬੁੱਧ"
            , thu = "ਵੀਰ"
            , fri = "ਸ਼ੁੱਕਰ"
            , sat = "ਸ਼ਨਿੱਚਰ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "ਈ. ਪੂ.", ad = "ਸੰਨ" }
        }


{-| Date format strings:

  - Short : d.MM.y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pl : Locale
pl =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "pl") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d.MM.y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "stycznia"
            , feb = "lutego"
            , mar = "marca"
            , apr = "kwietnia"
            , may = "maja"
            , jun = "czerwca"
            , jul = "lipca"
            , aug = "sierpnia"
            , sep = "września"
            , oct = "października"
            , nov = "listopada"
            , dec = "grudnia"
            }
        , monthNamesShort =
            { jan = "sty"
            , feb = "lut"
            , mar = "mar"
            , apr = "kwi"
            , may = "maj"
            , jun = "cze"
            , jul = "lip"
            , aug = "sie"
            , sep = "wrz"
            , oct = "paź"
            , nov = "lis"
            , dec = "gru"
            }
        , weekdayNames =
            { sun = "niedziela"
            , mon = "poniedziałek"
            , tue = "wtorek"
            , wed = "środa"
            , thu = "czwartek"
            , fri = "piątek"
            , sat = "sobota"
            }
        , weekdayNamesShort =
            { sun = "niedz."
            , mon = "pon."
            , tue = "wt."
            , wed = "śr."
            , thu = "czw."
            , fri = "pt."
            , sat = "sob."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p.n.e.", ad = "n.e." }
        }


{-| Date format strings:

  - Short : y/M/d
  - Medium : y MMM d
  - Long : د y د MMMM d
  - Full : EEEE د y د MMMM d

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss (z)
  - Full : H:mm:ss (zzzz)

-}
ps : Locale
ps =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ps") Nothing Nothing Nothing
        , amPmNames = { am = "غ.م.", pm = "غ.و." }
        , datePatterns =
            { short = "y/M/d"
            , medium = "y MMM d"
            , long = "د y د MMMM d"
            , full = "EEEE د y د MMMM d"
            }
        , monthNames =
            { jan = "جنوري"
            , feb = "فبروري"
            , mar = "مارچ"
            , apr = "اپریل"
            , may = "مۍ"
            , jun = "جون"
            , jul = "جولای"
            , aug = "اګست"
            , sep = "سېپتمبر"
            , oct = "اکتوبر"
            , nov = "نومبر"
            , dec = "دسمبر"
            }
        , monthNamesShort =
            { jan = "جنوري"
            , feb = "فبروري"
            , mar = "مارچ"
            , apr = "اپریل"
            , may = "مۍ"
            , jun = "جون"
            , jul = "جولای"
            , aug = "اګست"
            , sep = "سېپتمبر"
            , oct = "اکتوبر"
            , nov = "نومبر"
            , dec = "دسمبر"
            }
        , weekdayNames =
            { sun = "يونۍ"
            , mon = "دونۍ"
            , tue = "درېنۍ"
            , wed = "څلرنۍ"
            , thu = "پينځنۍ"
            , fri = "جمعه"
            , sat = "اونۍ"
            }
        , weekdayNamesShort =
            { sun = "يونۍ"
            , mon = "دونۍ"
            , tue = "درېنۍ"
            , wed = "څلرنۍ"
            , thu = "پينځنۍ"
            , fri = "جمعه"
            , sat = "اونۍ"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF (text "د ")
                , DF yearNumber
                , DF (text " د ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " د ")
                , DF yearNumber
                , DF (text " د ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneShort
                , DF (text ")")
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "له میلاد وړاندې", ad = "م." }
        }


{-| Date format strings:

  - Short : y/M/d
  - Medium : y MMM d
  - Long : د y د MMMM d
  - Full : EEEE د y د MMMM d

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ps_PK : Locale
ps_PK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ps") Nothing (Just (Tagged.tag "PK")) Nothing
        , amPmNames = { am = "غ.م.", pm = "غ.و." }
        , datePatterns =
            { short = "y/M/d"
            , medium = "y MMM d"
            , long = "د y د MMMM d"
            , full = "EEEE د y د MMMM d"
            }
        , monthNames =
            { jan = "جنوري"
            , feb = "فبروري"
            , mar = "مارچ"
            , apr = "اپریل"
            , may = "مۍ"
            , jun = "جون"
            , jul = "جولای"
            , aug = "اګست"
            , sep = "سېپتمبر"
            , oct = "اکتوبر"
            , nov = "نومبر"
            , dec = "دسمبر"
            }
        , monthNamesShort =
            { jan = "جنوري"
            , feb = "فبروري"
            , mar = "مارچ"
            , apr = "اپریل"
            , may = "مۍ"
            , jun = "جون"
            , jul = "جولای"
            , aug = "اګست"
            , sep = "سېپتمبر"
            , oct = "اکتوبر"
            , nov = "نومبر"
            , dec = "دسمبر"
            }
        , weekdayNames =
            { sun = "يونۍ"
            , mon = "دونۍ"
            , tue = "درېنۍ"
            , wed = "څلرنۍ"
            , thu = "پينځنۍ"
            , fri = "جمعه"
            , sat = "اونۍ"
            }
        , weekdayNamesShort =
            { sun = "يونۍ"
            , mon = "دونۍ"
            , tue = "درېنۍ"
            , wed = "څلرنۍ"
            , thu = "پينځنۍ"
            , fri = "جمعه"
            , sat = "اونۍ"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF (text "د ")
                , DF yearNumber
                , DF (text " د ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " د ")
                , DF yearNumber
                , DF (text " د ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "له میلاد وړاندې", ad = "م." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d 'de' MMM 'de' y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt : Locale
pt =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "pt") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d 'de' MMM 'de' y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "dom."
            , mon = "seg."
            , tue = "ter."
            , wed = "qua."
            , thu = "qui."
            , fri = "sex."
            , sat = "sáb."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt_AO : Locale
pt_AO =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "AO")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt_CH : Locale
pt_CH =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "CH")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt_CV : Locale
pt_CV =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "CV")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt_GQ : Locale
pt_GQ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "GQ")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt_GW : Locale
pt_GW =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "GW")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt_LU : Locale
pt_LU =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "LU")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
pt_MO : Locale
pt_MO =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "MO")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt_MZ : Locale
pt_MZ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "MZ")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt_PT : Locale
pt_PT =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "PT")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt_ST : Locale
pt_ST =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "ST")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd/MM/y
  - Long : d 'de' MMMM 'de' y
  - Full : EEEE, d 'de' MMMM 'de' y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
pt_TL : Locale
pt_TL =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "pt") Nothing (Just (Tagged.tag "TL")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd/MM/y"
            , long = "d 'de' MMMM 'de' y"
            , full = "EEEE, d 'de' MMMM 'de' y"
            }
        , monthNames =
            { jan = "janeiro"
            , feb = "fevereiro"
            , mar = "março"
            , apr = "abril"
            , may = "maio"
            , jun = "junho"
            , jul = "julho"
            , aug = "agosto"
            , sep = "setembro"
            , oct = "outubro"
            , nov = "novembro"
            , dec = "dezembro"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "fev."
            , mar = "mar."
            , apr = "abr."
            , may = "mai."
            , jun = "jun."
            , jul = "jul."
            , aug = "ago."
            , sep = "set."
            , oct = "out."
            , nov = "nov."
            , dec = "dez."
            }
        , weekdayNames =
            { sun = "domingo"
            , mon = "segunda-feira"
            , tue = "terça-feira"
            , wed = "quarta-feira"
            , thu = "quinta-feira"
            , fri = "sexta-feira"
            , sat = "sábado"
            }
        , weekdayNamesShort =
            { sun = "domingo"
            , mon = "segunda"
            , tue = "terça"
            , wed = "quarta"
            , thu = "quinta"
            , fri = "sexta"
            , sat = "sábado"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF (text "de")
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "às", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "a.C.", ad = "d.C." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ro : Locale
ro =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ro") Nothing Nothing Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "ianuarie"
            , feb = "februarie"
            , mar = "martie"
            , apr = "aprilie"
            , may = "mai"
            , jun = "iunie"
            , jul = "iulie"
            , aug = "august"
            , sep = "septembrie"
            , oct = "octombrie"
            , nov = "noiembrie"
            , dec = "decembrie"
            }
        , monthNamesShort =
            { jan = "ian."
            , feb = "feb."
            , mar = "mar."
            , apr = "apr."
            , may = "mai"
            , jun = "iun."
            , jul = "iul."
            , aug = "aug."
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "duminică"
            , mon = "luni"
            , tue = "marți"
            , wed = "miercuri"
            , thu = "joi"
            , fri = "vineri"
            , sat = "sâmbătă"
            }
        , weekdayNamesShort =
            { sun = "dum."
            , mon = "lun."
            , tue = "mar."
            , wed = "mie."
            , thu = "joi"
            , fri = "vin."
            , sat = "sâm."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "î.Hr.", ad = "d.Hr." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ro_MD : Locale
ro_MD =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ro") Nothing (Just (Tagged.tag "MD")) Nothing
        , amPmNames = { am = "a.m.", pm = "p.m." }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "ianuarie"
            , feb = "februarie"
            , mar = "martie"
            , apr = "aprilie"
            , may = "mai"
            , jun = "iunie"
            , jul = "iulie"
            , aug = "august"
            , sep = "septembrie"
            , oct = "octombrie"
            , nov = "noiembrie"
            , dec = "decembrie"
            }
        , monthNamesShort =
            { jan = "ian."
            , feb = "feb."
            , mar = "mar."
            , apr = "apr."
            , may = "mai"
            , jun = "iun."
            , jul = "iul."
            , aug = "aug."
            , sep = "sept."
            , oct = "oct."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "duminică"
            , mon = "luni"
            , tue = "marți"
            , wed = "miercuri"
            , thu = "joi"
            , fri = "vineri"
            , sat = "sâmbătă"
            }
        , weekdayNamesShort =
            { sun = "Dum"
            , mon = "Lun"
            , tue = "Mar"
            , wed = "Mie"
            , thu = "Joi"
            , fri = "Vin"
            , sat = "Sâm"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "î.Hr.", ad = "d.Hr." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d MMM y 'г'.
  - Long : d MMMM y 'г'.
  - Full : EEEE, d MMMM y 'г'.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ru : Locale
ru =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ru") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d MMM y 'г'."
            , long = "d MMMM y 'г'."
            , full = "EEEE, d MMMM y 'г'."
            }
        , monthNames =
            { jan = "января"
            , feb = "февраля"
            , mar = "марта"
            , apr = "апреля"
            , may = "мая"
            , jun = "июня"
            , jul = "июля"
            , aug = "августа"
            , sep = "сентября"
            , oct = "октября"
            , nov = "ноября"
            , dec = "декабря"
            }
        , monthNamesShort =
            { jan = "янв."
            , feb = "февр."
            , mar = "мар."
            , apr = "апр."
            , may = "мая"
            , jun = "июн."
            , jul = "июл."
            , aug = "авг."
            , sep = "сент."
            , oct = "окт."
            , nov = "нояб."
            , dec = "дек."
            }
        , weekdayNames =
            { sun = "воскресенье"
            , mon = "понедельник"
            , tue = "вторник"
            , wed = "среда"
            , thu = "четверг"
            , fri = "пятница"
            , sat = "суббота"
            }
        , weekdayNamesShort =
            { sun = "вс"
            , mon = "пн"
            , tue = "вт"
            , wed = "ср"
            , thu = "чт"
            , fri = "пт"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "до н. э.", ad = "н. э." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d MMM y 'г'.
  - Long : d MMMM y 'г'.
  - Full : EEEE, d MMMM y 'г'.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ru_BY : Locale
ru_BY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ru") Nothing (Just (Tagged.tag "BY")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d MMM y 'г'."
            , long = "d MMMM y 'г'."
            , full = "EEEE, d MMMM y 'г'."
            }
        , monthNames =
            { jan = "января"
            , feb = "февраля"
            , mar = "марта"
            , apr = "апреля"
            , may = "мая"
            , jun = "июня"
            , jul = "июля"
            , aug = "августа"
            , sep = "сентября"
            , oct = "октября"
            , nov = "ноября"
            , dec = "декабря"
            }
        , monthNamesShort =
            { jan = "янв."
            , feb = "февр."
            , mar = "мар."
            , apr = "апр."
            , may = "мая"
            , jun = "июн."
            , jul = "июл."
            , aug = "авг."
            , sep = "сент."
            , oct = "окт."
            , nov = "нояб."
            , dec = "дек."
            }
        , weekdayNames =
            { sun = "воскресенье"
            , mon = "понедельник"
            , tue = "вторник"
            , wed = "среда"
            , thu = "четверг"
            , fri = "пятница"
            , sat = "суббота"
            }
        , weekdayNamesShort =
            { sun = "вс"
            , mon = "пн"
            , tue = "вт"
            , wed = "ср"
            , thu = "чт"
            , fri = "пт"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "до н. э.", ad = "н. э." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d MMM y 'г'.
  - Long : d MMMM y 'г'.
  - Full : EEEE, d MMMM y 'г'.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ru_KG : Locale
ru_KG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ru") Nothing (Just (Tagged.tag "KG")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d MMM y 'г'."
            , long = "d MMMM y 'г'."
            , full = "EEEE, d MMMM y 'г'."
            }
        , monthNames =
            { jan = "января"
            , feb = "февраля"
            , mar = "марта"
            , apr = "апреля"
            , may = "мая"
            , jun = "июня"
            , jul = "июля"
            , aug = "августа"
            , sep = "сентября"
            , oct = "октября"
            , nov = "ноября"
            , dec = "декабря"
            }
        , monthNamesShort =
            { jan = "янв."
            , feb = "февр."
            , mar = "мар."
            , apr = "апр."
            , may = "мая"
            , jun = "июн."
            , jul = "июл."
            , aug = "авг."
            , sep = "сент."
            , oct = "окт."
            , nov = "нояб."
            , dec = "дек."
            }
        , weekdayNames =
            { sun = "воскресенье"
            , mon = "понедельник"
            , tue = "вторник"
            , wed = "среда"
            , thu = "четверг"
            , fri = "пятница"
            , sat = "суббота"
            }
        , weekdayNamesShort =
            { sun = "вс"
            , mon = "пн"
            , tue = "вт"
            , wed = "ср"
            , thu = "чт"
            , fri = "пт"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "до н. э.", ad = "н. э." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d MMM y 'г'.
  - Long : d MMMM y 'г'.
  - Full : EEEE, d MMMM y 'г'.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ru_KZ : Locale
ru_KZ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ru") Nothing (Just (Tagged.tag "KZ")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d MMM y 'г'."
            , long = "d MMMM y 'г'."
            , full = "EEEE, d MMMM y 'г'."
            }
        , monthNames =
            { jan = "января"
            , feb = "февраля"
            , mar = "марта"
            , apr = "апреля"
            , may = "мая"
            , jun = "июня"
            , jul = "июля"
            , aug = "августа"
            , sep = "сентября"
            , oct = "октября"
            , nov = "ноября"
            , dec = "декабря"
            }
        , monthNamesShort =
            { jan = "янв."
            , feb = "февр."
            , mar = "мар."
            , apr = "апр."
            , may = "мая"
            , jun = "июн."
            , jul = "июл."
            , aug = "авг."
            , sep = "сент."
            , oct = "окт."
            , nov = "нояб."
            , dec = "дек."
            }
        , weekdayNames =
            { sun = "воскресенье"
            , mon = "понедельник"
            , tue = "вторник"
            , wed = "среда"
            , thu = "четверг"
            , fri = "пятница"
            , sat = "суббота"
            }
        , weekdayNamesShort =
            { sun = "вс"
            , mon = "пн"
            , tue = "вт"
            , wed = "ср"
            , thu = "чт"
            , fri = "пт"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "до н. э.", ad = "н. э." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d MMM y 'г'.
  - Long : d MMMM y 'г'.
  - Full : EEEE, d MMMM y 'г'.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ru_MD : Locale
ru_MD =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ru") Nothing (Just (Tagged.tag "MD")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d MMM y 'г'."
            , long = "d MMMM y 'г'."
            , full = "EEEE, d MMMM y 'г'."
            }
        , monthNames =
            { jan = "января"
            , feb = "февраля"
            , mar = "марта"
            , apr = "апреля"
            , may = "мая"
            , jun = "июня"
            , jul = "июля"
            , aug = "августа"
            , sep = "сентября"
            , oct = "октября"
            , nov = "ноября"
            , dec = "декабря"
            }
        , monthNamesShort =
            { jan = "янв."
            , feb = "февр."
            , mar = "мар."
            , apr = "апр."
            , may = "мая"
            , jun = "июн."
            , jul = "июл."
            , aug = "авг."
            , sep = "сент."
            , oct = "окт."
            , nov = "нояб."
            , dec = "дек."
            }
        , weekdayNames =
            { sun = "воскресенье"
            , mon = "понедельник"
            , tue = "вторник"
            , wed = "среда"
            , thu = "четверг"
            , fri = "пятница"
            , sat = "суббота"
            }
        , weekdayNamesShort =
            { sun = "вс"
            , mon = "пн"
            , tue = "вт"
            , wed = "ср"
            , thu = "чт"
            , fri = "пт"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "до н. э.", ad = "н. э." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d MMM y 'г'.
  - Long : d MMMM y 'г'.
  - Full : EEEE, d MMMM y 'г'.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ru_UA : Locale
ru_UA =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ru") Nothing (Just (Tagged.tag "UA")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d MMM y 'г'."
            , long = "d MMMM y 'г'."
            , full = "EEEE, d MMMM y 'г'."
            }
        , monthNames =
            { jan = "января"
            , feb = "февраля"
            , mar = "марта"
            , apr = "апреля"
            , may = "мая"
            , jun = "июня"
            , jul = "июля"
            , aug = "августа"
            , sep = "сентября"
            , oct = "октября"
            , nov = "ноября"
            , dec = "декабря"
            }
        , monthNamesShort =
            { jan = "янв."
            , feb = "февр."
            , mar = "мар."
            , apr = "апр."
            , may = "мая"
            , jun = "июн."
            , jul = "июл."
            , aug = "авг."
            , sep = "сент."
            , oct = "окт."
            , nov = "нояб."
            , dec = "дек."
            }
        , weekdayNames =
            { sun = "воскресенье"
            , mon = "понедельник"
            , tue = "вторник"
            , wed = "среда"
            , thu = "четверг"
            , fri = "пятница"
            , sat = "суббота"
            }
        , weekdayNamesShort =
            { sun = "вс"
            , mon = "пн"
            , tue = "вт"
            , wed = "ср"
            , thu = "чт"
            , fri = "пт"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "г")
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "до н. э.", ad = "н. э." }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : y MMM d
  - Long : y MMMM d
  - Full : y MMMM d, EEEE

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
sd : Locale
sd =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "sd") Nothing Nothing Nothing
        , amPmNames = { am = "صبح، منجهند", pm = "شام، منجهند" }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "y MMM d"
            , long = "y MMMM d"
            , full = "y MMMM d, EEEE"
            }
        , monthNames =
            { jan = "جنوري"
            , feb = "فيبروري"
            , mar = "مارچ"
            , apr = "اپريل"
            , may = "مئي"
            , jun = "جون"
            , jul = "جولاءِ"
            , aug = "آگسٽ"
            , sep = "سيپٽمبر"
            , oct = "آڪٽوبر"
            , nov = "نومبر"
            , dec = "ڊسمبر"
            }
        , monthNamesShort =
            { jan = "جنوري"
            , feb = "فيبروري"
            , mar = "مارچ"
            , apr = "اپريل"
            , may = "مئي"
            , jun = "جون"
            , jul = "جولاءِ"
            , aug = "آگسٽ"
            , sep = "سيپٽمبر"
            , oct = "آڪٽوبر"
            , nov = "نومبر"
            , dec = "ڊسمبر"
            }
        , weekdayNames =
            { sun = "آچر"
            , mon = "سومر"
            , tue = "اڱارو"
            , wed = "اربع"
            , thu = "خميس"
            , fri = "جمعو"
            , sat = "ڇنڇر"
            }
        , weekdayNamesShort =
            { sun = "آچر"
            , mon = "سومر"
            , tue = "اڱارو"
            , wed = "اربع"
            , thu = "خميس"
            , fri = "جمعو"
            , sat = "ڇنڇر"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "CD" }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : y MMM d
  - Long : y MMMM d
  - Full : y MMMM d, EEEE

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
sd_Arab : Locale
sd_Arab =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "sd") (Just (Tagged.tag "Arab")) Nothing Nothing
        , amPmNames = { am = "صبح، منجهند", pm = "شام، منجهند" }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "y MMM d"
            , long = "y MMMM d"
            , full = "y MMMM d, EEEE"
            }
        , monthNames =
            { jan = "جنوري"
            , feb = "فيبروري"
            , mar = "مارچ"
            , apr = "اپريل"
            , may = "مئي"
            , jun = "جون"
            , jul = "جولاءِ"
            , aug = "آگسٽ"
            , sep = "سيپٽمبر"
            , oct = "آڪٽوبر"
            , nov = "نومبر"
            , dec = "ڊسمبر"
            }
        , monthNamesShort =
            { jan = "جنوري"
            , feb = "فيبروري"
            , mar = "مارچ"
            , apr = "اپريل"
            , may = "مئي"
            , jun = "جون"
            , jul = "جولاءِ"
            , aug = "آگسٽ"
            , sep = "سيپٽمبر"
            , oct = "آڪٽوبر"
            , nov = "نومبر"
            , dec = "ڊسمبر"
            }
        , weekdayNames =
            { sun = "آچر"
            , mon = "سومر"
            , tue = "اڱارو"
            , wed = "اربع"
            , thu = "خميس"
            , fri = "جمعو"
            , sat = "ڇنڇر"
            }
        , weekdayNamesShort =
            { sun = "آچر"
            , mon = "سومر"
            , tue = "اڱارو"
            , wed = "اربع"
            , thu = "خميس"
            , fri = "جمعو"
            , sat = "ڇنڇر"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "CD" }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : y MMM d
  - Long : y MMMM d
  - Full : y MMMM d, EEEE

Time format strings:

  - Short : HH.mm
  - Medium : HH.mm.ss
  - Long : HH.mm.ss z
  - Full : HH.mm.ss zzzz

-}
si : Locale
si =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "si") Nothing Nothing Nothing
        , amPmNames = { am = "පෙ.ව.", pm = "ප.ව." }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "y MMM d"
            , long = "y MMMM d"
            , full = "y MMMM d, EEEE"
            }
        , monthNames =
            { jan = "ජනවාරි"
            , feb = "පෙබරවාරි"
            , mar = "මාර්තු"
            , apr = "අප්\u{200D}රේල්"
            , may = "මැයි"
            , jun = "ජූනි"
            , jul = "ජූලි"
            , aug = "අගෝස්තු"
            , sep = "සැප්තැම්බර්"
            , oct = "ඔක්තෝබර්"
            , nov = "නොවැම්බර්"
            , dec = "දෙසැම්බර්"
            }
        , monthNamesShort =
            { jan = "ජන"
            , feb = "පෙබ"
            , mar = "මාර්තු"
            , apr = "අප්\u{200D}රේල්"
            , may = "මැයි"
            , jun = "ජූනි"
            , jul = "ජූලි"
            , aug = "අගෝ"
            , sep = "සැප්"
            , oct = "ඔක්"
            , nov = "නොවැ"
            , dec = "දෙසැ"
            }
        , weekdayNames =
            { sun = "ඉරිදා"
            , mon = "සඳුදා"
            , tue = "අඟහරුවාදා"
            , wed = "බදාදා"
            , thu = "බ්\u{200D}රහස්පතින්දා"
            , fri = "සිකුරාදා"
            , sat = "සෙනසුරාදා"
            }
        , weekdayNamesShort =
            { sun = "ඉරිදා"
            , mon = "සඳුදා"
            , tue = "අඟහ"
            , wed = "බදාදා"
            , thu = "බ්\u{200D}රහස්"
            , fri = "සිකු"
            , sat = "සෙන"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text "."), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ".")
                , DF minuteFixed
                , DF (text ".")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "ක්\u{200D}රි.පූ.", ad = "ක්\u{200D}රි.ව." }
        }


{-| Date format strings:

  - Short : d. M. y
  - Medium : d. M. y
  - Long : d. MMMM y
  - Full : EEEE d. MMMM y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss zzzz

-}
sk : Locale
sk =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "sk") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d. M. y"
            , medium = "d. M. y"
            , long = "d. MMMM y"
            , full = "EEEE d. MMMM y"
            }
        , monthNames =
            { jan = "januára"
            , feb = "februára"
            , mar = "marca"
            , apr = "apríla"
            , may = "mája"
            , jun = "júna"
            , jul = "júla"
            , aug = "augusta"
            , sep = "septembra"
            , oct = "októbra"
            , nov = "novembra"
            , dec = "decembra"
            }
        , monthNamesShort =
            { jan = "jan"
            , feb = "feb"
            , mar = "mar"
            , apr = "apr"
            , may = "máj"
            , jun = "jún"
            , jul = "júl"
            , aug = "aug"
            , sep = "sep"
            , oct = "okt"
            , nov = "nov"
            , dec = "dec"
            }
        , weekdayNames =
            { sun = "nedeľa"
            , mon = "pondelok"
            , tue = "utorok"
            , wed = "streda"
            , thu = "štvrtok"
            , fri = "piatok"
            , sat = "sobota"
            }
        , weekdayNamesShort =
            { sun = "ne"
            , mon = "po"
            , tue = "ut"
            , wed = "st"
            , thu = "št"
            , fri = "pi"
            , sat = "so"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "pred Kr.", ad = "po Kr." }
        }


{-| Date format strings:

  - Short : d. MM. yy
  - Medium : d. MMM y
  - Long : d. MMMM y
  - Full : EEEE, d. MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sl : Locale
sl =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "sl") Nothing Nothing Nothing
        , amPmNames = { am = "dop.", pm = "pop." }
        , datePatterns =
            { short = "d. MM. yy"
            , medium = "d. MMM y"
            , long = "d. MMMM y"
            , full = "EEEE, d. MMMM y"
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "marec"
            , apr = "april"
            , may = "maj"
            , jun = "junij"
            , jul = "julij"
            , aug = "avgust"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mar."
            , apr = "apr."
            , may = "maj"
            , jun = "jun."
            , jul = "jul."
            , aug = "avg."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "nedelja"
            , mon = "ponedeljek"
            , tue = "torek"
            , wed = "sreda"
            , thu = "četrtek"
            , fri = "petek"
            , sat = "sobota"
            }
        , weekdayNamesShort =
            { sun = "ned."
            , mon = "pon."
            , tue = "tor."
            , wed = "sre."
            , thu = "čet."
            , fri = "pet."
            , sat = "sob."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthFixed
                , DF (text ". ")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "pr. Kr.", ad = "po Kr." }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd-MMM-y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
so : Locale
so =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "so") Nothing Nothing Nothing
        , amPmNames = { am = "GH", pm = "GD" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd-MMM-y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "Bisha Koobaad"
            , feb = "Bisha Labaad"
            , mar = "Bisha Saddexaad"
            , apr = "Bisha Afraad"
            , may = "Bisha Shanaad"
            , jun = "Bisha Lixaad"
            , jul = "Bisha Todobaad"
            , aug = "Bisha Sideedaad"
            , sep = "Bisha Sagaalaad"
            , oct = "Bisha Tobnaad"
            , nov = "Bisha Kow iyo Tobnaad"
            , dec = "Bisha Laba iyo Tobnaad"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Abr"
            , may = "May"
            , jun = "Jun"
            , jul = "Lul"
            , aug = "Ogs"
            , sep = "Seb"
            , oct = "Okt"
            , nov = "Nof"
            , dec = "Dis"
            }
        , weekdayNames =
            { sun = "Axad"
            , mon = "Isniin"
            , tue = "Talaado"
            , wed = "Arbaco"
            , thu = "Khamiis"
            , fri = "Jimco"
            , sat = "Sabti"
            }
        , weekdayNamesShort =
            { sun = "Axd"
            , mon = "Isn"
            , tue = "Tldo"
            , wed = "Arbc"
            , thu = "Khms"
            , fri = "Jmc"
            , sat = "Sbti"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthNameAbbreviated
                , DF (text "-")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd-MMM-y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
so_DJ : Locale
so_DJ =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "so") Nothing (Just (Tagged.tag "DJ")) Nothing
        , amPmNames = { am = "GH", pm = "GD" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd-MMM-y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "Bisha Koobaad"
            , feb = "Bisha Labaad"
            , mar = "Bisha Saddexaad"
            , apr = "Bisha Afraad"
            , may = "Bisha Shanaad"
            , jun = "Bisha Lixaad"
            , jul = "Bisha Todobaad"
            , aug = "Bisha Sideedaad"
            , sep = "Bisha Sagaalaad"
            , oct = "Bisha Tobnaad"
            , nov = "Bisha Kow iyo Tobnaad"
            , dec = "Bisha Laba iyo Tobnaad"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Abr"
            , may = "May"
            , jun = "Jun"
            , jul = "Lul"
            , aug = "Ogs"
            , sep = "Seb"
            , oct = "Okt"
            , nov = "Nof"
            , dec = "Dis"
            }
        , weekdayNames =
            { sun = "Axad"
            , mon = "Isniin"
            , tue = "Talaado"
            , wed = "Arbaco"
            , thu = "Khamiis"
            , fri = "Jimco"
            , sat = "Sabti"
            }
        , weekdayNamesShort =
            { sun = "Axd"
            , mon = "Isn"
            , tue = "Tldo"
            , wed = "Arbc"
            , thu = "Khms"
            , fri = "Jmc"
            , sat = "Sbti"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthNameAbbreviated
                , DF (text "-")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd-MMM-y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
so_ET : Locale
so_ET =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "so") Nothing (Just (Tagged.tag "ET")) Nothing
        , amPmNames = { am = "GH", pm = "GD" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd-MMM-y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "Bisha Koobaad"
            , feb = "Bisha Labaad"
            , mar = "Bisha Saddexaad"
            , apr = "Bisha Afraad"
            , may = "Bisha Shanaad"
            , jun = "Bisha Lixaad"
            , jul = "Bisha Todobaad"
            , aug = "Bisha Sideedaad"
            , sep = "Bisha Sagaalaad"
            , oct = "Bisha Tobnaad"
            , nov = "Bisha Kow iyo Tobnaad"
            , dec = "Bisha Laba iyo Tobnaad"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Abr"
            , may = "May"
            , jun = "Jun"
            , jul = "Lul"
            , aug = "Ogs"
            , sep = "Seb"
            , oct = "Okt"
            , nov = "Nof"
            , dec = "Dis"
            }
        , weekdayNames =
            { sun = "Axad"
            , mon = "Isniin"
            , tue = "Talaado"
            , wed = "Arbaco"
            , thu = "Khamiis"
            , fri = "Jimco"
            , sat = "Sabti"
            }
        , weekdayNamesShort =
            { sun = "Axd"
            , mon = "Isn"
            , tue = "Tldo"
            , wed = "Arbc"
            , thu = "Khms"
            , fri = "Jmc"
            , sat = "Sbti"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthNameAbbreviated
                , DF (text "-")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd-MMM-y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
so_KE : Locale
so_KE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "so") Nothing (Just (Tagged.tag "KE")) Nothing
        , amPmNames = { am = "GH", pm = "GD" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "dd-MMM-y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "Bisha Koobaad"
            , feb = "Bisha Labaad"
            , mar = "Bisha Saddexaad"
            , apr = "Bisha Afraad"
            , may = "Bisha Shanaad"
            , jun = "Bisha Lixaad"
            , jul = "Bisha Todobaad"
            , aug = "Bisha Sideedaad"
            , sep = "Bisha Sagaalaad"
            , oct = "Bisha Tobnaad"
            , nov = "Bisha Kow iyo Tobnaad"
            , dec = "Bisha Laba iyo Tobnaad"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mar"
            , apr = "Abr"
            , may = "May"
            , jun = "Jun"
            , jul = "Lul"
            , aug = "Ogs"
            , sep = "Seb"
            , oct = "Okt"
            , nov = "Nof"
            , dec = "Dis"
            }
        , weekdayNames =
            { sun = "Axad"
            , mon = "Isniin"
            , tue = "Talaado"
            , wed = "Arbaco"
            , thu = "Khamiis"
            , fri = "Jimco"
            , sat = "Sabti"
            }
        , weekdayNamesShort =
            { sun = "Axd"
            , mon = "Isn"
            , tue = "Tldo"
            , wed = "Arbc"
            , thu = "Khms"
            , fri = "Jmc"
            , sat = "Sbti"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthNameAbbreviated
                , DF (text "-")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "ee", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }


{-| Date format strings:

  - Short : d.M.yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a, z
  - Full : h:mm:ss a, zzzz

-}
sq : Locale
sq =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "sq") Nothing Nothing Nothing
        , amPmNames = { am = "p.d.", pm = "m.d." }
        , datePatterns =
            { short = "d.M.yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "janar"
            , feb = "shkurt"
            , mar = "mars"
            , apr = "prill"
            , may = "maj"
            , jun = "qershor"
            , jul = "korrik"
            , aug = "gusht"
            , sep = "shtator"
            , oct = "tetor"
            , nov = "nëntor"
            , dec = "dhjetor"
            }
        , monthNamesShort =
            { jan = "jan"
            , feb = "shk"
            , mar = "mar"
            , apr = "pri"
            , may = "maj"
            , jun = "qer"
            , jul = "korr"
            , aug = "gush"
            , sep = "sht"
            , oct = "tet"
            , nov = "nën"
            , dec = "dhj"
            }
        , weekdayNames =
            { sun = "e diel"
            , mon = "e hënë"
            , tue = "e martë"
            , wed = "e mërkurë"
            , thu = "e enjte"
            , fri = "e premte"
            , sat = "e shtunë"
            }
        , weekdayNamesShort =
            { sun = "Die"
            , mon = "Hën"
            , tue = "Mar"
            , wed = "Mër"
            , thu = "Enj"
            , fri = "Pre"
            , sat = "Sht"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text ", ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text ", ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "në", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "në", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p.K.", ad = "mb.K." }
        }


{-| Date format strings:

  - Short : d.M.yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sq_MK : Locale
sq_MK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "sq") Nothing (Just (Tagged.tag "MK")) Nothing
        , amPmNames = { am = "p.d.", pm = "m.d." }
        , datePatterns =
            { short = "d.M.yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "janar"
            , feb = "shkurt"
            , mar = "mars"
            , apr = "prill"
            , may = "maj"
            , jun = "qershor"
            , jul = "korrik"
            , aug = "gusht"
            , sep = "shtator"
            , oct = "tetor"
            , nov = "nëntor"
            , dec = "dhjetor"
            }
        , monthNamesShort =
            { jan = "jan"
            , feb = "shk"
            , mar = "mar"
            , apr = "pri"
            , may = "maj"
            , jun = "qer"
            , jul = "korr"
            , aug = "gush"
            , sep = "sht"
            , oct = "tet"
            , nov = "nën"
            , dec = "dhj"
            }
        , weekdayNames =
            { sun = "e diel"
            , mon = "e hënë"
            , tue = "e martë"
            , wed = "e mërkurë"
            , thu = "e enjte"
            , fri = "e premte"
            , sat = "e shtunë"
            }
        , weekdayNamesShort =
            { sun = "Die"
            , mon = "Hën"
            , tue = "Mar"
            , wed = "Mër"
            , thu = "Enj"
            , fri = "Pre"
            , sat = "Sht"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "në", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "në", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p.K.", ad = "mb.K." }
        }


{-| Date format strings:

  - Short : d.M.yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sq_XK : Locale
sq_XK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "sq") Nothing (Just (Tagged.tag "XK")) Nothing
        , amPmNames = { am = "p.d.", pm = "m.d." }
        , datePatterns =
            { short = "d.M.yy"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "janar"
            , feb = "shkurt"
            , mar = "mars"
            , apr = "prill"
            , may = "maj"
            , jun = "qershor"
            , jul = "korrik"
            , aug = "gusht"
            , sep = "shtator"
            , oct = "tetor"
            , nov = "nëntor"
            , dec = "dhjetor"
            }
        , monthNamesShort =
            { jan = "jan"
            , feb = "shk"
            , mar = "mar"
            , apr = "pri"
            , may = "maj"
            , jun = "qer"
            , jul = "korr"
            , aug = "gush"
            , sep = "sht"
            , oct = "tet"
            , nov = "nën"
            , dec = "dhj"
            }
        , weekdayNames =
            { sun = "e diel"
            , mon = "e hënë"
            , tue = "e martë"
            , wed = "e mërkurë"
            , thu = "e enjte"
            , fri = "e premte"
            , sat = "e shtunë"
            }
        , weekdayNamesShort =
            { sun = "Die"
            , mon = "Hën"
            , tue = "Mar"
            , wed = "Mër"
            , thu = "Enj"
            , fri = "Pre"
            , sat = "Sht"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "në", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "në", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p.K.", ad = "mb.K." }
        }


{-| Date format strings:

  - Short : d.M.yy.
  - Medium : d. M. y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sr : Locale
sr =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "sr") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d.M.yy."
            , medium = "d. M. y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "јануар"
            , feb = "фебруар"
            , mar = "март"
            , apr = "април"
            , may = "мај"
            , jun = "јун"
            , jul = "јул"
            , aug = "август"
            , sep = "септембар"
            , oct = "октобар"
            , nov = "новембар"
            , dec = "децембар"
            }
        , monthNamesShort =
            { jan = "јан"
            , feb = "феб"
            , mar = "мар"
            , apr = "апр"
            , may = "мај"
            , jun = "јун"
            , jul = "јул"
            , aug = "авг"
            , sep = "сеп"
            , oct = "окт"
            , nov = "нов"
            , dec = "дец"
            }
        , weekdayNames =
            { sun = "недеља"
            , mon = "понедељак"
            , tue = "уторак"
            , wed = "среда"
            , thu = "четвртак"
            , fri = "петак"
            , sat = "субота"
            }
        , weekdayNamesShort =
            { sun = "нед"
            , mon = "пон"
            , tue = "уто"
            , wed = "сре"
            , thu = "чет"
            , fri = "пет"
            , sat = "суб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "п. н. е.", ad = "н. е." }
        }


{-| Date format strings:

  - Short : d.M.yy.
  - Medium : d. M. y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sr_Cyrl : Locale
sr_Cyrl =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "sr") (Just (Tagged.tag "Cyrl")) Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d.M.yy."
            , medium = "d. M. y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "јануар"
            , feb = "фебруар"
            , mar = "март"
            , apr = "април"
            , may = "мај"
            , jun = "јун"
            , jul = "јул"
            , aug = "август"
            , sep = "септембар"
            , oct = "октобар"
            , nov = "новембар"
            , dec = "децембар"
            }
        , monthNamesShort =
            { jan = "јан"
            , feb = "феб"
            , mar = "мар"
            , apr = "апр"
            , may = "мај"
            , jun = "јун"
            , jul = "јул"
            , aug = "авг"
            , sep = "сеп"
            , oct = "окт"
            , nov = "нов"
            , dec = "дец"
            }
        , weekdayNames =
            { sun = "недеља"
            , mon = "понедељак"
            , tue = "уторак"
            , wed = "среда"
            , thu = "четвртак"
            , fri = "петак"
            , sat = "субота"
            }
        , weekdayNamesShort =
            { sun = "нед"
            , mon = "пон"
            , tue = "уто"
            , wed = "сре"
            , thu = "чет"
            , fri = "пет"
            , sat = "суб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "п. н. е.", ad = "н. е." }
        }


{-| Date format strings:

  - Short : d.M.yy.
  - Medium : d. M. y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sr_Cyrl_BA : Locale
sr_Cyrl_BA =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "sr")
                (Just (Tagged.tag "Cyrl"))
                (Just (Tagged.tag "BA"))
                Nothing
        , amPmNames = { am = "прије подне", pm = "по подне" }
        , datePatterns =
            { short = "d.M.yy."
            , medium = "d. M. y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "јануар"
            , feb = "фебруар"
            , mar = "март"
            , apr = "април"
            , may = "мај"
            , jun = "јун"
            , jul = "јул"
            , aug = "август"
            , sep = "септембар"
            , oct = "октобар"
            , nov = "новембар"
            , dec = "децембар"
            }
        , monthNamesShort =
            { jan = "јан"
            , feb = "феб"
            , mar = "мар"
            , apr = "апр"
            , may = "мај"
            , jun = "јун"
            , jul = "јул"
            , aug = "авг"
            , sep = "сеп"
            , oct = "окт"
            , nov = "нов"
            , dec = "дец"
            }
        , weekdayNames =
            { sun = "недјеља"
            , mon = "понедјељак"
            , tue = "уторак"
            , wed = "сриједа"
            , thu = "четвртак"
            , fri = "петак"
            , sat = "субота"
            }
        , weekdayNamesShort =
            { sun = "нед"
            , mon = "пон"
            , tue = "уто"
            , wed = "сре"
            , thu = "чет"
            , fri = "пет"
            , sat = "суб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "п. н. е.", ad = "н. е." }
        }


{-| Date format strings:

  - Short : d.M.yy.
  - Medium : d. M. y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sr_Cyrl_ME : Locale
sr_Cyrl_ME =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "sr")
                (Just (Tagged.tag "Cyrl"))
                (Just (Tagged.tag "ME"))
                Nothing
        , amPmNames = { am = "прије подне", pm = "по подне" }
        , datePatterns =
            { short = "d.M.yy."
            , medium = "d. M. y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "јануар"
            , feb = "фебруар"
            , mar = "март"
            , apr = "април"
            , may = "мај"
            , jun = "јун"
            , jul = "јул"
            , aug = "август"
            , sep = "септембар"
            , oct = "октобар"
            , nov = "новембар"
            , dec = "децембар"
            }
        , monthNamesShort =
            { jan = "јан"
            , feb = "феб"
            , mar = "март"
            , apr = "апр"
            , may = "мај"
            , jun = "јун"
            , jul = "јул"
            , aug = "авг"
            , sep = "септ"
            , oct = "окт"
            , nov = "нов"
            , dec = "дец"
            }
        , weekdayNames =
            { sun = "недјеља"
            , mon = "понедељак"
            , tue = "уторак"
            , wed = "сриједа"
            , thu = "четвртак"
            , fri = "петак"
            , sat = "субота"
            }
        , weekdayNamesShort =
            { sun = "нед"
            , mon = "пон"
            , tue = "уто"
            , wed = "сре"
            , thu = "чет"
            , fri = "пет"
            , sat = "суб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "п. н. е.", ad = "н. е." }
        }


{-| Date format strings:

  - Short : d.M.yy.
  - Medium : d. M. y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sr_Cyrl_XK : Locale
sr_Cyrl_XK =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "sr")
                (Just (Tagged.tag "Cyrl"))
                (Just (Tagged.tag "XK"))
                Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d.M.yy."
            , medium = "d. M. y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "јануар"
            , feb = "фебруар"
            , mar = "март"
            , apr = "април"
            , may = "мај"
            , jun = "јун"
            , jul = "јул"
            , aug = "август"
            , sep = "септембар"
            , oct = "октобар"
            , nov = "новембар"
            , dec = "децембар"
            }
        , monthNamesShort =
            { jan = "јан"
            , feb = "феб"
            , mar = "март"
            , apr = "апр"
            , may = "мај"
            , jun = "јун"
            , jul = "јул"
            , aug = "авг"
            , sep = "септ"
            , oct = "окт"
            , nov = "нов"
            , dec = "дец"
            }
        , weekdayNames =
            { sun = "недеља"
            , mon = "понедељак"
            , tue = "уторак"
            , wed = "среда"
            , thu = "четвртак"
            , fri = "петак"
            , sat = "субота"
            }
        , weekdayNamesShort =
            { sun = "нед"
            , mon = "пон"
            , tue = "уто"
            , wed = "сре"
            , thu = "чет"
            , fri = "пет"
            , sat = "суб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "п. н. е.", ad = "н. е." }
        }


{-| Date format strings:

  - Short : d.M.yy.
  - Medium : d. M. y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sr_Latn : Locale
sr_Latn =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "sr") (Just (Tagged.tag "Latn")) Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d.M.yy."
            , medium = "d. M. y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "mart"
            , apr = "april"
            , may = "maj"
            , jun = "jun"
            , jul = "jul"
            , aug = "avgust"
            , sep = "septembar"
            , oct = "oktobar"
            , nov = "novembar"
            , dec = "decembar"
            }
        , monthNamesShort =
            { jan = "jan"
            , feb = "feb"
            , mar = "mar"
            , apr = "apr"
            , may = "maj"
            , jun = "jun"
            , jul = "jul"
            , aug = "avg"
            , sep = "sep"
            , oct = "okt"
            , nov = "nov"
            , dec = "dec"
            }
        , weekdayNames =
            { sun = "nedelja"
            , mon = "ponedeljak"
            , tue = "utorak"
            , wed = "sreda"
            , thu = "četvrtak"
            , fri = "petak"
            , sat = "subota"
            }
        , weekdayNamesShort =
            { sun = "ned"
            , mon = "pon"
            , tue = "uto"
            , wed = "sre"
            , thu = "čet"
            , fri = "pet"
            , sat = "sub"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p. n. e.", ad = "n. e." }
        }


{-| Date format strings:

  - Short : d.M.yy.
  - Medium : d. M. y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sr_Latn_BA : Locale
sr_Latn_BA =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "sr")
                (Just (Tagged.tag "Latn"))
                (Just (Tagged.tag "BA"))
                Nothing
        , amPmNames = { am = "prije podne", pm = "po podne" }
        , datePatterns =
            { short = "d.M.yy."
            , medium = "d. M. y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "mart"
            , apr = "april"
            , may = "maj"
            , jun = "jun"
            , jul = "jul"
            , aug = "avgust"
            , sep = "septembar"
            , oct = "oktobar"
            , nov = "novembar"
            , dec = "decembar"
            }
        , monthNamesShort =
            { jan = "jan"
            , feb = "feb"
            , mar = "mar"
            , apr = "apr"
            , may = "maj"
            , jun = "jun"
            , jul = "jul"
            , aug = "avg"
            , sep = "sep"
            , oct = "okt"
            , nov = "nov"
            , dec = "dec"
            }
        , weekdayNames =
            { sun = "nedjelja"
            , mon = "ponedjeljak"
            , tue = "utorak"
            , wed = "srijeda"
            , thu = "četvrtak"
            , fri = "petak"
            , sat = "subota"
            }
        , weekdayNamesShort =
            { sun = "ned"
            , mon = "pon"
            , tue = "uto"
            , wed = "sre"
            , thu = "čet"
            , fri = "pet"
            , sat = "sub"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p. n. e.", ad = "n. e." }
        }


{-| Date format strings:

  - Short : d.M.yy.
  - Medium : d. M. y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sr_Latn_ME : Locale
sr_Latn_ME =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "sr")
                (Just (Tagged.tag "Latn"))
                (Just (Tagged.tag "ME"))
                Nothing
        , amPmNames = { am = "prije podne", pm = "po podne" }
        , datePatterns =
            { short = "d.M.yy."
            , medium = "d. M. y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "mart"
            , apr = "april"
            , may = "maj"
            , jun = "jun"
            , jul = "jul"
            , aug = "avgust"
            , sep = "septembar"
            , oct = "oktobar"
            , nov = "novembar"
            , dec = "decembar"
            }
        , monthNamesShort =
            { jan = "jan"
            , feb = "feb"
            , mar = "mart"
            , apr = "apr"
            , may = "maj"
            , jun = "jun"
            , jul = "jul"
            , aug = "avg"
            , sep = "sept"
            , oct = "okt"
            , nov = "nov"
            , dec = "dec"
            }
        , weekdayNames =
            { sun = "nedjelja"
            , mon = "ponedeljak"
            , tue = "utorak"
            , wed = "srijeda"
            , thu = "četvrtak"
            , fri = "petak"
            , sat = "subota"
            }
        , weekdayNamesShort =
            { sun = "ned"
            , mon = "pon"
            , tue = "uto"
            , wed = "sre"
            , thu = "čet"
            , fri = "pet"
            , sat = "sub"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p. n. e.", ad = "n. e." }
        }


{-| Date format strings:

  - Short : d.M.yy.
  - Medium : d. M. y.
  - Long : d. MMMM y.
  - Full : EEEE, d. MMMM y.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sr_Latn_XK : Locale
sr_Latn_XK =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "sr")
                (Just (Tagged.tag "Latn"))
                (Just (Tagged.tag "XK"))
                Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d.M.yy."
            , medium = "d. M. y."
            , long = "d. MMMM y."
            , full = "EEEE, d. MMMM y."
            }
        , monthNames =
            { jan = "januar"
            , feb = "februar"
            , mar = "mart"
            , apr = "april"
            , may = "maj"
            , jun = "jun"
            , jul = "jul"
            , aug = "avgust"
            , sep = "septembar"
            , oct = "oktobar"
            , nov = "novembar"
            , dec = "decembar"
            }
        , monthNamesShort =
            { jan = "jan"
            , feb = "feb"
            , mar = "mart"
            , apr = "apr"
            , may = "maj"
            , jun = "jun"
            , jul = "jul"
            , aug = "avg"
            , sep = "sept"
            , oct = "okt"
            , nov = "nov"
            , dec = "dec"
            }
        , weekdayNames =
            { sun = "nedelja"
            , mon = "ponedeljak"
            , tue = "utorak"
            , wed = "sreda"
            , thu = "četvrtak"
            , fri = "petak"
            , sat = "subota"
            }
        , weekdayNamesShort =
            { sun = "ned"
            , mon = "pon"
            , tue = "uto"
            , wed = "sre"
            , thu = "čet"
            , fri = "pet"
            , sat = "sub"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthNumber
                , DF (text ".")
                , DF yearNumberLastTwo
                , DF (text ".")
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNumber
                , DF (text ". ")
                , DF yearNumber
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text ". ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "p. n. e.", ad = "n. e." }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sv : Locale
sv =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "sv") Nothing Nothing Nothing
        , amPmNames = { am = "fm", pm = "em" }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "januari"
            , feb = "februari"
            , mar = "mars"
            , apr = "april"
            , may = "maj"
            , jun = "juni"
            , jul = "juli"
            , aug = "augusti"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mars"
            , apr = "apr."
            , may = "maj"
            , jun = "juni"
            , jul = "juli"
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "söndag"
            , mon = "måndag"
            , tue = "tisdag"
            , wed = "onsdag"
            , thu = "torsdag"
            , fri = "fredag"
            , sat = "lördag"
            }
        , weekdayNamesShort =
            { sun = "sön"
            , mon = "mån"
            , tue = "tis"
            , wed = "ons"
            , thu = "tors"
            , fri = "fre"
            , sat = "lör"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "f.Kr.", ad = "e.Kr." }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sv_AX : Locale
sv_AX =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "sv") Nothing (Just (Tagged.tag "AX")) Nothing
        , amPmNames = { am = "fm", pm = "em" }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "januari"
            , feb = "februari"
            , mar = "mars"
            , apr = "april"
            , may = "maj"
            , jun = "juni"
            , jul = "juli"
            , aug = "augusti"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mars"
            , apr = "apr."
            , may = "maj"
            , jun = "juni"
            , jul = "juli"
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "söndag"
            , mon = "måndag"
            , tue = "tisdag"
            , wed = "onsdag"
            , thu = "torsdag"
            , fri = "fredag"
            , sat = "lördag"
            }
        , weekdayNamesShort =
            { sun = "sön"
            , mon = "mån"
            , tue = "tis"
            , wed = "ons"
            , thu = "tors"
            , fri = "fre"
            , sat = "lör"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "f.Kr.", ad = "e.Kr." }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sv_FI : Locale
sv_FI =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "sv") Nothing (Just (Tagged.tag "FI")) Nothing
        , amPmNames = { am = "fm", pm = "em" }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE d MMMM y"
            }
        , monthNames =
            { jan = "januari"
            , feb = "februari"
            , mar = "mars"
            , apr = "april"
            , may = "maj"
            , jun = "juni"
            , jul = "juli"
            , aug = "augusti"
            , sep = "september"
            , oct = "oktober"
            , nov = "november"
            , dec = "december"
            }
        , monthNamesShort =
            { jan = "jan."
            , feb = "feb."
            , mar = "mars"
            , apr = "apr."
            , may = "maj"
            , jun = "juni"
            , jul = "juli"
            , aug = "aug."
            , sep = "sep."
            , oct = "okt."
            , nov = "nov."
            , dec = "dec."
            }
        , weekdayNames =
            { sun = "söndag"
            , mon = "måndag"
            , tue = "tisdag"
            , wed = "onsdag"
            , thu = "torsdag"
            , fri = "fredag"
            , sat = "lördag"
            }
        , weekdayNamesShort =
            { sun = "sön"
            , mon = "mån"
            , tue = "tis"
            , wed = "ons"
            , thu = "tors"
            , fri = "fre"
            , sat = "lör"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "f.Kr.", ad = "e.Kr." }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sw : Locale
sw =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "sw") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "Januari"
            , feb = "Februari"
            , mar = "Machi"
            , apr = "Aprili"
            , may = "Mei"
            , jun = "Juni"
            , jul = "Julai"
            , aug = "Agosti"
            , sep = "Septemba"
            , oct = "Oktoba"
            , nov = "Novemba"
            , dec = "Desemba"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mac"
            , apr = "Apr"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Ago"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Des"
            }
        , weekdayNames =
            { sun = "Jumapili"
            , mon = "Jumatatu"
            , tue = "Jumanne"
            , wed = "Jumatano"
            , thu = "Alhamisi"
            , fri = "Ijumaa"
            , sat = "Jumamosi"
            }
        , weekdayNamesShort =
            { sun = "Jumapili"
            , mon = "Jumatatu"
            , tue = "Jumanne"
            , wed = "Jumatano"
            , thu = "Alhamisi"
            , fri = "Ijumaa"
            , sat = "Jumamosi"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "KK", ad = "BK" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sw_CD : Locale
sw_CD =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "sw") Nothing (Just (Tagged.tag "CD")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "Januari"
            , feb = "Februari"
            , mar = "Machi"
            , apr = "Aprili"
            , may = "Mei"
            , jun = "Juni"
            , jul = "Julai"
            , aug = "Agosti"
            , sep = "Septemba"
            , oct = "Oktoba"
            , nov = "Novemba"
            , dec = "Desemba"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mac"
            , apr = "Apr"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Ago"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Des"
            }
        , weekdayNames =
            { sun = "Jumapili"
            , mon = "Jumatatu"
            , tue = "Jumanne"
            , wed = "Jumatano"
            , thu = "Alhamisi"
            , fri = "Ijumaa"
            , sat = "Jumamosi"
            }
        , weekdayNamesShort =
            { sun = "Jumapili"
            , mon = "Jumatatu"
            , tue = "Jumanne"
            , wed = "Jumatano"
            , thu = "Alhamisi"
            , fri = "Ijumaa"
            , sat = "Jumamosi"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "KK", ad = "BK" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sw_KE : Locale
sw_KE =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "sw") Nothing (Just (Tagged.tag "KE")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "Januari"
            , feb = "Februari"
            , mar = "Machi"
            , apr = "Aprili"
            , may = "Mei"
            , jun = "Juni"
            , jul = "Julai"
            , aug = "Agosti"
            , sep = "Septemba"
            , oct = "Oktoba"
            , nov = "Novemba"
            , dec = "Desemba"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mac"
            , apr = "Apr"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Ago"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Des"
            }
        , weekdayNames =
            { sun = "Jumapili"
            , mon = "Jumatatu"
            , tue = "Jumanne"
            , wed = "Jumatano"
            , thu = "Alhamisi"
            , fri = "Ijumaa"
            , sat = "Jumamosi"
            }
        , weekdayNamesShort =
            { sun = "Jumapili"
            , mon = "Jumatatu"
            , tue = "Jumanne"
            , wed = "Jumatano"
            , thu = "Alhamisi"
            , fri = "Ijumaa"
            , sat = "Jumamosi"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "KK", ad = "BK" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
sw_UG : Locale
sw_UG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "sw") Nothing (Just (Tagged.tag "UG")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "EEEE, d MMMM y"
            }
        , monthNames =
            { jan = "Januari"
            , feb = "Februari"
            , mar = "Machi"
            , apr = "Aprili"
            , may = "Mei"
            , jun = "Juni"
            , jul = "Julai"
            , aug = "Agosti"
            , sep = "Septemba"
            , oct = "Oktoba"
            , nov = "Novemba"
            , dec = "Desemba"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mac"
            , apr = "Apr"
            , may = "Mei"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Ago"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Des"
            }
        , weekdayNames =
            { sun = "Jumapili"
            , mon = "Jumatatu"
            , tue = "Jumanne"
            , wed = "Jumatano"
            , thu = "Alhamisi"
            , fri = "Ijumaa"
            , sat = "Jumamosi"
            }
        , weekdayNamesShort =
            { sun = "Jumapili"
            , mon = "Jumatatu"
            , tue = "Jumanne"
            , wed = "Jumatano"
            , thu = "Alhamisi"
            , fri = "Ijumaa"
            , sat = "Jumamosi"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "KK", ad = "BK" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM, y
  - Long : d MMMM, y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : a h:mm
  - Medium : a h:mm:ss
  - Long : a h:mm:ss z
  - Full : a h:mm:ss zzzz

-}
ta : Locale
ta =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ta") Nothing Nothing Nothing
        , amPmNames = { am = "முற்பகல்", pm = "பிற்பகல்" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM, y"
            , long = "d MMMM, y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "ஜனவரி"
            , feb = "பிப்ரவரி"
            , mar = "மார்ச்"
            , apr = "ஏப்ரல்"
            , may = "மே"
            , jun = "ஜூன்"
            , jul = "ஜூலை"
            , aug = "ஆகஸ்ட்"
            , sep = "செப்டம்பர்"
            , oct = "அக்டோபர்"
            , nov = "நவம்பர்"
            , dec = "டிசம்பர்"
            }
        , monthNamesShort =
            { jan = "ஜன."
            , feb = "பிப்."
            , mar = "மார்."
            , apr = "ஏப்."
            , may = "மே"
            , jun = "ஜூன்"
            , jul = "ஜூலை"
            , aug = "ஆக."
            , sep = "செப்."
            , oct = "அக்."
            , nov = "நவ."
            , dec = "டிச."
            }
        , weekdayNames =
            { sun = "ஞாயிறு"
            , mon = "திங்கள்"
            , tue = "செவ்வாய்"
            , wed = "புதன்"
            , thu = "வியாழன்"
            , fri = "வெள்ளி"
            , sat = "சனி"
            }
        , weekdayNamesShort =
            { sun = "ஞாயி."
            , mon = "திங்."
            , tue = "செவ்."
            , wed = "புத."
            , thu = "வியா."
            , fri = "வெள்."
            , sat = "சனி"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " அன்று ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " அன்று ", TimeGoesHere ]
            }
        , eraNames = { bc = "கி.மு.", ad = "கி.பி." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM, y
  - Long : d MMMM, y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
ta_LK : Locale
ta_LK =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ta") Nothing (Just (Tagged.tag "LK")) Nothing
        , amPmNames = { am = "முற்பகல்", pm = "பிற்பகல்" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM, y"
            , long = "d MMMM, y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "ஜனவரி"
            , feb = "பிப்ரவரி"
            , mar = "மார்ச்"
            , apr = "ஏப்ரல்"
            , may = "மே"
            , jun = "ஜூன்"
            , jul = "ஜூலை"
            , aug = "ஆகஸ்ட்"
            , sep = "செப்டம்பர்"
            , oct = "அக்டோபர்"
            , nov = "நவம்பர்"
            , dec = "டிசம்பர்"
            }
        , monthNamesShort =
            { jan = "ஜன."
            , feb = "பிப்."
            , mar = "மார்."
            , apr = "ஏப்."
            , may = "மே"
            , jun = "ஜூன்"
            , jul = "ஜூலை"
            , aug = "ஆக."
            , sep = "செப்."
            , oct = "அக்."
            , nov = "நவ."
            , dec = "டிச."
            }
        , weekdayNames =
            { sun = "ஞாயிறு"
            , mon = "திங்கள்"
            , tue = "செவ்வாய்"
            , wed = "புதன்"
            , thu = "வியாழன்"
            , fri = "வெள்ளி"
            , sat = "சனி"
            }
        , weekdayNamesShort =
            { sun = "ஞாயி."
            , mon = "திங்."
            , tue = "செவ்."
            , wed = "புத."
            , thu = "வியா."
            , fri = "வெள்."
            , sat = "சனி"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " அன்று ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " அன்று ", TimeGoesHere ]
            }
        , eraNames = { bc = "கி.மு.", ad = "கி.பி." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM, y
  - Long : d MMMM, y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : a h:mm
  - Medium : a h:mm:ss
  - Long : a h:mm:ss z
  - Full : a h:mm:ss zzzz

-}
ta_MY : Locale
ta_MY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ta") Nothing (Just (Tagged.tag "MY")) Nothing
        , amPmNames = { am = "முற்பகல்", pm = "பிற்பகல்" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM, y"
            , long = "d MMMM, y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "ஜனவரி"
            , feb = "பிப்ரவரி"
            , mar = "மார்ச்"
            , apr = "ஏப்ரல்"
            , may = "மே"
            , jun = "ஜூன்"
            , jul = "ஜூலை"
            , aug = "ஆகஸ்ட்"
            , sep = "செப்டம்பர்"
            , oct = "அக்டோபர்"
            , nov = "நவம்பர்"
            , dec = "டிசம்பர்"
            }
        , monthNamesShort =
            { jan = "ஜன."
            , feb = "பிப்."
            , mar = "மார்."
            , apr = "ஏப்."
            , may = "மே"
            , jun = "ஜூன்"
            , jul = "ஜூலை"
            , aug = "ஆக."
            , sep = "செப்."
            , oct = "அக்."
            , nov = "நவ."
            , dec = "டிச."
            }
        , weekdayNames =
            { sun = "ஞாயிறு"
            , mon = "திங்கள்"
            , tue = "செவ்வாய்"
            , wed = "புதன்"
            , thu = "வியாழன்"
            , fri = "வெள்ளி"
            , sat = "சனி"
            }
        , weekdayNamesShort =
            { sun = "ஞாயி."
            , mon = "திங்."
            , tue = "செவ்."
            , wed = "புத."
            , thu = "வியா."
            , fri = "வெள்."
            , sat = "சனி"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " அன்று ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " அன்று ", TimeGoesHere ]
            }
        , eraNames = { bc = "கி.மு.", ad = "கி.பி." }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM, y
  - Long : d MMMM, y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : a h:mm
  - Medium : a h:mm:ss
  - Long : a h:mm:ss z
  - Full : a h:mm:ss zzzz

-}
ta_SG : Locale
ta_SG =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ta") Nothing (Just (Tagged.tag "SG")) Nothing
        , amPmNames = { am = "முற்பகல்", pm = "பிற்பகல்" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM, y"
            , long = "d MMMM, y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "ஜனவரி"
            , feb = "பிப்ரவரி"
            , mar = "மார்ச்"
            , apr = "ஏப்ரல்"
            , may = "மே"
            , jun = "ஜூன்"
            , jul = "ஜூலை"
            , aug = "ஆகஸ்ட்"
            , sep = "செப்டம்பர்"
            , oct = "அக்டோபர்"
            , nov = "நவம்பர்"
            , dec = "டிசம்பர்"
            }
        , monthNamesShort =
            { jan = "ஜன."
            , feb = "பிப்."
            , mar = "மார்."
            , apr = "ஏப்."
            , may = "மே"
            , jun = "ஜூன்"
            , jul = "ஜூலை"
            , aug = "ஆக."
            , sep = "செப்."
            , oct = "அக்."
            , nov = "நவ."
            , dec = "டிச."
            }
        , weekdayNames =
            { sun = "ஞாயிறு"
            , mon = "திங்கள்"
            , tue = "செவ்வாய்"
            , wed = "புதன்"
            , thu = "வியாழன்"
            , fri = "வெள்ளி"
            , sat = "சனி"
            }
        , weekdayNamesShort =
            { sun = "ஞாயி."
            , mon = "திங்."
            , tue = "செவ்."
            , wed = "புத."
            , thu = "வியா."
            , fri = "வெள்."
            , sat = "சனி"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF amPmUppercase
                , DF (text " ")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " அன்று ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " அன்று ", TimeGoesHere ]
            }
        , eraNames = { bc = "கி.மு.", ad = "கி.பி." }
        }


{-| Date format strings:

  - Short : dd-MM-yy
  - Medium : d MMM, y
  - Long : d MMMM, y
  - Full : d, MMMM y, EEEE

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
te : Locale
te =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "te") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "dd-MM-yy"
            , medium = "d MMM, y"
            , long = "d MMMM, y"
            , full = "d, MMMM y, EEEE"
            }
        , monthNames =
            { jan = "జనవరి"
            , feb = "ఫిబ్రవరి"
            , mar = "మార్చి"
            , apr = "ఏప్రిల్"
            , may = "మే"
            , jun = "జూన్"
            , jul = "జులై"
            , aug = "ఆగస్టు"
            , sep = "సెప్టెంబర్"
            , oct = "అక్టోబర్"
            , nov = "నవంబర్"
            , dec = "డిసెంబర్"
            }
        , monthNamesShort =
            { jan = "జన"
            , feb = "ఫిబ్ర"
            , mar = "మార్చి"
            , apr = "ఏప్రి"
            , may = "మే"
            , jun = "జూన్"
            , jul = "జులై"
            , aug = "ఆగ"
            , sep = "సెప్టెం"
            , oct = "అక్టో"
            , nov = "నవం"
            , dec = "డిసెం"
            }
        , weekdayNames =
            { sun = "ఆదివారం"
            , mon = "సోమవారం"
            , tue = "మంగళవారం"
            , wed = "బుధవారం"
            , thu = "గురువారం"
            , fri = "శుక్రవారం"
            , sat = "శనివారం"
            }
        , weekdayNamesShort =
            { sun = "ఆది"
            , mon = "సోమ"
            , tue = "మంగళ"
            , wed = "బుధ"
            , thu = "గురు"
            , fri = "శుక్ర"
            , sat = "శని"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfMonthNumber
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere, Text "కి" ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere, Text "కి" ]
            }
        , eraNames = { bc = "క్రీపూ", ad = "క్రీశ" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM G y
  - Full : EEEEที่ d MMMM G y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : H นาฬิกา mm นาที ss วินาที z
  - Full : H นาฬิกา mm นาที ss วินาที zzzz

-}
th : Locale
th =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "th") Nothing Nothing Nothing
        , amPmNames = { am = "ก่อนเที่ยง", pm = "หลังเที่ยง" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM y"
            , long = "d MMMM G y"
            , full = "EEEEที่ d MMMM G y"
            }
        , monthNames =
            { jan = "มกราคม"
            , feb = "กุมภาพันธ์"
            , mar = "มีนาคม"
            , apr = "เมษายน"
            , may = "พฤษภาคม"
            , jun = "มิถุนายน"
            , jul = "กรกฎาคม"
            , aug = "สิงหาคม"
            , sep = "กันยายน"
            , oct = "ตุลาคม"
            , nov = "พฤศจิกายน"
            , dec = "ธันวาคม"
            }
        , monthNamesShort =
            { jan = "ม.ค."
            , feb = "ก.พ."
            , mar = "มี.ค."
            , apr = "เม.ย."
            , may = "พ.ค."
            , jun = "มิ.ย."
            , jul = "ก.ค."
            , aug = "ส.ค."
            , sep = "ก.ย."
            , oct = "ต.ค."
            , nov = "พ.ย."
            , dec = "ธ.ค."
            }
        , weekdayNames =
            { sun = "วันอาทิตย์"
            , mon = "วันจันทร์"
            , tue = "วันอังคาร"
            , wed = "วันพุธ"
            , thu = "วันพฤหัสบดี"
            , fri = "วันศุกร์"
            , sat = "วันเสาร์"
            }
        , weekdayNamesShort =
            { sun = "อา."
            , mon = "จ."
            , tue = "อ."
            , wed = "พ."
            , thu = "พฤ."
            , fri = "ศ."
            , sat = "ส."
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , EraAbbr
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "ที่ ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , EraAbbr
                , DF (text " ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text " นาฬิกา ")
                , DF minuteFixed
                , DF (text " นาที ")
                , DF secondFixed
                , DF (text " วินาที ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text " นาฬิกา ")
                , DF minuteFixed
                , DF (text " นาที ")
                , DF secondFixed
                , DF (text " วินาที ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "ก่อน ค.ศ.", ad = "ค.ศ." }
        }


{-| Date format strings:

  - Short : dd.MM.y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : d MMMM y EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
tk : Locale
tk =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "tk") Nothing Nothing Nothing
        , amPmNames = { am = "go.öň", pm = "go.soň" }
        , datePatterns =
            { short = "dd.MM.y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "d MMMM y EEEE"
            }
        , monthNames =
            { jan = "ýanwar"
            , feb = "fewral"
            , mar = "mart"
            , apr = "aprel"
            , may = "maý"
            , jun = "iýun"
            , jul = "iýul"
            , aug = "awgust"
            , sep = "sentýabr"
            , oct = "oktýabr"
            , nov = "noýabr"
            , dec = "dekabr"
            }
        , monthNamesShort =
            { jan = "ýan"
            , feb = "few"
            , mar = "mart"
            , apr = "apr"
            , may = "maý"
            , jun = "iýun"
            , jul = "iýul"
            , aug = "awg"
            , sep = "sen"
            , oct = "okt"
            , nov = "noý"
            , dec = "dek"
            }
        , weekdayNames =
            { sun = "ýekşenbe"
            , mon = "duşenbe"
            , tue = "sişenbe"
            , wed = "çarşenbe"
            , thu = "penşenbe"
            , fri = "anna"
            , sat = "şenbe"
            }
        , weekdayNamesShort =
            { sun = "ýek"
            , mon = "duş"
            , tue = "siş"
            , wed = "çar"
            , thu = "pen"
            , fri = "ann"
            , sat = "şen"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "B.e.öň", ad = "B.e." }
        }


{-| Date format strings:

  - Short : d.MM.y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : d MMMM y EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
tr : Locale
tr =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "tr") Nothing Nothing Nothing
        , amPmNames = { am = "ÖÖ", pm = "ÖS" }
        , datePatterns =
            { short = "d.MM.y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "d MMMM y EEEE"
            }
        , monthNames =
            { jan = "Ocak"
            , feb = "Şubat"
            , mar = "Mart"
            , apr = "Nisan"
            , may = "Mayıs"
            , jun = "Haziran"
            , jul = "Temmuz"
            , aug = "Ağustos"
            , sep = "Eylül"
            , oct = "Ekim"
            , nov = "Kasım"
            , dec = "Aralık"
            }
        , monthNamesShort =
            { jan = "Oca"
            , feb = "Şub"
            , mar = "Mar"
            , apr = "Nis"
            , may = "May"
            , jun = "Haz"
            , jul = "Tem"
            , aug = "Ağu"
            , sep = "Eyl"
            , oct = "Eki"
            , nov = "Kas"
            , dec = "Ara"
            }
        , weekdayNames =
            { sun = "Pazar"
            , mon = "Pazartesi"
            , tue = "Salı"
            , wed = "Çarşamba"
            , thu = "Perşembe"
            , fri = "Cuma"
            , sat = "Cumartesi"
            }
        , weekdayNamesShort =
            { sun = "Paz"
            , mon = "Pzt"
            , tue = "Sal"
            , wed = "Çar"
            , thu = "Per"
            , fri = "Cum"
            , sat = "Cmt"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "MÖ", ad = "MS" }
        }


{-| Date format strings:

  - Short : d.MM.y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : d MMMM y EEEE

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
tr_CY : Locale
tr_CY =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "tr") Nothing (Just (Tagged.tag "CY")) Nothing
        , amPmNames = { am = "ÖÖ", pm = "ÖS" }
        , datePatterns =
            { short = "d.MM.y"
            , medium = "d MMM y"
            , long = "d MMMM y"
            , full = "d MMMM y EEEE"
            }
        , monthNames =
            { jan = "Ocak"
            , feb = "Şubat"
            , mar = "Mart"
            , apr = "Nisan"
            , may = "Mayıs"
            , jun = "Haziran"
            , jul = "Temmuz"
            , aug = "Ağustos"
            , sep = "Eylül"
            , oct = "Ekim"
            , nov = "Kasım"
            , dec = "Aralık"
            }
        , monthNamesShort =
            { jan = "Oca"
            , feb = "Şub"
            , mar = "Mar"
            , apr = "Nis"
            , may = "May"
            , jun = "Haz"
            , jul = "Tem"
            , aug = "Ağu"
            , sep = "Eyl"
            , oct = "Eki"
            , nov = "Kas"
            , dec = "Ara"
            }
        , weekdayNames =
            { sun = "Pazar"
            , mon = "Pazartesi"
            , tue = "Salı"
            , wed = "Çarşamba"
            , thu = "Perşembe"
            , fri = "Cuma"
            , sat = "Cumartesi"
            }
        , weekdayNamesShort =
            { sun = "Paz"
            , mon = "Pzt"
            , tue = "Sal"
            , wed = "Çar"
            , thu = "Per"
            , fri = "Cum"
            , sat = "Cmt"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "MÖ", ad = "MS" }
        }


{-| Date format strings:

  - Short : dd.MM.yy
  - Medium : d MMM y 'р'.
  - Long : d MMMM y 'р'.
  - Full : EEEE, d MMMM y 'р'.

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
uk : Locale
uk =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "uk") Nothing Nothing Nothing
        , amPmNames = { am = "дп", pm = "пп" }
        , datePatterns =
            { short = "dd.MM.yy"
            , medium = "d MMM y 'р'."
            , long = "d MMMM y 'р'."
            , full = "EEEE, d MMMM y 'р'."
            }
        , monthNames =
            { jan = "січня"
            , feb = "лютого"
            , mar = "березня"
            , apr = "квітня"
            , may = "травня"
            , jun = "червня"
            , jul = "липня"
            , aug = "серпня"
            , sep = "вересня"
            , oct = "жовтня"
            , nov = "листопада"
            , dec = "грудня"
            }
        , monthNamesShort =
            { jan = "січ."
            , feb = "лют."
            , mar = "бер."
            , apr = "квіт."
            , may = "трав."
            , jun = "черв."
            , jul = "лип."
            , aug = "серп."
            , sep = "вер."
            , oct = "жовт."
            , nov = "лист."
            , dec = "груд."
            }
        , weekdayNames =
            { sun = "неділя"
            , mon = "понеділок"
            , tue = "вівторок"
            , wed = "середа"
            , thu = "четвер"
            , fri = "пʼятниця"
            , sat = "субота"
            }
        , weekdayNamesShort =
            { sun = "нд"
            , mon = "пн"
            , tue = "вт"
            , wed = "ср"
            , thu = "чт"
            , fri = "пт"
            , sat = "сб"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text ".")
                , DF monthFixed
                , DF (text ".")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "р")
                , DF (text ".")
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "р")
                , DF (text ".")
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF yearNumber
                , DF (text " ")
                , DF (text "р")
                , DF (text ".")
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long =
                [ DateGoesHere, Text " ", Text "о", Text " ", TimeGoesHere ]
            , full =
                [ DateGoesHere, Text " ", Text "о", Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "до н. е.", ad = "н. е." }
        }


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : y MMM d
  - Long : y MMMM d
  - Full : y MMMM d, EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
root : Locale
root =
    Internal.Locale.Locale
        { languageId = Root
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "y-MM-dd"
            , medium = "y MMM d"
            , long = "y MMMM d"
            , full = "y MMMM d, EEEE"
            }
        , monthNames =
            { jan = "M01"
            , feb = "M02"
            , mar = "M03"
            , apr = "M04"
            , may = "M05"
            , jun = "M06"
            , jul = "M07"
            , aug = "M08"
            , sep = "M09"
            , oct = "M10"
            , nov = "M11"
            , dec = "M12"
            }
        , monthNamesShort =
            { jan = "M01"
            , feb = "M02"
            , mar = "M03"
            , apr = "M04"
            , may = "M05"
            , jun = "M06"
            , jul = "M07"
            , aug = "M08"
            , sep = "M09"
            , oct = "M10"
            , nov = "M11"
            , dec = "M12"
            }
        , weekdayNames =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , weekdayNamesShort =
            { sun = "Sun"
            , mon = "Mon"
            , tue = "Tue"
            , wed = "Wed"
            , thu = "Thu"
            , fri = "Fri"
            , sat = "Sat"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "-")
                , DF monthFixed
                , DF (text "-")
                , DF dayOfMonthFixed
                ]
            , medium =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , long =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                ]
            , full =
                [ DF yearNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BCE", ad = "CE" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM، y
  - Long : d MMMM، y
  - Full : EEEE، d MMMM، y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ur : Locale
ur =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "ur") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM، y"
            , long = "d MMMM، y"
            , full = "EEEE، d MMMM، y"
            }
        , monthNames =
            { jan = "جنوری"
            , feb = "فروری"
            , mar = "مارچ"
            , apr = "اپریل"
            , may = "مئی"
            , jun = "جون"
            , jul = "جولائی"
            , aug = "اگست"
            , sep = "ستمبر"
            , oct = "اکتوبر"
            , nov = "نومبر"
            , dec = "دسمبر"
            }
        , monthNamesShort =
            { jan = "جنوری"
            , feb = "فروری"
            , mar = "مارچ"
            , apr = "اپریل"
            , may = "مئی"
            , jun = "جون"
            , jul = "جولائی"
            , aug = "اگست"
            , sep = "ستمبر"
            , oct = "اکتوبر"
            , nov = "نومبر"
            , dec = "دسمبر"
            }
        , weekdayNames =
            { sun = "اتوار"
            , mon = "پیر"
            , tue = "منگل"
            , wed = "بدھ"
            , thu = "جمعرات"
            , fri = "جمعہ"
            , sat = "ہفتہ"
            }
        , weekdayNamesShort =
            { sun = "اتوار"
            , mon = "پیر"
            , tue = "منگل"
            , wed = "بدھ"
            , thu = "جمعرات"
            , fri = "جمعہ"
            , sat = "ہفتہ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text "، ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text "، ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text "، ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "قبل مسیح", ad = "عیسوی" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM، y
  - Long : d MMMM، y
  - Full : EEEE، d MMMM، y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
ur_IN : Locale
ur_IN =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "ur") Nothing (Just (Tagged.tag "IN")) Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "d MMM، y"
            , long = "d MMMM، y"
            , full = "EEEE، d MMMM، y"
            }
        , monthNames =
            { jan = "جنوری"
            , feb = "فروری"
            , mar = "مارچ"
            , apr = "اپریل"
            , may = "مئی"
            , jun = "جون"
            , jul = "جولائی"
            , aug = "اگست"
            , sep = "ستمبر"
            , oct = "اکتوبر"
            , nov = "نومبر"
            , dec = "دسمبر"
            }
        , monthNamesShort =
            { jan = "جنوری"
            , feb = "فروری"
            , mar = "مارچ"
            , apr = "اپریل"
            , may = "مئی"
            , jun = "جون"
            , jul = "جولائی"
            , aug = "اگست"
            , sep = "ستمبر"
            , oct = "اکتوبر"
            , nov = "نومبر"
            , dec = "دسمبر"
            }
        , weekdayNames =
            { sun = "اتوار"
            , mon = "پیر"
            , tue = "منگل"
            , wed = "بدھ"
            , thu = "جمعرات"
            , fri = "جمعہ"
            , sat = "ہفتہ"
            }
        , weekdayNamesShort =
            { sun = "اتوار"
            , mon = "پیر"
            , tue = "منگل"
            , wed = "بدھ"
            , thu = "جمعرات"
            , fri = "جمعہ"
            , sat = "ہفتہ"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text "، ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text "، ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text "، ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text "، ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , medium =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                ]
            , long =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , DF amPmUppercase
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "قبل مسیح", ad = "عیسوی" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : d-MMM, y
  - Long : d-MMMM, y
  - Full : EEEE, d-MMMM, y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : H:mm:ss (z)
  - Full : H:mm:ss (zzzz)

-}
uz : Locale
uz =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "uz") Nothing Nothing Nothing
        , amPmNames = { am = "TO", pm = "TK" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "d-MMM, y"
            , long = "d-MMMM, y"
            , full = "EEEE, d-MMMM, y"
            }
        , monthNames =
            { jan = "yanvar"
            , feb = "fevral"
            , mar = "mart"
            , apr = "aprel"
            , may = "may"
            , jun = "iyun"
            , jul = "iyul"
            , aug = "avgust"
            , sep = "sentabr"
            , oct = "oktabr"
            , nov = "noyabr"
            , dec = "dekabr"
            }
        , monthNamesShort =
            { jan = "yan"
            , feb = "fev"
            , mar = "mar"
            , apr = "apr"
            , may = "may"
            , jun = "iyn"
            , jul = "iyl"
            , aug = "avg"
            , sep = "sen"
            , oct = "okt"
            , nov = "noy"
            , dec = "dek"
            }
        , weekdayNames =
            { sun = "yakshanba"
            , mon = "dushanba"
            , tue = "seshanba"
            , wed = "chorshanba"
            , thu = "payshanba"
            , fri = "juma"
            , sat = "shanba"
            }
        , weekdayNamesShort =
            { sun = "Yak"
            , mon = "Dush"
            , tue = "Sesh"
            , wed = "Chor"
            , thu = "Pay"
            , fri = "Jum"
            , sat = "Shan"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text "-")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text "-")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text "-")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneShort
                , DF (text ")")
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "m.a.", ad = "milodiy" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : d-MMM, y
  - Long : d-MMMM, y
  - Full : EEEE, d-MMMM, y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : H:mm:ss (z)
  - Full : H:mm:ss (zzzz)

-}
uz_Latn : Locale
uz_Latn =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "uz") (Just (Tagged.tag "Latn")) Nothing Nothing
        , amPmNames = { am = "TO", pm = "TK" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "d-MMM, y"
            , long = "d-MMMM, y"
            , full = "EEEE, d-MMMM, y"
            }
        , monthNames =
            { jan = "yanvar"
            , feb = "fevral"
            , mar = "mart"
            , apr = "aprel"
            , may = "may"
            , jun = "iyun"
            , jul = "iyul"
            , aug = "avgust"
            , sep = "sentabr"
            , oct = "oktabr"
            , nov = "noyabr"
            , dec = "dekabr"
            }
        , monthNamesShort =
            { jan = "yan"
            , feb = "fev"
            , mar = "mar"
            , apr = "apr"
            , may = "may"
            , jun = "iyn"
            , jul = "iyl"
            , aug = "avg"
            , sep = "sen"
            , oct = "okt"
            , nov = "noy"
            , dec = "dek"
            }
        , weekdayNames =
            { sun = "yakshanba"
            , mon = "dushanba"
            , tue = "seshanba"
            , wed = "chorshanba"
            , thu = "payshanba"
            , fri = "juma"
            , sat = "shanba"
            }
        , weekdayNamesShort =
            { sun = "Yak"
            , mon = "Dush"
            , tue = "Sesh"
            , wed = "Chor"
            , thu = "Pay"
            , fri = "Jum"
            , sat = "Shan"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text "-")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text "-")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text "-")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneShort
                , DF (text ")")
                ]
            , full =
                [ DF hourMilitaryNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " (")
                , TimeZoneFull
                , DF (text ")")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , long = [ DateGoesHere, Text ", ", TimeGoesHere ]
            , full = [ DateGoesHere, Text ", ", TimeGoesHere ]
            }
        , eraNames = { bc = "m.a.", ad = "milodiy" }
        }


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM, y
  - Long : d MMMM, y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
vi : Locale
vi =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "vi") Nothing Nothing Nothing
        , amPmNames = { am = "SA", pm = "CH" }
        , datePatterns =
            { short = "dd/MM/y"
            , medium = "d MMM, y"
            , long = "d MMMM, y"
            , full = "EEEE, d MMMM, y"
            }
        , monthNames =
            { jan = "tháng 1"
            , feb = "tháng 2"
            , mar = "tháng 3"
            , apr = "tháng 4"
            , may = "tháng 5"
            , jun = "tháng 6"
            , jul = "tháng 7"
            , aug = "tháng 8"
            , sep = "tháng 9"
            , oct = "tháng 10"
            , nov = "tháng 11"
            , dec = "tháng 12"
            }
        , monthNamesShort =
            { jan = "thg 1"
            , feb = "thg 2"
            , mar = "thg 3"
            , apr = "thg 4"
            , may = "thg 5"
            , jun = "thg 6"
            , jul = "thg 7"
            , aug = "thg 8"
            , sep = "thg 9"
            , oct = "thg 10"
            , nov = "thg 11"
            , dec = "thg 12"
            }
        , weekdayNames =
            { sun = "Chủ Nhật"
            , mon = "Thứ Hai"
            , tue = "Thứ Ba"
            , wed = "Thứ Tư"
            , thu = "Thứ Năm"
            , fri = "Thứ Sáu"
            , sat = "Thứ Bảy"
            }
        , weekdayNamesShort =
            { sun = "CN"
            , mon = "Th 2"
            , tue = "Th 3"
            , wed = "Th 4"
            , thu = "Th 5"
            , fri = "Th 6"
            , sat = "Th 7"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameAbbreviated
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF dayOfMonthNumber
                , DF (text " ")
                , DF monthNameFull
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ TimeGoesHere, Text ", ", DateGoesHere ]
            , medium = [ TimeGoesHere, Text ", ", DateGoesHere ]
            , long = [ TimeGoesHere, Text " ", DateGoesHere ]
            , full = [ TimeGoesHere, Text " ", DateGoesHere ]
            }
        , eraNames = { bc = "Trước CN", ad = "Sau CN" }
        }


{-| Date format strings:

  - Short : y/M/d
  - Medium : y年M月d日
  - Long : y年M月d日
  - Full : y年M月d日 EEEE

Time format strings:

  - Short : ah:mm
  - Medium : ah:mm:ss
  - Long : ah:mm:ss [z]
  - Full : ah:mm:ss [zzzz]

-}
yue : Locale
yue =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "yue") Nothing Nothing Nothing
        , amPmNames = { am = "上午", pm = "下午" }
        , datePatterns =
            { short = "y/M/d"
            , medium = "y年M月d日"
            , long = "y年M月d日"
            , full = "y年M月d日 EEEE"
            }
        , monthNames =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , weekdayNamesShort =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日 ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " [")
                , TimeZoneShort
                , DF (text "]")
                ]
            , full =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " [")
                , TimeZoneFull
                , DF (text "]")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "西元前", ad = "西元" }
        }


{-| Date format strings:

  - Short : y/M/d
  - Medium : y年M月d日
  - Long : y年M月d日
  - Full : y年M月d日 EEEE

Time format strings:

  - Short : ah:mm
  - Medium : ah:mm:ss
  - Long : ah:mm:ss [z]
  - Full : ah:mm:ss [zzzz]

-}
yue_Hant : Locale
yue_Hant =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "yue") (Just (Tagged.tag "Hant")) Nothing Nothing
        , amPmNames = { am = "上午", pm = "下午" }
        , datePatterns =
            { short = "y/M/d"
            , medium = "y年M月d日"
            , long = "y年M月d日"
            , full = "y年M月d日 EEEE"
            }
        , monthNames =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , weekdayNamesShort =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日 ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " [")
                , TimeZoneShort
                , DF (text "]")
                ]
            , full =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " [")
                , TimeZoneFull
                , DF (text "]")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "西元前", ad = "西元" }
        }


{-| Date format strings:

  - Short : y/M/d
  - Medium : y年M月d日
  - Long : y年M月d日
  - Full : y年M月d日EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : z HH:mm:ss
  - Full : zzzz HH:mm:ss

-}
zh : Locale
zh =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "zh") Nothing Nothing Nothing
        , amPmNames = { am = "上午", pm = "下午" }
        , datePatterns =
            { short = "y/M/d"
            , medium = "y年M月d日"
            , long = "y年M月d日"
            , full = "y年M月d日EEEE"
            }
        , monthNames =
            { jan = "一月"
            , feb = "二月"
            , mar = "三月"
            , apr = "四月"
            , may = "五月"
            , jun = "六月"
            , jul = "七月"
            , aug = "八月"
            , sep = "九月"
            , oct = "十月"
            , nov = "十一月"
            , dec = "十二月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , weekdayNamesShort =
            { sun = "周日"
            , mon = "周一"
            , tue = "周二"
            , wed = "周三"
            , thu = "周四"
            , fri = "周五"
            , sat = "周六"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ TimeZoneShort
                , DF (text " ")
                , DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , full =
                [ TimeZoneFull
                , DF (text " ")
                , DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "公元前", ad = "公元" }
        }


{-| Date format strings:

  - Short : y/M/d
  - Medium : y年M月d日
  - Long : y年M月d日
  - Full : y年M月d日EEEE

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : z HH:mm:ss
  - Full : zzzz HH:mm:ss

-}
zh_Hans : Locale
zh_Hans =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "zh") (Just (Tagged.tag "Hans")) Nothing Nothing
        , amPmNames = { am = "上午", pm = "下午" }
        , datePatterns =
            { short = "y/M/d"
            , medium = "y年M月d日"
            , long = "y年M月d日"
            , full = "y年M月d日EEEE"
            }
        , monthNames =
            { jan = "一月"
            , feb = "二月"
            , mar = "三月"
            , apr = "四月"
            , may = "五月"
            , jun = "六月"
            , jul = "七月"
            , aug = "八月"
            , sep = "九月"
            , oct = "十月"
            , nov = "十一月"
            , dec = "十二月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , weekdayNamesShort =
            { sun = "周日"
            , mon = "周一"
            , tue = "周二"
            , wed = "周三"
            , thu = "周四"
            , fri = "周五"
            , sat = "周六"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ TimeZoneShort
                , DF (text " ")
                , DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , full =
                [ TimeZoneFull
                , DF (text " ")
                , DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "公元前", ad = "公元" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : y年M月d日
  - Long : y年M月d日
  - Full : y年M月d日EEEE

Time format strings:

  - Short : ah:mm
  - Medium : ah:mm:ss
  - Long : z ah:mm:ss
  - Full : zzzz ah:mm:ss

-}
zh_Hans_HK : Locale
zh_Hans_HK =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "zh")
                (Just (Tagged.tag "Hans"))
                (Just (Tagged.tag "HK"))
                Nothing
        , amPmNames = { am = "上午", pm = "下午" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "y年M月d日"
            , long = "y年M月d日"
            , full = "y年M月d日EEEE"
            }
        , monthNames =
            { jan = "一月"
            , feb = "二月"
            , mar = "三月"
            , apr = "四月"
            , may = "五月"
            , jun = "六月"
            , jul = "七月"
            , aug = "八月"
            , sep = "九月"
            , oct = "十月"
            , nov = "十一月"
            , dec = "十二月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , weekdayNamesShort =
            { sun = "周日"
            , mon = "周一"
            , tue = "周二"
            , wed = "周三"
            , thu = "周四"
            , fri = "周五"
            , sat = "周六"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ TimeZoneShort
                , DF (text " ")
                , DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , full =
                [ TimeZoneFull
                , DF (text " ")
                , DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "公元前", ad = "公元" }
        }


{-| Date format strings:

  - Short : d/M/yy
  - Medium : y年M月d日
  - Long : y年M月d日
  - Full : y年M月d日EEEE

Time format strings:

  - Short : ah:mm
  - Medium : ah:mm:ss
  - Long : z ah:mm:ss
  - Full : zzzz ah:mm:ss

-}
zh_Hans_MO : Locale
zh_Hans_MO =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "zh")
                (Just (Tagged.tag "Hans"))
                (Just (Tagged.tag "MO"))
                Nothing
        , amPmNames = { am = "上午", pm = "下午" }
        , datePatterns =
            { short = "d/M/yy"
            , medium = "y年M月d日"
            , long = "y年M月d日"
            , full = "y年M月d日EEEE"
            }
        , monthNames =
            { jan = "一月"
            , feb = "二月"
            , mar = "三月"
            , apr = "四月"
            , may = "五月"
            , jun = "六月"
            , jul = "七月"
            , aug = "八月"
            , sep = "九月"
            , oct = "十月"
            , nov = "十一月"
            , dec = "十二月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , weekdayNamesShort =
            { sun = "周日"
            , mon = "周一"
            , tue = "周二"
            , wed = "周三"
            , thu = "周四"
            , fri = "周五"
            , sat = "周六"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ TimeZoneShort
                , DF (text " ")
                , DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , full =
                [ TimeZoneFull
                , DF (text " ")
                , DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "公元前", ad = "公元" }
        }


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : y年M月d日
  - Long : y年M月d日
  - Full : y年M月d日EEEE

Time format strings:

  - Short : ah:mm
  - Medium : ah:mm:ss
  - Long : z ah:mm:ss
  - Full : zzzz ah:mm:ss

-}
zh_Hans_SG : Locale
zh_Hans_SG =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "zh")
                (Just (Tagged.tag "Hans"))
                (Just (Tagged.tag "SG"))
                Nothing
        , amPmNames = { am = "上午", pm = "下午" }
        , datePatterns =
            { short = "dd/MM/yy"
            , medium = "y年M月d日"
            , long = "y年M月d日"
            , full = "y年M月d日EEEE"
            }
        , monthNames =
            { jan = "一月"
            , feb = "二月"
            , mar = "三月"
            , apr = "四月"
            , may = "五月"
            , jun = "六月"
            , jul = "七月"
            , aug = "八月"
            , sep = "九月"
            , oct = "十月"
            , nov = "十一月"
            , dec = "十二月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , weekdayNamesShort =
            { sun = "周日"
            , mon = "周一"
            , tue = "周二"
            , wed = "周三"
            , thu = "周四"
            , fri = "周五"
            , sat = "周六"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthFixed
                , DF (text "/")
                , DF monthFixed
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ TimeZoneShort
                , DF (text " ")
                , DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , full =
                [ TimeZoneFull
                , DF (text " ")
                , DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "公元前", ad = "公元" }
        }


{-| Date format strings:

  - Short : y/M/d
  - Medium : y年M月d日
  - Long : y年M月d日
  - Full : y年M月d日 EEEE

Time format strings:

  - Short : Bh:mm
  - Medium : Bh:mm:ss
  - Long : Bh:mm:ss [z]
  - Full : Bh:mm:ss [zzzz]

-}
zh_Hant : Locale
zh_Hant =
    Internal.Locale.Locale
        { languageId =
            Lang (Tagged.tag "zh") (Just (Tagged.tag "Hant")) Nothing Nothing
        , amPmNames = { am = "上午", pm = "下午" }
        , datePatterns =
            { short = "y/M/d"
            , medium = "y年M月d日"
            , long = "y年M月d日"
            , full = "y年M月d日 EEEE"
            }
        , monthNames =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , weekdayNamesShort =
            { sun = "週日"
            , mon = "週一"
            , tue = "週二"
            , wed = "週三"
            , thu = "週四"
            , fri = "週五"
            , sat = "週六"
            }
        , dateTokens =
            { short =
                [ DF yearNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日 ")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF (text ""), DF hourNumber, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF (text "")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF (text "")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " [")
                , TimeZoneShort
                , DF (text "]")
                ]
            , full =
                [ DF (text "")
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " [")
                , TimeZoneFull
                , DF (text "]")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "西元前", ad = "西元" }
        }


{-| Date format strings:

  - Short : d/M/y
  - Medium : y年M月d日
  - Long : y年M月d日
  - Full : y年M月d日EEEE

Time format strings:

  - Short : ah:mm
  - Medium : ah:mm:ss
  - Long : ah:mm:ss [z]
  - Full : ah:mm:ss [zzzz]

-}
zh_Hant_HK : Locale
zh_Hant_HK =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "zh")
                (Just (Tagged.tag "Hant"))
                (Just (Tagged.tag "HK"))
                Nothing
        , amPmNames = { am = "上午", pm = "下午" }
        , datePatterns =
            { short = "d/M/y"
            , medium = "y年M月d日"
            , long = "y年M月d日"
            , full = "y年M月d日EEEE"
            }
        , monthNames =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , weekdayNamesShort =
            { sun = "週日"
            , mon = "週一"
            , tue = "週二"
            , wed = "週三"
            , thu = "週四"
            , fri = "週五"
            , sat = "週六"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " [")
                , TimeZoneShort
                , DF (text "]")
                ]
            , full =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " [")
                , TimeZoneFull
                , DF (text "]")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "公元前", ad = "公元" }
        }


{-| Date format strings:

  - Short : d/M/y
  - Medium : y年M月d日
  - Long : y年M月d日
  - Full : y年M月d日EEEE

Time format strings:

  - Short : ah:mm
  - Medium : ah:mm:ss
  - Long : ah:mm:ss [z]
  - Full : ah:mm:ss [zzzz]

-}
zh_Hant_MO : Locale
zh_Hant_MO =
    Internal.Locale.Locale
        { languageId =
            Lang
                (Tagged.tag "zh")
                (Just (Tagged.tag "Hant"))
                (Just (Tagged.tag "MO"))
                Nothing
        , amPmNames = { am = "上午", pm = "下午" }
        , datePatterns =
            { short = "d/M/y"
            , medium = "y年M月d日"
            , long = "y年M月d日"
            , full = "y年M月d日EEEE"
            }
        , monthNames =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , monthNamesShort =
            { jan = "1月"
            , feb = "2月"
            , mar = "3月"
            , apr = "4月"
            , may = "5月"
            , jun = "6月"
            , jul = "7月"
            , aug = "8月"
            , sep = "9月"
            , oct = "10月"
            , nov = "11月"
            , dec = "12月"
            }
        , weekdayNames =
            { sun = "星期日"
            , mon = "星期一"
            , tue = "星期二"
            , wed = "星期三"
            , thu = "星期四"
            , fri = "星期五"
            , sat = "星期六"
            }
        , weekdayNamesShort =
            { sun = "週日"
            , mon = "週一"
            , tue = "週二"
            , wed = "週三"
            , thu = "週四"
            , fri = "週五"
            , sat = "週六"
            }
        , dateTokens =
            { short =
                [ DF dayOfMonthNumber
                , DF (text "/")
                , DF monthNumber
                , DF (text "/")
                , DF yearNumber
                ]
            , medium =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , long =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                ]
            , full =
                [ DF yearNumber
                , DF (text "年")
                , DF monthNumber
                , DF (text "月")
                , DF dayOfMonthNumber
                , DF (text "日")
                , DF dayOfWeekNameFull
                ]
            }
        , timeTokens =
            { short =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                ]
            , medium =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " [")
                , TimeZoneShort
                , DF (text "]")
                ]
            , full =
                [ DF amPmUppercase
                , DF hourNumber
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " [")
                , TimeZoneFull
                , DF (text "]")
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "公元前", ad = "公元" }
        }


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
zu : Locale
zu =
    Internal.Locale.Locale
        { languageId = Lang (Tagged.tag "zu") Nothing Nothing Nothing
        , amPmNames = { am = "AM", pm = "PM" }
        , datePatterns =
            { short = "M/d/yy"
            , medium = "MMM d, y"
            , long = "MMMM d, y"
            , full = "EEEE, MMMM d, y"
            }
        , monthNames =
            { jan = "Januwari"
            , feb = "Februwari"
            , mar = "Mashi"
            , apr = "Ephreli"
            , may = "Meyi"
            , jun = "Juni"
            , jul = "Julayi"
            , aug = "Agasti"
            , sep = "Septhemba"
            , oct = "Okthoba"
            , nov = "Novemba"
            , dec = "Disemba"
            }
        , monthNamesShort =
            { jan = "Jan"
            , feb = "Feb"
            , mar = "Mas"
            , apr = "Eph"
            , may = "Mey"
            , jun = "Jun"
            , jul = "Jul"
            , aug = "Aga"
            , sep = "Sep"
            , oct = "Okt"
            , nov = "Nov"
            , dec = "Dis"
            }
        , weekdayNames =
            { sun = "ISonto"
            , mon = "UMsombuluko"
            , tue = "ULwesibili"
            , wed = "ULwesithathu"
            , thu = "ULwesine"
            , fri = "ULwesihlanu"
            , sat = "UMgqibelo"
            }
        , weekdayNamesShort =
            { sun = "Son"
            , mon = "Mso"
            , tue = "Bil"
            , wed = "Tha"
            , thu = "Sin"
            , fri = "Hla"
            , sat = "Mgq"
            }
        , dateTokens =
            { short =
                [ DF monthNumber
                , DF (text "/")
                , DF dayOfMonthNumber
                , DF (text "/")
                , DF yearNumberLastTwo
                ]
            , medium =
                [ DF monthNameAbbreviated
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , long =
                [ DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            , full =
                [ DF dayOfWeekNameFull
                , DF (text ", ")
                , DF monthNameFull
                , DF (text " ")
                , DF dayOfMonthNumber
                , DF (text ", ")
                , DF yearNumber
                ]
            }
        , timeTokens =
            { short = [ DF hourMilitaryFixed, DF (text ":"), DF minuteFixed ]
            , medium =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                ]
            , long =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneShort
                ]
            , full =
                [ DF hourMilitaryFixed
                , DF (text ":")
                , DF minuteFixed
                , DF (text ":")
                , DF secondFixed
                , DF (text " ")
                , TimeZoneFull
                ]
            }
        , dateTimeTokens =
            { short = [ DateGoesHere, Text " ", TimeGoesHere ]
            , medium = [ DateGoesHere, Text " ", TimeGoesHere ]
            , long = [ DateGoesHere, Text " ", TimeGoesHere ]
            , full = [ DateGoesHere, Text " ", TimeGoesHere ]
            }
        , eraNames = { bc = "BC", ad = "AD" }
        }
